<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>cryptplug.h</name>
    <path>/build/buildd/tdepim-trinity-14.0.6/certmanager/lib/</path>
    <filename>cryptplug_8h</filename>
    <class kind="struct">CryptPlug::StructuringInfo</class>
    <member kind="define">
      <type>#define</type>
      <name>CRYPTPLUG_CERT_DOES_NEVER_EXPIRE</name>
      <anchorfile>cryptplug_8h.html</anchorfile>
      <anchor>a041dc828a1a055ebe8c008401c72e2db</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CRYPTPLUG_ERR_WRONG_KEY_USAGE</name>
      <anchorfile>cryptplug_8h.html</anchorfile>
      <anchor>a9c91b2fee4777f44ce12a0bb64b99246</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SigStatusFlags</name>
      <anchorfile>cryptplug_8h.html</anchorfile>
      <anchor>aaed2a017fde1cefcfca205d245231a13</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>cryptplugwrapper.cpp</name>
    <path>/build/buildd/tdepim-trinity-14.0.6/certmanager/lib/</path>
    <filename>cryptplugwrapper_8cpp</filename>
    <includes id="cryptplugwrapper_8h" name="cryptplugwrapper.h" local="yes" imported="no">cryptplugwrapper.h</includes>
    <includes id="cryptplug_8h" name="cryptplug.h" local="yes" imported="no">cryptplug.h</includes>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>NEAR_EXPIRY</name>
      <anchorfile>cryptplugwrapper_8cpp.html</anchorfile>
      <anchor>a11e31d711dcee58b037e4d0b8be91487</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>cryptplugwrapper.h</name>
    <path>/build/buildd/tdepim-trinity-14.0.6/certmanager/lib/</path>
    <filename>cryptplugwrapper_8h</filename>
    <includes id="cryptplug_8h" name="cryptplug.h" local="yes" imported="no">cryptplug.h</includes>
    <class kind="class">StructuringInfoWrapper</class>
    <class kind="class">CryptPlugWrapper</class>
  </compound>
  <compound kind="group">
    <name>groupGeneral</name>
    <title>Loading and Unloading the Plugin, General Functionality</title>
    <filename>group__groupGeneral.html</filename>
    <member kind="enumeration">
      <name>IniStatus</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga77d0a136500452db1736a4de65fe85f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initialize</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>gad97db658ec2e1fd353761168068e5e44</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga63b1734dbf5619bd33085f18c3f45aaf</anchor>
      <arglist>(::Feature)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deinitialize</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga97a7efa4165b8d9aa18d5336982202cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IniStatus</type>
      <name>iniStatus</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga93952d6778a53d28d19d27a5fc332d75</anchor>
      <arglist>(TQString *errorMsg) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>gaab6d391811299926285f2a422a6a4dc5</anchor>
      <arglist>(::Feature)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupDisplay</name>
    <title>Graphical Display Functionality</title>
    <filename>group__groupDisplay.html</filename>
  </compound>
  <compound kind="group">
    <name>groupConfig</name>
    <title>Configuration Support</title>
    <filename>group__groupConfig.html</filename>
    <subgroup>groupConfigSign</subgroup>
    <subgroup>groupConfigCrypt</subgroup>
    <subgroup>groupConfigDir</subgroup>
  </compound>
  <compound kind="group">
    <name>groupConfigSign</name>
    <title>Signature Configuration</title>
    <filename>group__groupConfigSign.html</filename>
  </compound>
  <compound kind="group">
    <name>groupConfigCrypt</name>
    <title>Encryption Configuration</title>
    <filename>group__groupConfigCrypt.html</filename>
  </compound>
  <compound kind="group">
    <name>groupConfigDir</name>
    <title>Directory Service Configuration</title>
    <filename>group__groupConfigDir.html</filename>
  </compound>
  <compound kind="group">
    <name>groupCertHand</name>
    <title>Certificate Handling</title>
    <filename>group__groupCertHand.html</filename>
  </compound>
  <compound kind="group">
    <name>groupSignCryptAct</name>
    <title>Signing and Encrypting Actions</title>
    <filename>group__groupSignCryptAct.html</filename>
    <class kind="struct">CryptPlug::StructuringInfo</class>
    <class kind="class">StructuringInfoWrapper</class>
    <subgroup>groupSignAct</subgroup>
    <subgroup>groupCryptAct</subgroup>
    <member kind="function">
      <type>void</type>
      <name>free_StructuringInfo</name>
      <anchorfile>group__groupSignCryptAct.html</anchorfile>
      <anchor>ga738e879ec84dbc0c2940c200dfec15df</anchor>
      <arglist>(struct StructuringInfo *s)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupSignAct</name>
    <title>Signature Actions</title>
    <filename>group__groupSignAct.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchorfile>group__groupSignAct.html</anchorfile>
      <anchor>ga169833df078cfb362a597cd435cc399d</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, struct SignatureMetaData *sigmeta, char **attrOrder, const char *unknownAttrsHandling)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchorfile>group__groupSignAct.html</anchorfile>
      <anchor>gab57b4e2ebb5d4eed99d46fa69d76d7b9</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, CryptPlug::SignatureMetaData *sigmeta)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupCryptAct</name>
    <title>Encryption and Decryption</title>
    <filename>group__groupCryptAct.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga470538d2b9834737ab7d1923f93d3fc2</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, const char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>gafbd6f0cd6ad101b375451fab608aadb8</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, const char **cleartext, const char *certificate, bool *signatureFound, struct SignatureMetaData *sigmeta, int *errId, char **errTxt, char **attrOrder, const char *unknownAttrsHandling)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga2350cb6e5fb2fdcd078f983a65e3394c</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>gab5a67054245388a7339787fbde49e051</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, bool *signatureFound, CryptPlug::SignatureMetaData *sigmeta, int *errId, char **errTxt)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>groupCertAct</name>
    <title>Certificate Handling Actions</title>
    <filename>group__groupCertAct.html</filename>
  </compound>
  <compound kind="group">
    <name>groupCRLAct</name>
    <title>CRL Handling Actions</title>
    <filename>group__groupCRLAct.html</filename>
  </compound>
  <compound kind="group">
    <name>groupAdUsoInterno</name>
    <title>Important functions to be used by plugin implementors ONLY.</title>
    <filename>group__groupAdUsoInterno.html</filename>
    <member kind="function">
      <type>void</type>
      <name>init_StructuringInfo</name>
      <anchorfile>group__groupAdUsoInterno.html</anchorfile>
      <anchor>ga10221c36b51ef064c7f0d8fbd6c012a2</anchor>
      <arglist>(struct StructuringInfo *s)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>certList</name>
    <title>Certificate Info listing functions</title>
    <filename>group__certList.html</filename>
  </compound>
  <compound kind="group">
    <name>groupAdmin</name>
    <title>Constructor, destructor and setting of &apos;active&apos; flag</title>
    <filename>group__groupAdmin.html</filename>
    <member kind="function">
      <type></type>
      <name>CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga6d0f42801c6feff5b7296668ae961c02</anchor>
      <arglist>(const TQString &amp;name=TQString(), const TQString &amp;libName=TQString(), const TQString &amp;update=TQString(), bool active=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga23165d08d625a4d94b542c7f505987d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga61e6668e7fc7255ce48c8870e1b65e28</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>active</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gae28caae43106908b3f221e42a830885c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setLibName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga4c14a979bbafd4b868277d2972afd475</anchor>
      <arglist>(const TQString &amp;libName)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>libName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gaf91c48881a84674b532bc168ca39f8dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gaf4a39b50575448200b7728c4bc654b9e</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>displayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga11943c6569ecb62cbe7ed8df657641bf</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>CryptPlug::StructuringInfo</name>
    <filename>structCryptPlug_1_1StructuringInfo.html</filename>
    <member kind="variable">
      <type>bool</type>
      <name>includeCleartext</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a516640babac05a4123c3a0df77463eba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>makeMimeObject</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a77bf4e9119b6ebe07504f3f7b21900d1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>makeMultiMime</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a6e4821025f82414d6a2ee95a5ee6633e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeMain</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ab7f617ce8a8a342b79fd2e670e0cd17d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispMain</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ac2816d5e9e7f54961a1c1cb5f7c2b89e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncMain</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>adf57b827dbbd2e9352109d5aa4fdffb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a5b50187497c9b6c067c02520252f3d87</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ab6593120e4e98c0b3de1ed54449d8d6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ab6c30ed08b39f7d73e9617f74cca6a01</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>bodyTextVersion</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ac758908ad440ee3ca4c41f4a91c545c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTypeCode</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a19383f0d56ba80e97ebc8ae0bb26646f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentDispCode</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a8cdd6d384795b637ebe9c57cac41628e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>contentTEncCode</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a2eaeeb27138dc01163ec7ce6379b636e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextPrefix</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>a692ee2f77cfe4abeceef0de2044e663b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextSeparator</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>af4ab5e80dd66846219990dbab23d3c05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>flatTextPostfix</name>
      <anchorfile>structCryptPlug_1_1StructuringInfo.html</anchorfile>
      <anchor>ad6b20f5634b83c9ba35cc62aa2103d45</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CryptPlugWrapper</name>
    <filename>classCryptPlugWrapper.html</filename>
    <member kind="enumeration">
      <name>IniStatus</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga77d0a136500452db1736a4de65fe85f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>SigStatusFlags</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>acb49ed0420ad89e1f07b6acb91f75262</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga6d0f42801c6feff5b7296668ae961c02</anchor>
      <arglist>(const TQString &amp;name=TQString(), const TQString &amp;libName=TQString(), const TQString &amp;update=TQString(), bool active=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~CryptPlugWrapper</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga23165d08d625a4d94b542c7f505987d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>protocol</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a94d3d8f22f18db100f42ddf9897357e0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a34dea04f0dbc8a0d924f2ac50135db2a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga61e6668e7fc7255ce48c8870e1b65e28</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>active</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gae28caae43106908b3f221e42a830885c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setLibName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga4c14a979bbafd4b868277d2972afd475</anchor>
      <arglist>(const TQString &amp;libName)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>libName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gaf91c48881a84674b532bc168ca39f8dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisplayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>gaf4a39b50575448200b7728c4bc654b9e</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>displayName</name>
      <anchorfile>group__groupAdmin.html</anchorfile>
      <anchor>ga11943c6569ecb62cbe7ed8df657641bf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deinitialize</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga97a7efa4165b8d9aa18d5336982202cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IniStatus</type>
      <name>iniStatus</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>ga93952d6778a53d28d19d27a5fc332d75</anchor>
      <arglist>(TQString *errorMsg) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasFeature</name>
      <anchorfile>group__groupGeneral.html</anchorfile>
      <anchor>gaab6d391811299926285f2a422a6a4dc5</anchor>
      <arglist>(::Feature)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>freeSignatureMetaData</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>abfbf017c086082ea7c9d6bd1b2231fa2</anchor>
      <arglist>(CryptPlug::SignatureMetaData *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkMessageSignature</name>
      <anchorfile>group__groupSignAct.html</anchorfile>
      <anchor>gab57b4e2ebb5d4eed99d46fa69d76d7b9</anchor>
      <arglist>(char **cleartext, const char *signaturetext, bool signatureIsBinary, int signatureLen, CryptPlug::SignatureMetaData *sigmeta)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>ga2350cb6e5fb2fdcd078f983a65e3394c</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decryptAndCheckMessage</name>
      <anchorfile>group__groupCryptAct.html</anchorfile>
      <anchor>gab5a67054245388a7339787fbde49e051</anchor>
      <arglist>(const char *ciphertext, bool cipherIsBinary, int cipherLen, char **cleartext, const char *certificate, bool *signatureFound, CryptPlug::SignatureMetaData *sigmeta, int *errId, char **errTxt)</arglist>
    </member>
    <member kind="function">
      <type>Kleo::KeyListJob *</type>
      <name>keyListJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a448980f331fe2e0e428a4ccc28e1b4d8</anchor>
      <arglist>(bool remote=false, bool includeSigs=false, bool validate=true) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::EncryptJob *</type>
      <name>encryptJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a34838f3d715e5e9f562bee1ab00c1a33</anchor>
      <arglist>(bool armor=false, bool textmode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::DecryptJob *</type>
      <name>decryptJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a53a470016b33ca4338af3e4ab8f92511</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::SignJob *</type>
      <name>signJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>ad79b5ce85f3d790858774069700f0a94</anchor>
      <arglist>(bool armor=false, bool textMode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::VerifyDetachedJob *</type>
      <name>verifyDetachedJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a08b8827b4652729ad4ec5a06bf0bf7ed</anchor>
      <arglist>(bool textmode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::VerifyOpaqueJob *</type>
      <name>verifyOpaqueJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a03219d1e6df4b0e02e2700b09f188f09</anchor>
      <arglist>(bool textmode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::KeyGenerationJob *</type>
      <name>keyGenerationJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>ac24291e1dbc22ec726db21e62e550056</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::ImportJob *</type>
      <name>importJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>aaea7642a70bfe011928dcb2ce3aad2d3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::ExportJob *</type>
      <name>publicKeyExportJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a3323d784cf5796b8057d58181650a2f9</anchor>
      <arglist>(bool armor=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::ExportJob *</type>
      <name>secretKeyExportJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a9c4fc709a7fa721560783635a490962e</anchor>
      <arglist>(bool armor=false, const TQString &amp;charset=TQString()) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::DownloadJob *</type>
      <name>downloadJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>abed602d37e821459a0c1ca74be042158</anchor>
      <arglist>(bool armor=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::DeleteJob *</type>
      <name>deleteJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>ad675717e5ad6350eeb8d35f83179ff64</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::SignEncryptJob *</type>
      <name>signEncryptJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>ad4e3035d922e80527536b0696dc60a80</anchor>
      <arglist>(bool armor=false, bool textmode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::DecryptVerifyJob *</type>
      <name>decryptVerifyJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a2893992fb531180c5d9a285fff8246d0</anchor>
      <arglist>(bool textmode=false) const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::RefreshKeysJob *</type>
      <name>refreshKeysJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a70fa013d62129227a0c19955e8ac1fe2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::SpecialJob *</type>
      <name>specialJob</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a85f29d754aa2399a3db011da598f9041</anchor>
      <arglist>(const char *, const TQMap&lt; TQString, TQVariant &gt; &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>GpgME::ImportResult</type>
      <name>importCertificate</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>a2e9794999ccfc1e04bd751c246baa2d0</anchor>
      <arglist>(const char *data, size_t length)</arglist>
    </member>
    <member kind="function">
      <type>CryptPlug *</type>
      <name>cryptPlug</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>ab20481b322674d2a16bff2850052e75b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>errorIdToText</name>
      <anchorfile>classCryptPlugWrapper.html</anchorfile>
      <anchor>af61d4b35c41c238ab902ea1de951c8e7</anchor>
      <arglist>(int errId, bool &amp;isPassphraseError)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QGpgMECryptoConfig</name>
    <filename>classQGpgMECryptoConfig.html</filename>
    <base>Kleo::CryptoConfig</base>
    <member kind="function">
      <type></type>
      <name>QGpgMECryptoConfig</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>ab8dd0088a35ace22798d7dc353b9d0f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>componentList</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>abf263b0ed2f311510d37f295baa0da14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kleo::CryptoConfigComponent *</type>
      <name>component</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>ad53bc5febab326622f89007038841f81</anchor>
      <arglist>(const TQString &amp;name) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>a960135de49f81a3465c6f5ec3efee008</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sync</name>
      <anchorfile>classQGpgMECryptoConfig.html</anchorfile>
      <anchor>a4cfa78ad520b6a56e38519cb4656db4b</anchor>
      <arglist>(bool runtime)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>QGpgMECryptoConfigComponent</name>
    <filename>classQGpgMECryptoConfigComponent.html</filename>
    <base>Kleo::CryptoConfigComponent</base>
    <member kind="function">
      <type></type>
      <name>QGpgMECryptoConfigComponent</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>af615baed68f82755ba01da937027860d</anchor>
      <arglist>(QGpgMECryptoConfig *, const TQString &amp;name, const TQString &amp;description)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>ab97a5e9cac37e2ffc8d61fab1720427a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>iconName</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a908d2041edee76926a3cb484fd8bca90</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>description</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a775bfeff5d02d700f8bd437623c873cf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>groupList</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a9d74ff5fab72c634d18efa01f2d544ce</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Kleo::CryptoConfigGroup *</type>
      <name>group</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>adc6704a9594732ea6e4ba84d04cdf4ab</anchor>
      <arglist>(const TQString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sync</name>
      <anchorfile>classQGpgMECryptoConfigComponent.html</anchorfile>
      <anchor>a8cc129129b3e9eea01b033ad66b55766</anchor>
      <arglist>(bool runtime)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>StructuringInfoWrapper</name>
    <filename>classStructuringInfoWrapper.html</filename>
    <member kind="function">
      <type></type>
      <name>StructuringInfoWrapper</name>
      <anchorfile>classStructuringInfoWrapper.html</anchorfile>
      <anchor>a5eab51c7ef32ada14f8adac7fe2f2893</anchor>
      <arglist>(CryptPlugWrapper *wrapper)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classStructuringInfoWrapper.html</anchorfile>
      <anchor>a0d93d1f42bc1f431a8da978e179a78f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>CryptPlug::StructuringInfo</type>
      <name>data</name>
      <anchorfile>classStructuringInfoWrapper.html</anchorfile>
      <anchor>a52b3f6a0c11dfda68e8b71960bb9c330</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ChiasmusJob</name>
    <filename>classKleo_1_1ChiasmusJob.html</filename>
    <base>Kleo::SpecialJob</base>
    <member kind="slot">
      <type>void</type>
      <name>slotCancel</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a98fb38cb33b193f07fab89602e3a322b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ChiasmusJob</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a2489731ede878e7d94a6e1ede7e35b16</anchor>
      <arglist>(Mode op)</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>ad9bc514eb11e88e155689b90ae6a096f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a24cd2f38c5c825b6d25042ddaba1d902</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showErrorDialog</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>abcc7d48657ef80f9cf37a805f2d87847</anchor>
      <arglist>(TQWidget *, const TQString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>Mode</type>
      <name>mode</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>ac07545d47f2a9cda1a53b51e8909b285</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>key</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a6b6381ae5a3e2ff3825d7f4f9a32bd6b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKey</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>abd8ea5bae0e4d642af108767a19962d0</anchor>
      <arglist>(const TQString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>options</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a872bf749857ecaa564d2cdcea3286353</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a290bdfe188d7e0682b20226e867b97da</anchor>
      <arglist>(const TQString &amp;options)</arglist>
    </member>
    <member kind="function">
      <type>TQByteArray</type>
      <name>input</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a1b8fbc0fc771fcea05df3521ea6e5fc5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInput</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a57da19aaada2b7d51eb83f4f0a14468e</anchor>
      <arglist>(const TQByteArray &amp;input)</arglist>
    </member>
    <member kind="function">
      <type>TQByteArray</type>
      <name>result</name>
      <anchorfile>classKleo_1_1ChiasmusJob.html</anchorfile>
      <anchor>a8a704f8247c31f54815ecfc21cbdfaf7</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ChiasmusLibrary</name>
    <filename>classKleo_1_1ChiasmusLibrary.html</filename>
    <member kind="function">
      <type>int</type>
      <name>perform</name>
      <anchorfile>classKleo_1_1ChiasmusLibrary.html</anchorfile>
      <anchor>a9418605df9f76ad1caebcb76564a9397</anchor>
      <arglist>(const TQValueVector&lt; TQCString &gt; &amp;args) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const ChiasmusLibrary *</type>
      <name>instance</name>
      <anchorfile>classKleo_1_1ChiasmusLibrary.html</anchorfile>
      <anchor>aa2b484499c9803c4adf444472fd20a47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>deleteInstance</name>
      <anchorfile>classKleo_1_1ChiasmusLibrary.html</anchorfile>
      <anchor>a2c2307e2748c8636706c0ed258a1ead6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ObtainKeysJob</name>
    <filename>classKleo_1_1ObtainKeysJob.html</filename>
    <base>Kleo::SpecialJob</base>
    <member kind="slot">
      <type>void</type>
      <name>slotCancel</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>aaa80d2e7efc93e341a678553b6af3086</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>a3f6f87768d79794f31dd0c296bb085f6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>a8b067dcb129b210651855b8ae9e074a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showErrorDialog</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>a1a5e99b1ad4bd0ae60ac138033150cf5</anchor>
      <arglist>(TQWidget *, const TQString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>result</name>
      <anchorfile>classKleo_1_1ObtainKeysJob.html</anchorfile>
      <anchor>a42ed08ce666a1212d256d22d37ef4d6e</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::GnuPGProcessBase</name>
    <filename>classKleo_1_1GnuPGProcessBase.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>status</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a95f59ce28aa5ab35aa5f7becd74d0127</anchor>
      <arglist>(Kleo::GnuPGProcessBase *proc, const TQString &amp;type, const TQStringList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GnuPGProcessBase</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>acd190bada4fefed59fa07b42783d330e</anchor>
      <arglist>(TQObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUsetStatusFD</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a27dcc7e29bceb01a2952fe61c919dff6</anchor>
      <arglist>(bool use)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>start</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>abe565579d18e24b2538bcd879a4fa5ea</anchor>
      <arglist>(RunMode runmode, Communication comm)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closetStatus</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a124176c2782800fcdff73154f856c37d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>setupCommunication</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a73d1a8ae00afc1a5c82011f1824b3a85</anchor>
      <arglist>(Communication comm)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>commSetupDoneP</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>afda6494752d92ebadf067b4f04977cf3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>commSetupDoneC</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a4228c7a6b2d2b983c856dc65dbb85379</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>childStatus</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>a634d4790d03188dba5400ab436ccf482</anchor>
      <arglist>(int fd)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>virtual_hook</name>
      <anchorfile>classKleo_1_1GnuPGProcessBase.html</anchorfile>
      <anchor>ab4729ed385153596a024e3b0c55570a5</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::QGpgMEJob</name>
    <filename>classKleo_1_1QGpgMEJob.html</filename>
    <member kind="function">
      <type></type>
      <name>QGpgMEJob</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a9ae387486288cd641da389b95e6ac357</anchor>
      <arglist>(Kleo::Job *_this, GpgME::Context *context)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkInvariants</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a6b434aab5ef6f9bf05d56e9657d76fea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doOperationDoneEvent</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a1117b8d0dc255f403f2757c1ad008b26</anchor>
      <arglist>(const GpgME::Error &amp;e)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>hookupContextToEventLoopInteractor</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>ab46666423f3a2293d6ee86fde9e4f498</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPatterns</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a7bdbcdf9344557985e152570eb3b6b14</anchor>
      <arglist>(const TQStringList &amp;sl, bool allowEmpty=false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>unsigned int</type>
      <name>numPatterns</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>aaa2e61c04958b2e234778fe50015075f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>const char **</type>
      <name>nextChunk</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a7a2d17276205e3e3a7c9af85a0d01552</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>const char **</type>
      <name>patterns</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a103b5a9ac80e35e69157f36fbeebaa5d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setChunkSize</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>aa39a81b8fe99e40b66fb3873d1d4f9c6</anchor>
      <arglist>(unsigned int size)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>unsigned int</type>
      <name>chunkSize</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a6e29c9842cbe834895ab8f246ff878b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createOutData</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a28553787d6b2e07bb5de4421593217f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>createInData</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>ae8fa8324af3c2c636a7204742c4c42f6</anchor>
      <arglist>(const TQByteArray &amp;in)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>GpgME::Error</type>
      <name>setSigningKeys</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a86778b79421c996d354c591d6e08b12e</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doSlotOperationDoneEvent</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a397c9b00648a5f3928290d89fcb2bc27</anchor>
      <arglist>(GpgME::Context *context, const GpgME::Error &amp;e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>getAuditLog</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a6127be9c6281d93cb0feb16e1fb17087</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doEmitProgressSignal</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a87da055027527287ed6c96e6fcc1dff9</anchor>
      <arglist>(const TQString &amp;what, int current, int total)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>doEmitDoneSignal</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>ae15e6c394e2e48f79854ca4c5b69aaa9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doSlotCancel</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>ae8dad46202560be166d313fd0cc23c11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQString</type>
      <name>auditLogAsHtml</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a54ef1231e9780de28c5793da7d7a06d8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>GpgME::Error</type>
      <name>auditLogError</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a1ce14b8144dd6bc613525266fcc81f10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Kleo::Job *</type>
      <name>mThis</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>ac65b96c248f2a3616883a00f58c120c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GpgME::Context *</type>
      <name>mCtx</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a974575c0e5dc0535eee3dc590c15edd3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GpgME::Data *</type>
      <name>mInData</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>ab2030e88b983d1969bd20cf41a08843a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGpgME::TQByteArrayDataProvider *</type>
      <name>mInDataDataProvider</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>adafbc2d31948eac41e3b10053d102179</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>GpgME::Data *</type>
      <name>mOutData</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>ae392bf00936ef456012cb49bd18ce6f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGpgME::TQByteArrayDataProvider *</type>
      <name>mOutDataDataProvider</name>
      <anchorfile>classKleo_1_1QGpgMEJob.html</anchorfile>
      <anchor>a1eb0ab8d8a16ccd906cce5e7734a58ae</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigEntry</name>
    <filename>classKleo_1_1CryptoConfigEntry.html</filename>
    <member kind="enumeration">
      <name>Level</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a1cda9e79b26f328cb8ae7d2afd7f2d78</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>ArgType</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a416f3f2049f77c30dd0102f3d3d4294a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>name</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a3e6711d873de775dbc3ca4b5a4c5e4a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>description</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a6453a03b48cc586265b468266cef0c01</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isOptional</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a3bbd3846a2d725ce0d57ae37aadbc8d7</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isReadOnly</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>aef6aee513e04cec5d31ce2a9df18dea0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a06504d2a9bf67f7d5dd25aae29b6a073</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isRuntime</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a99fcd7acfd8d43c2efac35a30cdf65fd</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Level</type>
      <name>level</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a522de9ececad5ffc2f492852d68b59d4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ArgType</type>
      <name>argType</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a0b49ee48aa806b71ad1edeed7f721efa</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isSet</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ae5412d33d10245580b7deaef759e95b3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>boolValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a69af76b3803b9484ccfc0e7a4d7ca46e</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>stringValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a4241b0377197362214570bc6a1cc22e1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>intValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a6c750f8c9f29927016bf45b9314318ba</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>uintValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a4a6ae9bcf79a342d5bad97b98dbf4859</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KURL</type>
      <name>urlValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a805fb40e60dd147e7d93ae33c0e9500b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>numberOfTimesSet</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a9860f99c0b577926477b2006b4dd506e</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>stringValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a1391a70fe99e3fea4d5c6bf20dccdc85</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQValueList&lt; int &gt;</type>
      <name>intValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a123be89303d960005adab37d6f2a1e4b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQValueList&lt; unsigned int &gt;</type>
      <name>uintValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a8eaa8bd83cd6653fecc785eccde3051b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KURL::List</type>
      <name>urlValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a3cfd7305cd689493ff270d6d84d5df07</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resetToDefault</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ada9fa51d2550fe5c34ab4e19b89de53a</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setBoolValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a052f5387338800c15a92d1be2cdf9ff3</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setStringValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ab6c5ebbf8cd75864a33c02451c068bed</anchor>
      <arglist>(const TQString &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setIntValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ae75465478ea6e7de9513033a70ff0ded</anchor>
      <arglist>(int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setUIntValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a4a6c3e1f1e64be0c0b1eca634960757d</anchor>
      <arglist>(unsigned int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setURLValue</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a4066004c9520c68d8859d9a395909358</anchor>
      <arglist>(const KURL &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setNumberOfTimesSet</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a15a8cdcc20a51b781cbfb3e72556d11c</anchor>
      <arglist>(unsigned int)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setStringValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a24658314b467efab704d3dee761ea1b6</anchor>
      <arglist>(const TQStringList &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setIntValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ab96caa69979330cf8e4f778c1fa2ad11</anchor>
      <arglist>(const TQValueList&lt; int &gt; &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setUIntValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a18c55d19e0ddf571b22d5bbe4155e4b5</anchor>
      <arglist>(const TQValueList&lt; unsigned int &gt; &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setURLValueList</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>ab257c64ceb45d5b6f861261e53e9359a</anchor>
      <arglist>(const KURL::List &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isDirty</name>
      <anchorfile>classKleo_1_1CryptoConfigEntry.html</anchorfile>
      <anchor>a2375881873f1c55223239ecf1e3e9ff3</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigGroup</name>
    <filename>classKleo_1_1CryptoConfigGroup.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>name</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>aa11e07e0c4fa856e7411dbe084dd1d55</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>iconName</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a8b4b2de9e22793eac144adc510e6bce9</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>description</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a3b90cd42c449703ec930a6d5c80d4cd3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigEntry::Level</type>
      <name>level</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a16bae68762e499e67d96b2f8c83d8be1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>entryList</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a5bf03433767ffac1e9ad2a51df67487d</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigEntry *</type>
      <name>entry</name>
      <anchorfile>classKleo_1_1CryptoConfigGroup.html</anchorfile>
      <anchor>a38441e1accff09d93831f3746bd7ce94</anchor>
      <arglist>(const TQString &amp;name) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigComponent</name>
    <filename>classKleo_1_1CryptoConfigComponent.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>name</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>a08e091053398ae3eb16feac91c84de23</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>iconName</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>a44949a343b4ea32d5b3de098cc8ec946</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>description</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>a79c203bc54df729275378eeb5e8eccfd</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>groupList</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>ad11fb34861d8fa58c8b17f15273e4f38</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigGroup *</type>
      <name>group</name>
      <anchorfile>classKleo_1_1CryptoConfigComponent.html</anchorfile>
      <anchor>aed7e04eeaec44b1f83f87294aa1715cd</anchor>
      <arglist>(const TQString &amp;name) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfig</name>
    <filename>classKleo_1_1CryptoConfig.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>componentList</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a803391dde19c40282276ac0a47445661</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CryptoConfigComponent *</type>
      <name>component</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>aa6fa96711c7333477172b8c946139c53</anchor>
      <arglist>(const TQString &amp;name) const =0</arglist>
    </member>
    <member kind="function">
      <type>CryptoConfigEntry *</type>
      <name>entry</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a7ad81f326f26fd1404a649ba90d9c442</anchor>
      <arglist>(const TQString &amp;componentName, const TQString &amp;groupName, const TQString &amp;entryName) const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>sync</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a040cce6c956152962f46e61e448f8285</anchor>
      <arglist>(bool runtime)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKleo_1_1CryptoConfig.html</anchorfile>
      <anchor>a24a026f53caf7d200c0be1e057043e80</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DecryptJob</name>
    <filename>classKleo_1_1DecryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1DecryptJob.html</anchorfile>
      <anchor>ac1aabd546105ea966d4f1bebf5636ceb</anchor>
      <arglist>(const GpgME::DecryptionResult &amp;result, const TQByteArray &amp;plainText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DecryptJob.html</anchorfile>
      <anchor>adc145ccca389272c5e9f1c76415087ee</anchor>
      <arglist>(const TQByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::DecryptionResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1DecryptJob.html</anchorfile>
      <anchor>a185b7fffc0bc63a49a1e4d567c3e6a30</anchor>
      <arglist>(const TQByteArray &amp;cipherText, TQByteArray &amp;plainText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DecryptJob</name>
      <anchorfile>classKleo_1_1DecryptJob.html</anchorfile>
      <anchor>a88fbbc8f0d5c51d1b40f335a52578f5d</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DecryptVerifyJob</name>
    <filename>classKleo_1_1DecryptVerifyJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1DecryptVerifyJob.html</anchorfile>
      <anchor>afc84dab6a7990f7dd1e7b262538bec18</anchor>
      <arglist>(const GpgME::DecryptionResult &amp;decryptionresult, const GpgME::VerificationResult &amp;verificationresult, const TQByteArray &amp;plainText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DecryptVerifyJob.html</anchorfile>
      <anchor>a0f41c07a775e89b168ddc857d4ceb13b</anchor>
      <arglist>(const TQByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::pair&lt; GpgME::DecryptionResult, GpgME::VerificationResult &gt;</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1DecryptVerifyJob.html</anchorfile>
      <anchor>a0f43538c63d1df61f25df2672597bde8</anchor>
      <arglist>(const TQByteArray &amp;cipherText, TQByteArray &amp;plainText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DecryptVerifyJob</name>
      <anchorfile>classKleo_1_1DecryptVerifyJob.html</anchorfile>
      <anchor>ae8a2213ba56e0931d1cf3a02e0beb0a1</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DeleteJob</name>
    <filename>classKleo_1_1DeleteJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1DeleteJob.html</anchorfile>
      <anchor>ac5452cf1beabd0f054936d0e365991fc</anchor>
      <arglist>(const GpgME::Error &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DeleteJob.html</anchorfile>
      <anchor>a60e8d5318fe6ca67d53011b4489681e9</anchor>
      <arglist>(const GpgME::Key &amp;key, bool allowSecretKeyDeletion=false)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DeleteJob</name>
      <anchorfile>classKleo_1_1DeleteJob.html</anchorfile>
      <anchor>a7fba399e4a4f4b3379293938a60a7cd0</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DNAttributeMapper</name>
    <filename>classKleo_1_1DNAttributeMapper.html</filename>
    <member kind="function">
      <type>TQString</type>
      <name>name2label</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>a330fafdc1a7140bc9643df03fb3285d3</anchor>
      <arglist>(const TQString &amp;s) const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>names</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>aeb6d4240f0b5a6f59dad6e8af86f5b30</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQStringList &amp;</type>
      <name>attributeOrder</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>a115d493479e58e22df6925c2dd1ae85b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAttributeOrder</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>aa4a94030d95e8a54dbf153d9f3ea40ee</anchor>
      <arglist>(const TQStringList &amp;order)</arglist>
    </member>
    <member kind="function">
      <type>DNAttributeOrderConfigWidget *</type>
      <name>configWidget</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>a9aa1671278e605acae64210bfb32d557</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const DNAttributeMapper *</type>
      <name>instance</name>
      <anchorfile>classKleo_1_1DNAttributeMapper.html</anchorfile>
      <anchor>a586ee21d0519cf3f3b1b0baa8f304b10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DN</name>
    <filename>classKleo_1_1DN.html</filename>
    <member kind="typedef">
      <type>TQValueVector&lt; Attribute &gt;</type>
      <name>AttributeList</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a05860b9fff1e36dc3e016d8b562edf5f</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>AttributeList::const_iterator</type>
      <name>const_iterator</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a05e812f4a71f902d0133d70b6f24c8f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>DN::AttributeList</type>
      <name>List</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a125f5390069964dd6eed7e63afce1a6f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DN</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>af803e1a698f67e5262a7453e989c891c</anchor>
      <arglist>(const TQString &amp;dn)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DN</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>ac9945dbb89557383b3868f45807c8478</anchor>
      <arglist>(const char *utf8DN)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DN</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>ae359a235d4e03de16c177a5de754dc3e</anchor>
      <arglist>(const DN &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>const DN &amp;</type>
      <name>operator=</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a50c37dab041d580c5a62ac6d7a2e4a51</anchor>
      <arglist>(const DN &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>prettyDN</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a9f0713ed77b312e5a4e67794cbe80179</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>dn</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a7d2644540f5bd6cdfdb191e7c91a9080</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>operator[]</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>ad575bd1c50cdc0686bd75ac6d67887d0</anchor>
      <arglist>(const TQString &amp;attr) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a4fa82e44366375e9031af8c057d1b491</anchor>
      <arglist>(const Attribute &amp;attr)</arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>begin</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a1aee9a320fc69ae9c198517fe5abcca9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const_iterator</type>
      <name>end</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a8bf96eb87749f382f852eaf928d669f1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Attribute</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a12c35595ddb26482cc9fa81c67488fcb</anchor>
      <arglist>(const TQString &amp;name=TQString(), const TQString &amp;value=TQString())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Attribute</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a87d9aa1a8d222f9203d73133cd2fa816</anchor>
      <arglist>(const Attribute &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>const Attribute &amp;</type>
      <name>operator=</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a43741cb936784ab4a0f94f2071beebd2</anchor>
      <arglist>(const Attribute &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>name</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>aff8c52c965ce450bc3b36a5bf9e2e1f9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>value</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a40f2093ec236d1ba1e9ca9658f688d8d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValue</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a230a43162eca686975f5381ef640174b</anchor>
      <arglist>(const TQString &amp;value)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>escape</name>
      <anchorfile>classKleo_1_1DN.html</anchorfile>
      <anchor>a223260a75d3b340d0050816e870e9ea1</anchor>
      <arglist>(const TQString &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::DownloadJob</name>
    <filename>classKleo_1_1DownloadJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1DownloadJob.html</anchorfile>
      <anchor>af7f2e6f0656afc4aeb8828d8cf345d1c</anchor>
      <arglist>(const GpgME::Error &amp;result, const TQByteArray &amp;keyData)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1DownloadJob.html</anchorfile>
      <anchor>a50b960249d4cd80fc05b213d429debcc</anchor>
      <arglist>(const TQStringList &amp;fingerprints)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DownloadJob</name>
      <anchorfile>classKleo_1_1DownloadJob.html</anchorfile>
      <anchor>adb6cbcc4b7e0b216ca9d71f58fcad281</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::EncryptJob</name>
    <filename>classKleo_1_1EncryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1EncryptJob.html</anchorfile>
      <anchor>ae074320d94cd4c22217c757237e62575</anchor>
      <arglist>(const GpgME::EncryptionResult &amp;result, const TQByteArray &amp;cipherText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1EncryptJob.html</anchorfile>
      <anchor>af314361cfb85aa252aa67cc81fee7f05</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;recipients, const TQByteArray &amp;plainText, bool alwaysTrust=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::EncryptionResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1EncryptJob.html</anchorfile>
      <anchor>a77ae840882e34476158b61a9234f8b07</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;recipients, const TQByteArray &amp;plainText, bool alwaysTrust, TQByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>EncryptJob</name>
      <anchorfile>classKleo_1_1EncryptJob.html</anchorfile>
      <anchor>a14a597369b9eec6aaea0cc9e5d62baed</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ExportJob</name>
    <filename>classKleo_1_1ExportJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1ExportJob.html</anchorfile>
      <anchor>a1f35bcca4bb4bca95e08bb4335c87182</anchor>
      <arglist>(const GpgME::Error &amp;result, const TQByteArray &amp;keyData)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ExportJob.html</anchorfile>
      <anchor>ab843651b9293ea591c945805041a35a9</anchor>
      <arglist>(const TQStringList &amp;patterns)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ExportJob</name>
      <anchorfile>classKleo_1_1ExportJob.html</anchorfile>
      <anchor>a0b5a88470b6a9ae2bc260828e74842ab</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::HierarchicalKeyListJob</name>
    <filename>classKleo_1_1HierarchicalKeyListJob.html</filename>
    <base>Kleo::KeyListJob</base>
    <member kind="function">
      <type></type>
      <name>HierarchicalKeyListJob</name>
      <anchorfile>classKleo_1_1HierarchicalKeyListJob.html</anchorfile>
      <anchor>a652c898758dd52a8e34b412bfa9c17cb</anchor>
      <arglist>(const CryptoBackend::Protocol *protocol, bool remote=false, bool includeSigs=false, bool validating=false)</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1HierarchicalKeyListJob.html</anchorfile>
      <anchor>aff0eb4205515d2f1ae84e7a2ca9b4d10</anchor>
      <arglist>(const TQStringList &amp;patterns, bool secretOnly=false)</arglist>
    </member>
    <member kind="function">
      <type>GpgME::KeyListResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1HierarchicalKeyListJob.html</anchorfile>
      <anchor>a5131f143a297ac2fa007424ac2d4cbd6</anchor>
      <arglist>(const TQStringList &amp;patterns, bool secretOnly, std::vector&lt; GpgME::Key &gt; &amp;keys)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ImportJob</name>
    <filename>classKleo_1_1ImportJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1ImportJob.html</anchorfile>
      <anchor>a49349fbc786b9ff94e351903ac8d6db3</anchor>
      <arglist>(const GpgME::ImportResult &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1ImportJob.html</anchorfile>
      <anchor>a26e66a87d730735cf4b56abb82922e72</anchor>
      <arglist>(const TQByteArray &amp;keyData)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::ImportResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1ImportJob.html</anchorfile>
      <anchor>a6dcc8136c12418c7ff18a66de743a3e7</anchor>
      <arglist>(const TQByteArray &amp;keyData)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ImportJob</name>
      <anchorfile>classKleo_1_1ImportJob.html</anchorfile>
      <anchor>ab254e10263985739be2f4f3b103dfe9a</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::Job</name>
    <filename>classKleo_1_1Job.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>a2702f9b651302a7ca86a240efe72a01e</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>progress</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>ac5b6aae73e0c499cd69fb5d29c746663</anchor>
      <arglist>(const TQString &amp;what, int current, int total)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>ae12b728db4ea1e0413935e7457d9b027</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>showErrorDialog</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>ae1f72b180b41d0cf30d9dab02f7b2d73</anchor>
      <arglist>(TQWidget *parent=0, const TQString &amp;caption=TQString()) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>auditLogAsHtml</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>af70b9f391e1b0a2e09ea9ee4811edb65</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual GpgME::Error</type>
      <name>auditLogError</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>a615d77ae8ef4c4cb7f19a84867c0777a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAuditLogSupported</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>a12416dd96150358269b548fb8ebe022c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Job</name>
      <anchorfile>classKleo_1_1Job.html</anchorfile>
      <anchor>aef514615777e9a7d4c612688e5d55a5c</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyFilter</name>
    <filename>classKleo_1_1KeyFilter.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>matches</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a18f488237d8e8ea4052fa886a3443a7b</anchor>
      <arglist>(const GpgME::Key &amp;key) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>specificity</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>aea9d9b7d2e0ccac6dacb4e2fb90b9bf3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQColor</type>
      <name>fgColor</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a95de809157eee1d071cef63dfbd8a2ba</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQColor</type>
      <name>bgColor</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a32514493321ab2f22ce045169a9a34fe</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQFont</type>
      <name>font</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a11cc978e125834e22ea1d9dd6cfef780</anchor>
      <arglist>(const TQFont &amp;) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>name</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>ab70f2dc138ffe8382d601b81392c4396</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>icon</name>
      <anchorfile>classKleo_1_1KeyFilter.html</anchorfile>
      <anchor>a510a812d8cb9e4000433453ad0154262</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyGenerationJob</name>
    <filename>classKleo_1_1KeyGenerationJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1KeyGenerationJob.html</anchorfile>
      <anchor>a57ae29dc5831f863be659e41702484b4</anchor>
      <arglist>(const GpgME::KeyGenerationResult &amp;result, const TQByteArray &amp;pubKeyData)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1KeyGenerationJob.html</anchorfile>
      <anchor>a81108dab786e54b9e887fbc4b1fc38c8</anchor>
      <arglist>(const TQString &amp;parameters)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KeyGenerationJob</name>
      <anchorfile>classKleo_1_1KeyGenerationJob.html</anchorfile>
      <anchor>a8e7448765d594dc54602fe930b3721eb</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyListJob</name>
    <filename>classKleo_1_1KeyListJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>nextKey</name>
      <anchorfile>classKleo_1_1KeyListJob.html</anchorfile>
      <anchor>a00d775c524f3f9eda666b929883f76c7</anchor>
      <arglist>(const GpgME::Key &amp;key)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1KeyListJob.html</anchorfile>
      <anchor>afd0398391ab9fcbe8ae5d1eec77d6f05</anchor>
      <arglist>(const GpgME::KeyListResult &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1KeyListJob.html</anchorfile>
      <anchor>ac17e4265d290fba0837bbf3744937bef</anchor>
      <arglist>(const TQStringList &amp;patterns, bool secretOnly=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::KeyListResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1KeyListJob.html</anchorfile>
      <anchor>a9e1f27226980873102005dcf57957c33</anchor>
      <arglist>(const TQStringList &amp;patterns, bool secretOnly, std::vector&lt; GpgME::Key &gt; &amp;keys)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KeyListJob</name>
      <anchorfile>classKleo_1_1KeyListJob.html</anchorfile>
      <anchor>ab264b648e11a208877bb547b8dbfeeda</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::MultiDeleteJob</name>
    <filename>classKleo_1_1MultiDeleteJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1MultiDeleteJob.html</anchorfile>
      <anchor>a239657cdc2031a225b3f58ecc54d9bb8</anchor>
      <arglist>(const GpgME::Error &amp;result, const GpgME::Key &amp;errorKey)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MultiDeleteJob</name>
      <anchorfile>classKleo_1_1MultiDeleteJob.html</anchorfile>
      <anchor>a26b4634a386a1f3eacb9f825b01358f0</anchor>
      <arglist>(const CryptoBackend::Protocol *protocol)</arglist>
    </member>
    <member kind="function">
      <type>GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1MultiDeleteJob.html</anchorfile>
      <anchor>a0d9fe918e2ad9b4cac4fb3ce3cff1233</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;keys, bool allowSecretKeyDeletion=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::RefreshKeysJob</name>
    <filename>classKleo_1_1RefreshKeysJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1RefreshKeysJob.html</anchorfile>
      <anchor>afed19904dbb58d151d03b3cb3ca75f13</anchor>
      <arglist>(const GpgME::Error &amp;error)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1RefreshKeysJob.html</anchorfile>
      <anchor>a9b444b5e71666abc9391382c7b1cc473</anchor>
      <arglist>(const TQStringList &amp;patterns)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>RefreshKeysJob</name>
      <anchorfile>classKleo_1_1RefreshKeysJob.html</anchorfile>
      <anchor>a906d91b691f076bfd1cec5dec3577d27</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::SignEncryptJob</name>
    <filename>classKleo_1_1SignEncryptJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1SignEncryptJob.html</anchorfile>
      <anchor>af7d688dc8804710bea79922d7d7878dd</anchor>
      <arglist>(const GpgME::SigningResult &amp;signingresult, const GpgME::EncryptionResult &amp;encryptionresult, const TQByteArray &amp;cipherText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1SignEncryptJob.html</anchorfile>
      <anchor>a4a8a13fc2bb9a4a1d0fad688220a055f</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const std::vector&lt; GpgME::Key &gt; &amp;recipients, const TQByteArray &amp;plainText, bool alwaysTrust=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::pair&lt; GpgME::SigningResult, GpgME::EncryptionResult &gt;</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1SignEncryptJob.html</anchorfile>
      <anchor>ae7212e1eaa09fc535b7ef7d3c42c3d50</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const std::vector&lt; GpgME::Key &gt; &amp;recipients, const TQByteArray &amp;plainText, bool alwaysTrust, TQByteArray &amp;cipherText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>SignEncryptJob</name>
      <anchorfile>classKleo_1_1SignEncryptJob.html</anchorfile>
      <anchor>a9b87ed2452f81a82011ff5ed01cb892b</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::SignJob</name>
    <filename>classKleo_1_1SignJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1SignJob.html</anchorfile>
      <anchor>a2f00ae5b5311c52a29ec6554d23aef75</anchor>
      <arglist>(const GpgME::SigningResult &amp;result, const TQByteArray &amp;signature)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1SignJob.html</anchorfile>
      <anchor>a9b4d290e1871c0f54c1354bc8ca3b002</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const TQByteArray &amp;plainText, GpgME::Context::SignatureMode mode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::SigningResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1SignJob.html</anchorfile>
      <anchor>a9ea636f4eeeaa3c52ab93d0e96d1a181</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;signers, const TQByteArray &amp;plainText, GpgME::Context::SignatureMode mode, TQByteArray &amp;signature)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>SignJob</name>
      <anchorfile>classKleo_1_1SignJob.html</anchorfile>
      <anchor>aef524ee9900b483c0dbe44a8470bc69e</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::SpecialJob</name>
    <filename>classKleo_1_1SpecialJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1SpecialJob.html</anchorfile>
      <anchor>a3578413fb36cb6c5d3d8269726d45865</anchor>
      <arglist>(const GpgME::Error &amp;result, const TQVariant &amp;data)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1SpecialJob.html</anchorfile>
      <anchor>a68f4e81f140cde27cad78537791faba3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1SpecialJob.html</anchorfile>
      <anchor>a007f538f86fbc2e4419b32503ceed614</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>SpecialJob</name>
      <anchorfile>classKleo_1_1SpecialJob.html</anchorfile>
      <anchor>a191d0c46d58e3652b8165bb6d98a9f86</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::VerifyDetachedJob</name>
    <filename>classKleo_1_1VerifyDetachedJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1VerifyDetachedJob.html</anchorfile>
      <anchor>ab1c4f4730784ce20dc6a6d1c566a1029</anchor>
      <arglist>(const GpgME::VerificationResult &amp;result)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1VerifyDetachedJob.html</anchorfile>
      <anchor>acfdbd2a3ae09a5c10fd189d9e63a14c9</anchor>
      <arglist>(const TQByteArray &amp;signature, const TQByteArray &amp;signedData)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::VerificationResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1VerifyDetachedJob.html</anchorfile>
      <anchor>afe56ca65df1a2a0789c59a3ed51dbd1b</anchor>
      <arglist>(const TQByteArray &amp;signature, const TQByteArray &amp;signedData)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>VerifyDetachedJob</name>
      <anchorfile>classKleo_1_1VerifyDetachedJob.html</anchorfile>
      <anchor>a21703e407498ec89be115bc84adea26a</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::VerifyOpaqueJob</name>
    <filename>classKleo_1_1VerifyOpaqueJob.html</filename>
    <base>Kleo::Job</base>
    <member kind="signal">
      <type>void</type>
      <name>result</name>
      <anchorfile>classKleo_1_1VerifyOpaqueJob.html</anchorfile>
      <anchor>ae616cec1b6baf0bc64fc6d27a2e82020</anchor>
      <arglist>(const GpgME::VerificationResult &amp;result, const TQByteArray &amp;plainText)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::Error</type>
      <name>start</name>
      <anchorfile>classKleo_1_1VerifyOpaqueJob.html</anchorfile>
      <anchor>a9304732bda0e592ab204d035a9307093</anchor>
      <arglist>(const TQByteArray &amp;signedData)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual GpgME::VerificationResult</type>
      <name>exec</name>
      <anchorfile>classKleo_1_1VerifyOpaqueJob.html</anchorfile>
      <anchor>a28ebb0f501443dd023a3d252ea249cf1</anchor>
      <arglist>(const TQByteArray &amp;signedData, TQByteArray &amp;plainText)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>VerifyOpaqueJob</name>
      <anchorfile>classKleo_1_1VerifyOpaqueJob.html</anchorfile>
      <anchor>a78e0c027b8022a78f456d223ae766ae3</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigDialog</name>
    <filename>classKleo_1_1CryptoConfigDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotChanged</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>a0988cc06a0138580f4fc3402c2ad653b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptoConfigDialog</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>ab149237b947865c602324bc48ddf4733</anchor>
      <arglist>(Kleo::CryptoConfig *config, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>ab502a55490ac8b460fa1fd2a83c0f923</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>a3a8be0333b5712a9f08b1be432ee7397</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDefault</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>a4083aa728023c270d1b862d62f6286e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>a3615cc35892fe38bea5a47d507f5262d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotUser1</name>
      <anchorfile>classKleo_1_1CryptoConfigDialog.html</anchorfile>
      <anchor>aa1cc818c70da4fff80ce4fc9eff9e940</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::CryptoConfigModule</name>
    <filename>classKleo_1_1CryptoConfigModule.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>a0fd5034932ea410e50943d0485525802</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CryptoConfigModule</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>a21fcbac7a1c44ebb26ea07ef911afed3</anchor>
      <arglist>(Kleo::CryptoConfig *config, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasError</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>afcb61b09f6e90cc26d4ed62e4f4fbf88</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>abb1d1df6011fd5e26f9613a8d86e467a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>a893e62dbc211fc831ba0d6756cf8bb01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>a25398baec0a6b4dc6bcea77c09b69ded</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancel</name>
      <anchorfile>classKleo_1_1CryptoConfigModule.html</anchorfile>
      <anchor>ab1392761980bce018ee406f74335ce8e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::KeyRequester</name>
    <filename>classKleo_1_1KeyRequester.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a067bf33b1cea6570ecc65feac541d6a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyRequester</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>aff1229e80d54fe4dd4f3b7f751c84fd1</anchor>
      <arglist>(unsigned int allowedKeys, bool multipleKeys=false, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyRequester</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a451d68dd77124e828a40630e5c4e2219</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>const GpgME::Key &amp;</type>
      <name>key</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a6284cebab2c933f94ddd59168af4d49b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKey</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>ab66c552af9385b3e343586181970928a</anchor>
      <arglist>(const GpgME::Key &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>const std::vector&lt; GpgME::Key &gt; &amp;</type>
      <name>keys</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a6a11d9ebc6865fc8ae75e22998ce8816</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeys</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a860358d34f26ba5c840ac0bdcc8c572a</anchor>
      <arglist>(const std::vector&lt; GpgME::Key &gt; &amp;keys)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>fingerprint</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>aa01629934a42f39b21574dd2f4d35f83</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>af243594e5dcd03b5e04f117b65ecc6aa</anchor>
      <arglist>(const TQString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>fingerprints</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a19b01b649495baa3ed4935af3ae1a7bf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprints</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a4dd5c9f68edc2e6d0abca98dd53eeb24</anchor>
      <arglist>(const TQStringList &amp;fingerprints)</arglist>
    </member>
    <member kind="function">
      <type>TQPushButton *</type>
      <name>eraseButton</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a7ac9483dbf2bfddc97689f0a23277d29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQPushButton *</type>
      <name>dialogButton</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a69e80f30bd52512b11c068520bfc16b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogCaption</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>add86327e542a7277bdaec572a485f5bc</anchor>
      <arglist>(const TQString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogMessage</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a1fd3ff7533ed2741d5e50e9298e1a165</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMultipleKeysEnabled</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>ae8c2a9c757b3804583d8f8a19da2ccd7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMultipleKeysEnabled</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a360b07add2f4dfe80c231c7eb444a280</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>allowedKeys</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a5f2711dd700dcf12401b74269b7b3b67</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowedKeys</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a01f813ef1675f60181d53936a4fceee4</anchor>
      <arglist>(unsigned int allowed)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInitialQuery</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a002288188f80e7b7de69abc1bd939c5a</anchor>
      <arglist>(const TQString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>initialQuery</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a399f59f9101e5de7610e2e217545f798</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKleo_1_1KeyRequester.html</anchorfile>
      <anchor>a66e442c0df1f2a756eb3d4b88c818816</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ProgressBar</name>
    <filename>classKleo_1_1ProgressBar.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotProgress</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>ad26b1d6273470fda8f1f2d174c91caea</anchor>
      <arglist>(const TQString &amp;message, int type, int current, int total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotProgress</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>abc0890c4b0befdc40ea932b8b8d271a0</anchor>
      <arglist>(const TQString &amp;message, int current, int total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setProgress</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>a43bd70ec0a1582bbf2d0e3a21ef94d0a</anchor>
      <arglist>(int progress)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setTotalSteps</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>a55220b1af805566be9c5cdd062201c48</anchor>
      <arglist>(int total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>a985bfcb84456e10c5feb87e442939436</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setProgress</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>a6a73091e4bcf00ae1f5e6e19cdf200ed</anchor>
      <arglist>(int cur, int tot)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProgressBar</name>
      <anchorfile>classKleo_1_1ProgressBar.html</anchorfile>
      <anchor>adfcbd602ae2b91edc10fe271e757f1ca</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kleo::ProgressDialog</name>
    <filename>classKleo_1_1ProgressDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setMinimumDuration</name>
      <anchorfile>classKleo_1_1ProgressDialog.html</anchorfile>
      <anchor>a791cbf0881d09862c1e42b5126bc8582</anchor>
      <arglist>(int ms)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProgressDialog</name>
      <anchorfile>classKleo_1_1ProgressDialog.html</anchorfile>
      <anchor>ac90cba039a7d1fe24fb537f85aaed0e6</anchor>
      <arglist>(Job *job, const TQString &amp;baseText, TQWidget *creator=0, const char *name=0, WFlags f=0)</arglist>
    </member>
  </compound>
</tagfile>
