<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>AddressEditDialog</name>
    <filename>classAddressEditDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>AddressEditDialog</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a351757e184ca725a0fcf7d90efba39f7</anchor>
      <arglist>(const TDEABC::Address::List &amp;list, int selected, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>TDEABC::Address::List</type>
      <name>addresses</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a5e590b53955a12d03b61a05780079c27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a54f6268e14a808d6f75341f5ecb5fc91</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addAddress</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a580f47eb23fe817fa7246c4bcf0fefbf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>removeAddress</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a1d00141fd9b6de7c42b651f6169a3649</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>changeType</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a7f07a76c326ea977ffb69918be18765d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>editLabel</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a7750624f3188a22c1e8d06eba8bb6b48</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateAddressEdits</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a9c939a8e2c9d5ce2ea669b5546f902bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classAddressEditDialog.html</anchorfile>
      <anchor>a6d58d6a7dd645f59c438cfe52dd10fa8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddressEditWidget</name>
    <filename>classAddressEditWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a813358ac111e6472f37ac9b5e8be36f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddressEditWidget</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>ac735e2e55a0caac8feab40d49fd961ee</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>TDEABC::Address::List</type>
      <name>addresses</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a25fdee8eaf21084db6b490832ef41669</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAddresses</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a0771d0401b874e8d1e77168fe38ae5c4</anchor>
      <arglist>(const TDEABC::Addressee &amp;addr, const TDEABC::Address::List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateAddressee</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a438d8a2143fc4fcbdda4a02b9aa26c51</anchor>
      <arglist>(const TDEABC::Addressee &amp;addr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateTypeCombo</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a2482356509158ae7959d14663cea096a</anchor>
      <arglist>(const TDEABC::Address::List &amp;, KComboBox *)</arglist>
    </member>
    <member kind="function">
      <type>TDEABC::Address</type>
      <name>currentAddress</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a70cb6c01a2d672466879fbc7c4ca1b96</anchor>
      <arglist>(KComboBox *, int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a11560c7fa5c66f7d879059d3cd5791af</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateAddressEdit</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a68b5a38791b73f94902d034a485a7a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>edit</name>
      <anchorfile>classAddressEditWidget.html</anchorfile>
      <anchor>a4f06b97ea633b80868d3c8912d7f2529</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddresseeUtil</name>
    <filename>classAddresseeUtil.html</filename>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>addresseesToClipboard</name>
      <anchorfile>classAddresseeUtil.html</anchorfile>
      <anchor>a6de100c46bc9c0767cc59956fe272d27</anchor>
      <arglist>(const TDEABC::Addressee::List &amp;addrList)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDEABC::Addressee::List</type>
      <name>clipboardToAddressees</name>
      <anchorfile>classAddresseeUtil.html</anchorfile>
      <anchor>a59a71ba4433300d2e308fae937bbd7a8</anchor>
      <arglist>(const TQString &amp;clipboard)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>addresseesToEmails</name>
      <anchorfile>classAddresseeUtil.html</anchorfile>
      <anchor>a200413c88fffe0649b606e9d34f8e012</anchor>
      <arglist>(const TDEABC::Addressee::List &amp;addrList)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddressTypeDialog</name>
    <filename>classAddressTypeDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>AddressTypeDialog</name>
      <anchorfile>classAddressTypeDialog.html</anchorfile>
      <anchor>ae5a694abc1dedc41b786e3ad710089dc</anchor>
      <arglist>(int type, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>type</name>
      <anchorfile>classAddressTypeDialog.html</anchorfile>
      <anchor>a5b79f3448eec2791a2121aa5f66b3b7b</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AddViewDialog</name>
    <filename>classAddViewDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>AddViewDialog</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>a141abd50112e24f584cd200fbd7aa370</anchor>
      <arglist>(TQDict&lt; ViewFactory &gt; *viewFactoryDict, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>viewName</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>aa4f55f70f28d871ef92298687b74f6d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>viewType</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>a5dcfecb27d1748545dc37d200bc16a04</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>aed7b66f9fef02d0cd328520f53debad9</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>textChanged</name>
      <anchorfile>classAddViewDialog.html</anchorfile>
      <anchor>a2cb3531d012a5312256367563c5d4fb8</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CardView</name>
    <filename>classCardView.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>selectionChanged</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>abd7b7e28115979603ec526fec0769dff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionChanged</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>acb98fa9b4f86a26cd0d6d2662eaa41b9</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ac8a17c2f8d918370cdc3fd73b1665ee5</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>executed</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a6e85d31b7662315cf748d5d9158a1cef</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>doubleClicked</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a6b1de93272a369b29c86ea9b580b803c</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>currentChanged</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a2580cef48769536ca161ad35c977352e</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>returnPressed</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a02943e60c1d2006ecfe4c5c7ff752c93</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>contextMenuRequested</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a39d0f5eee3290d9703817aa2dcf4d9ec</anchor>
      <arglist>(CardViewItem *, const TQPoint &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CardView</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>af2d7dbbf1c410092be87e9811c082528</anchor>
      <arglist>(TQWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>abbe967566eed569899c510bfd5842ae8</anchor>
      <arglist>(CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a9cdc6c5f34ca0484ed0afaa03b5d84c9</anchor>
      <arglist>(CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a3452f30980688c339f9ff7177b2629c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>currentItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a2c22f3dd12392c1be3f98bb85943247c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a58054f1d4d44c5fd5a0f3b069103173f</anchor>
      <arglist>(CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>itemAt</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a7f8326fcbb0d0067c9958202ba36514c</anchor>
      <arglist>(const TQPoint &amp;viewPos) const </arglist>
    </member>
    <member kind="function">
      <type>TQRect</type>
      <name>itemRect</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a4580651b985a9e04708882e2e36808e7</anchor>
      <arglist>(const CardViewItem *item) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ensureItemVisible</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a39b429a5dc4e6d8ab518d61411ca9505</anchor>
      <arglist>(const CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>repaintItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ac91d140c9c5fb5e8540f149297debdcd</anchor>
      <arglist>(const CardViewItem *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectionMode</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a3cec31b27f9f0d744a4e75b056b4eb68</anchor>
      <arglist>(SelectionMode mode)</arglist>
    </member>
    <member kind="function">
      <type>SelectionMode</type>
      <name>selectionMode</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a3bffb6eabb8b78c6982b853f966c128e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ae3f1ec18cb8ea4eb6edc410f35150992</anchor>
      <arglist>(CardViewItem *item, bool selected)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>selectAll</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>aaf5389ae0583b606a8713afc3d2650b9</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelected</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a1e6aa5285afcd2cfebd4206443314264</anchor>
      <arglist>(CardViewItem *item) const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>selectedItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a810184e9ce06b2aa36e604a96b3dd4d5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>firstItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ae1cb8468fd93b84300e213760ead6208</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>itemAfter</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>aabdd5a7bac44718ac828480af3b93b0f</anchor>
      <arglist>(const CardViewItem *item) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>childCount</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>abdbcc6316bd41a3761ebeaf05461fb66</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>findItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a5edc68992c1129aafdf7adffaf3a3d5a</anchor>
      <arglist>(const TQString &amp;text, const TQString &amp;label, TQt::StringComparisonMode compare=TQt::BeginsWith) const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>columnWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a7e7fca339e4598c554d1885b31173785</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrawCardBorder</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a0a6b4fa770ead7a1ecd96a14db4f689d</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>drawCardBorder</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ac12d48ebb8c6bf0a96bcb490d80e34ee</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrawColSeparators</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a05649a994b6531198935fe5142909ca5</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>drawColSeparators</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a8c9dad23a944b815ef8c2210f829eb53</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrawFieldLabels</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>aab0c1413c99ff2642681ed02dd396388</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>drawFieldLabels</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a5c00f680b19431240f8903969b20d0d7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowEmptyFields</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a0d7bfc94a5d597d73846731826ee77bd</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showEmptyFields</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>af738784fb9b7ff1ea24660f26074df87</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>itemMargin</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>abd9be4c85053fb8cae4ff262aa879137</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemMargin</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>aa019a95522e6e27f83e5694be7cf5b99</anchor>
      <arglist>(uint margin)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>itemSpacing</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a077b6ec372d7cf0706f056d67d6c9f28</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemSpacing</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a2088587dac0249f933f7276cec225cc8</anchor>
      <arglist>(uint spacing)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>itemWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a1b9560c747315521b08c11a346fb6b60</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItemWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ac9dde4dc1c02e1001484251c8a0ccd45</anchor>
      <arglist>(int width)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHeaderFont</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a76601bceaae7d804c614da25b7947966</anchor>
      <arglist>(const TQFont &amp;fnt)</arglist>
    </member>
    <member kind="function">
      <type>TQFont</type>
      <name>headerFont</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>abe4f8c83cb5caacbe20d0e3f8a14639e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFont</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a5238e0f3cbf6193b571f5e02983f1606</anchor>
      <arglist>(const TQFont &amp;fnt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSeparatorWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a8d414938ccbe056c93947fd50f66a29c</anchor>
      <arglist>(int width)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>separatorWidth</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a78b8e1271205f5d1438f405a4e2e7027</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxFieldLines</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a375acddf0650535bdf745227098048fc</anchor>
      <arglist>(int howmany)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxFieldLines</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>abe8ab51e96e5b36412b92db52df7a1f6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawContents</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a705c19eeaea6fde0b056612302883cb7</anchor>
      <arglist>(TQPainter *p, int clipx, int clipy, int clipw, int cliph)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ad16636a9bb177e1893162819838695c6</anchor>
      <arglist>(TQResizeEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>contentsWheelEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a73c4ab88c90117bcb718e2024951f14e</anchor>
      <arglist>(TQWheelEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setLayoutDirty</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ab9c0e3520b62830c594f09855c56c9d3</anchor>
      <arglist>(bool dirty)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>calcLayout</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a73b3ca4524bbf4234c696f02c053b273</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMousePressEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ad3dce4184d052046a67fe1387f17e376</anchor>
      <arglist>(TQMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseMoveEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ace3db6589adcaa595b7fb870044670ad</anchor>
      <arglist>(TQMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseReleaseEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>ae89e3ab6ccf75156fdf2474eb94f39de</anchor>
      <arglist>(TQMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsMouseDoubleClickEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a5400889f0e24c52e42b1fbfc3eeaf814</anchor>
      <arglist>(TQMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>enterEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a3d6b1cabdee6d9b700ab68f201c9b343</anchor>
      <arglist>(TQEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>leaveEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a52293a355f42e1edcc29706f02e918ef</anchor>
      <arglist>(TQEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>focusInEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a25bff66eed05ff174a077aab838ff9a3</anchor>
      <arglist>(TQFocusEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>focusOutEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>abda52eb7c55226d0412e34edfe7eefee</anchor>
      <arglist>(TQFocusEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressEvent</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>aa0f12c9e378734c782b4546fa9f5b173</anchor>
      <arglist>(TQKeyEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>startDrag</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>af97168b938e95736df57dbd61baaf38f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>CardViewItem</name>
      <anchorfile>classCardView.html</anchorfile>
      <anchor>a317c923b8a286767c5d8d5d9421e8273</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CardViewItem</name>
    <filename>classCardViewItem.html</filename>
    <member kind="typedef">
      <type>TQPair&lt; TQString, TQString &gt;</type>
      <name>Field</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>abb0d977b29b244f33470c296c76ac919</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CardViewItem</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>ab6898ae89a26ab51e97e3ddc779ad2db</anchor>
      <arglist>(CardView *parent, const TQString &amp;caption=TQString())</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>caption</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>aba9735d399fb75df79b31ab0e5874513</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCaption</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a7fe7f9187264959003435e5b9ecf6caa</anchor>
      <arglist>(const TQString &amp;caption)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>paintCard</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a17bae08b9fcd179d3a06c231720e9fef</anchor>
      <arglist>(TQPainter *p, TQColorGroup &amp;cg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>repaintCard</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>ab164214eda619037be346c793a5f3e59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertField</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>ad9bf7b4f225cb1a93d14021e3baab98e</anchor>
      <arglist>(const TQString &amp;label, const TQString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeField</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a09eb5f48dd990685fce4e92ec9cbca79</anchor>
      <arglist>(const TQString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>fieldValue</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a97195b431b17e26eed004e9d4b22ba63</anchor>
      <arglist>(const TQString &amp;label) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearFields</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a5072007830e5ac381196316e26842083</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CardViewItem *</type>
      <name>nextItem</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a0f7608325b216600e73665da5c54bae1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelected</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a25e672791e143a906955fdb41726e41d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showFullString</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a9f40eacf95c0f641460d76f599b1f052</anchor>
      <arglist>(const TQPoint &amp;pos, CardViewTip *tip)</arglist>
    </member>
    <member kind="function">
      <type>Field *</type>
      <name>fieldAt</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>accb70cab471291e46b895177732c86b0</anchor>
      <arglist>(const TQPoint &amp;itempos) const </arglist>
    </member>
    <member kind="function">
      <type>CardView *</type>
      <name>cardView</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>ad59af63d7e56eee4f374924a2f5cc21e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>height</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a9b09c9e28c08daaef572e43cc3f3aa82</anchor>
      <arglist>(bool allowCache=true) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>a7ced93bc42ccd33d38560a9c84ff32a1</anchor>
      <arglist>(bool selected)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>CardView</name>
      <anchorfile>classCardViewItem.html</anchorfile>
      <anchor>affcf84b19290a67c37257b3c476e857e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CardViewLookNFeelPage</name>
    <filename>classCardViewLookNFeelPage.html</filename>
    <member kind="function">
      <type></type>
      <name>CardViewLookNFeelPage</name>
      <anchorfile>classCardViewLookNFeelPage.html</anchorfile>
      <anchor>a562c11a65cd6330b13b92be125c7302e</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreSettings</name>
      <anchorfile>classCardViewLookNFeelPage.html</anchorfile>
      <anchor>ade5e5392674638ae26cde3133ab2686d</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classCardViewLookNFeelPage.html</anchorfile>
      <anchor>aeb1ea7c1296c9ddee89499f042c71c51</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigureCardViewWidget</name>
    <filename>classConfigureCardViewWidget.html</filename>
    <base>ViewConfigureWidget</base>
    <member kind="function">
      <type></type>
      <name>ConfigureCardViewWidget</name>
      <anchorfile>classConfigureCardViewWidget.html</anchorfile>
      <anchor>af62d8aa39b7af2cdbea0750780131a02</anchor>
      <arglist>(TDEABC::AddressBook *ab, TQWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreSettings</name>
      <anchorfile>classConfigureCardViewWidget.html</anchorfile>
      <anchor>adc5b84799883e7d4515cc81eab14dc46</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classConfigureCardViewWidget.html</anchorfile>
      <anchor>a7908cfa10e0f70b8cff15a39e3a27e40</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigureTableViewWidget</name>
    <filename>classConfigureTableViewWidget.html</filename>
    <base>ViewConfigureWidget</base>
    <member kind="function">
      <type></type>
      <name>ConfigureTableViewWidget</name>
      <anchorfile>classConfigureTableViewWidget.html</anchorfile>
      <anchor>a449704a5691e9502a193d96a788f8d08</anchor>
      <arglist>(TDEABC::AddressBook *ab, TQWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreSettings</name>
      <anchorfile>classConfigureTableViewWidget.html</anchorfile>
      <anchor>a85a02765451e709bbad512a8abcaed33</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classConfigureTableViewWidget.html</anchorfile>
      <anchor>a0f2a56e3a741e425e1fbf6f4af805bac</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DateParser</name>
    <filename>classDateParser.html</filename>
    <member kind="function">
      <type></type>
      <name>DateParser</name>
      <anchorfile>classDateParser.html</anchorfile>
      <anchor>a4f099ecf5ade8b276ec712c284b25a1e</anchor>
      <arglist>(const TQString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>TQDate</type>
      <name>parse</name>
      <anchorfile>classDateParser.html</anchorfile>
      <anchor>ad28bcabeab5695f037859a32fe170643</anchor>
      <arglist>(const TQString &amp;dateStr) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DistributionListView</name>
    <filename>classDistributionListView.html</filename>
    <member kind="function">
      <type></type>
      <name>DistributionListView</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>a3871756425cc1c06428944ce8bd22660</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>a6bb0d497253393e3fba0a1c3e5fbc5da</anchor>
      <arglist>(TQDragEnterEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dropEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>aec88fb1ce0fac4bdacacf2212cfdff60</anchor>
      <arglist>(TQDropEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>viewportDragMoveEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>a21b4f57a11366d2860a299678e9f8779</anchor>
      <arglist>(TQDragMoveEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>viewportDropEvent</name>
      <anchorfile>classDistributionListView.html</anchorfile>
      <anchor>a1c06cc099338f6004e0e6f48cacdcbb9</anchor>
      <arglist>(TQDropEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DynamicTip</name>
    <filename>classDynamicTip.html</filename>
    <member kind="function">
      <type></type>
      <name>DynamicTip</name>
      <anchorfile>classDynamicTip.html</anchorfile>
      <anchor>a0f15443eb4983aa65c5dc4e5d7f2316a</anchor>
      <arglist>(ContactListView *parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>maybeTip</name>
      <anchorfile>classDynamicTip.html</anchorfile>
      <anchor>ae6438a3a282facffb05d06f7185a5898</anchor>
      <arglist>(const TQPoint &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EmailEditWidget</name>
    <filename>classEmailEditWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>acb650af4281506535606f964a6ae4648</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>EmailEditWidget</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>aaad6df9e889a38721c229c606bce788d</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmails</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>acde43357834e6eb9f4602bd41e7dcc56</anchor>
      <arglist>(const TQStringList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>emails</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>a08e4340f7dad7411cb1f48a0a66a4ca7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classEmailEditWidget.html</anchorfile>
      <anchor>afa5227c922f106b67073c198d4fe0c4e</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EmailSelector</name>
    <filename>classEmailSelector.html</filename>
    <member kind="function">
      <type></type>
      <name>EmailSelector</name>
      <anchorfile>classEmailSelector.html</anchorfile>
      <anchor>a99bb5c76dc7d7aa5730aadb1aecd1806</anchor>
      <arglist>(const TQStringList &amp;emails, const TQString &amp;current, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>selected</name>
      <anchorfile>classEmailSelector.html</anchorfile>
      <anchor>aa61afac63c04009f9415933359670c1d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>getEmail</name>
      <anchorfile>classEmailSelector.html</anchorfile>
      <anchor>a817e35675b7b54820c71d7fd32214d0f</anchor>
      <arglist>(const TQStringList &amp;emails, const TQString &amp;current, TQWidget *parent, bool &amp;canceled)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Filter</name>
    <filename>classFilter.html</filename>
    <member kind="typedef">
      <type>TQValueList&lt; Filter &gt;</type>
      <name>List</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a76a28d6b8de05b919a942d12798884d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Filter</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a1677a89ddb69560986e39f7feab28f7b</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a319308f745440fd363562f6e8745562b</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>name</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a7000af6a63c692d0c6cc6bdc2bedff36</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isInternal</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>adb719d4d19226b19597828b50617f8b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>apply</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>ad1a3e81441c8fa2d3c933b5ea645decb</anchor>
      <arglist>(TDEABC::Addressee::List &amp;addresseeList)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>filterAddressee</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a5384594ded8c4c4aedc19f83cf7ac48c</anchor>
      <arglist>(const TDEABC::Addressee &amp;a) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnabled</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a3439b317c389b94af7e363b5b0dba243</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEnabled</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>aeef4e0e20a536b7f740190b1fa39307f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCategories</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a786d05219b022b6b016ec8cf9c9e20ee</anchor>
      <arglist>(const TQStringList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>const TQStringList &amp;</type>
      <name>categories</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a09ea940aafff7281c0675fb910a8e529</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>ac6a8b9509fd1bff5f13de628b2012606</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restore</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a335efaaf97de3b19967fee989dc3557c</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMatchRule</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>afc8fd041e058eedd96d0164c280a4431</anchor>
      <arglist>(MatchRule rule)</arglist>
    </member>
    <member kind="function">
      <type>MatchRule</type>
      <name>matchRule</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>afd0c1e8b49246866a74bada517987eeb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a0e6425e5e0b05a773464813bc823db8e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>save</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>a68500f646b94695566f6d98bde8a9089</anchor>
      <arglist>(TDEConfig *config, const TQString &amp;baseGroup, Filter::List &amp;list)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Filter::List</type>
      <name>restore</name>
      <anchorfile>classFilter.html</anchorfile>
      <anchor>ab322f0c25b0861c2243ef6bc3dcb54e6</anchor>
      <arglist>(TDEConfig *config, const TQString &amp;baseGroup)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>FilterSelectionWidget</name>
    <filename>classFilterSelectionWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>filterActivated</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>aaf080b439f8e3f22cf73cd0148a90688</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FilterSelectionWidget</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>a67bf83c4e18f7b3e4bb545d2f8a0db87</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItems</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>a35d6114bd351ce68b08e05e21bacf0ee</anchor>
      <arglist>(const TQStringList &amp;names)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentItem</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>aad6340abed572625972c056648df2f38</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentItem</name>
      <anchorfile>classFilterSelectionWidget.html</anchorfile>
      <anchor>a429a78ad950e4b01e94bc42b9347507d</anchor>
      <arglist>(int index)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMAddressLVI</name>
    <filename>classIMAddressLVI.html</filename>
    <member kind="function">
      <type></type>
      <name>IMAddressLVI</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>aa15f61bf0a3bee3c2b6ce135bdb6739d</anchor>
      <arglist>(TDEListView *parent, KPluginInfo *protocol, const TQString &amp;address, const IMContext &amp;context=Any)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAddress</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>ad6c483c38d2f4bab97852b2be2342557</anchor>
      <arglist>(const TQString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProtocol</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>af1c4c1251d3322e309bcfe29a5603a38</anchor>
      <arglist>(KPluginInfo *protocol)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContext</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>af0201c24e1d43bdb4f96881d64e6ae2a</anchor>
      <arglist>(const IMContext &amp;context)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>activate</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a43c9d5a406c9ff4785118da7456b10dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPluginInfo *</type>
      <name>protocol</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a0e08e1a76e8cc058800f298940ad6c8e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>address</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>ad7fdb670b39d8ee6b9422e11909dad16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>IMContext</type>
      <name>context</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a8d53fb775c199b0d20603b56886ad123</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreferred</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a38ce3109654d45caf5377b72e89926c5</anchor>
      <arglist>(bool preferred)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>preferred</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a107cdb6848401f83ce23f03e99f4ae2d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paintCell</name>
      <anchorfile>classIMAddressLVI.html</anchorfile>
      <anchor>a799149af21529a29428562354b7a74a6</anchor>
      <arglist>(TQPainter *p, const TQColorGroup &amp;cg, int column, int width, int alignment)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMAddressWidget</name>
    <filename>classIMAddressWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>inValidState</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a8d1979e35cc4e8293a277b33f8cb8953</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IMAddressWidget</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a3f6884938de83a4dda40423cb9a2b822</anchor>
      <arglist>(TQWidget *parent, TQValueList&lt; KPluginInfo * &gt; protocols)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IMAddressWidget</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a1d6e807bb5a79c4095bc27049f48848c</anchor>
      <arglist>(TQWidget *parent, TQValueList&lt; KPluginInfo * &gt; protocols, KPluginInfo *protocol, const TQString &amp;address, const IMContext &amp;context=Any)</arglist>
    </member>
    <member kind="function">
      <type>KPluginInfo *</type>
      <name>protocol</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>ad34a54fa42858306d6116b3190997c6e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>IMContext</type>
      <name>context</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>ab387077761518ff4c5b7555eca78114d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>address</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a709ab6c17d23bcc0974980af396b942d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>TQValueList&lt; KPluginInfo * &gt;</type>
      <name>mProtocols</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a6469172adf3f908e3e98ac25695cfa9d</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotProtocolChanged</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a2c42f6f913d65180a21b9337fabe0ff2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAddressChanged</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>afb2e585073d8958884f67b3b565c89b6</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>populateProtocols</name>
      <anchorfile>classIMAddressWidget.html</anchorfile>
      <anchor>a39fcb2e1482be14123b46355f190735a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ImageButton</name>
    <filename>classImageButton.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>a5fd713fa038ce8520a0e949bbae17a8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>urlDropped</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>a27890457b02c525b53f099d0a06e92a5</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ImageButton</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>a1c47d5c7b6c1a9c5acfdf6e6adb4a8a0</anchor>
      <arglist>(const TQString &amp;title, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>a23c4eefdce72fb5f282feecdd085eebb</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPicture</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>a230b46cad0d68e84c84a2146627825f8</anchor>
      <arglist>(const TDEABC::Picture &amp;picture)</arglist>
    </member>
    <member kind="function">
      <type>TDEABC::Picture</type>
      <name>picture</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>ad59085a2a3f2eea38b71274155f10a35</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setImageLoader</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>a032e330e755d981e7921086ab0423ae0</anchor>
      <arglist>(ImageLoader *loader)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>a1fb8a8bf76a35aa4daa88e4c0a8f351c</anchor>
      <arglist>(TQDragEnterEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>ada969b50765205283aa03bfab833a397</anchor>
      <arglist>(TQDropEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseMoveEvent</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>ad4dba08204af4459fe87e76080d46933</anchor>
      <arglist>(TQMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>ac2ed483c63103d408898bfc82633d30b</anchor>
      <arglist>(TQMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>contextMenuEvent</name>
      <anchorfile>classImageButton.html</anchorfile>
      <anchor>a7240a23f9b95824d9c38f5cf6cd41b52</anchor>
      <arglist>(TQContextMenuEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ImageLoader</name>
    <filename>classImageLoader.html</filename>
    <member kind="function">
      <type></type>
      <name>ImageLoader</name>
      <anchorfile>classImageLoader.html</anchorfile>
      <anchor>a4d31877fc0de1d9e2be7af1f7adc320c</anchor>
      <arglist>(TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>TDEABC::Picture</type>
      <name>loadPicture</name>
      <anchorfile>classImageLoader.html</anchorfile>
      <anchor>a95f05750ddc0ea21cc402ec049304ce4</anchor>
      <arglist>(const KURL &amp;url, bool *ok)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMEditorWidget</name>
    <filename>classIMEditorWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>IMEditorWidget</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>aa3f2008c7dc7b3e74c0fdad2aaa9862c</anchor>
      <arglist>(TQWidget *parent, const TQString &amp;preferredIM, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadContact</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>af3a712761495536e10ff978bb5acab99</anchor>
      <arglist>(TDEABC::Addressee *addr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>storeContact</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>aec2c4cc7d9950515a522353f890f1702</anchor>
      <arglist>(TDEABC::Addressee *addr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>af6b88b7fafc39dfa4e657e4b5fbae1a3</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; KPluginInfo * &gt;</type>
      <name>availableProtocols</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a1e57752524f7a404969db76063c650b8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a97d880544321c5b356ddfc19f9ac35bd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>preferred</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a643efc0af5e34bf9605d1bb87ef8e75e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUpdateButtons</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a8127d65b82aa3d607380dbc477daf09f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAdd</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a44a600a285957a1eb7c02e277832a36b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEdit</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>ab3e172609cf3cce094d943dda3c8ef7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDelete</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>ae855545fe37bb3c879d6353bea6dc781</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSetStandard</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a6d65ac4976c0a438b01865b89af7fc3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KPluginInfo *</type>
      <name>protocolFromString</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a6cefef894196d56c1e9fb2794a1034af</anchor>
      <arglist>(const TQString &amp;fieldValue) const </arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>splitField</name>
      <anchorfile>classIMEditorWidget.html</anchorfile>
      <anchor>a7d9bc675bdb34542d3709112ddaf1a31</anchor>
      <arglist>(const TQString &amp;str, TQString &amp;app, TQString &amp;name, TQString &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IMEditWidget</name>
    <filename>classIMEditWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>a7064c382a19dd9e1a8f6db17f6598a61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IMEditWidget</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>a4a0f4ee907e52aa0d612715215b58992</anchor>
      <arglist>(TQWidget *parent, TDEABC::Addressee &amp;addr, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIMs</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>a247a139055c543b8ece32be3ac8d8d57</anchor>
      <arglist>(const TQStringList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>ims</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>a74850bf0c2ad856831ee1b024c44f328</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreferredIM</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>ae06790057ae09a14f0b69e0d226c1ab4</anchor>
      <arglist>(const TQString &amp;addr)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>preferredIM</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>a7080914043dde034cedc39f06ad31a04</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classIMEditWidget.html</anchorfile>
      <anchor>a2e2145bae8952f8b8aef5d17b88bf529</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>JumpButtonBar</name>
    <filename>classJumpButtonBar.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>updateButtons</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>ad9c828bd74e70c0f1fb75067b62ab128</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>jumpToLetter</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>ac4f694c5c7da1abcfc37acd9e5731860</anchor>
      <arglist>(const TQString &amp;character)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>JumpButtonBar</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>a4a99381cca5a008e430fadadabb18ca7</anchor>
      <arglist>(KAB::Core *core, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>letterClicked</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>af931f57f5b6c54726148e42ef0a066fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classJumpButtonBar.html</anchorfile>
      <anchor>abfd3a76ff7e44a47ff7da409b3571ab1</anchor>
      <arglist>(TQResizeEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookCardView</name>
    <filename>classKAddressBookCardView.html</filename>
    <base>KAddressBookView</base>
    <member kind="slot">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a1ecf76d4b0d51280fd1bf4f84bf9f18e</anchor>
      <arglist>(const TQString &amp;uid=TQString())</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a7349387ec54ecc59263692832bc650d9</anchor>
      <arglist>(const TQString &amp;uid=TQString(), bool selected=true)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setFirstSelected</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>ad08a39d5b9c0dcdd977e593b8535f4e3</anchor>
      <arglist>(bool selected=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookCardView</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a3c8408e80536598c96f557e66487d985</anchor>
      <arglist>(KAB::Core *core, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a37a37f9dbe6fc6aa3d63fd6995b5fa77</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>type</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>ace3057c3fc9cd825bb255c7e43c657f0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TDEABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a2cbb848945db2faf7507e97d512f54e7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a04281668bdb0a48a8b42e4d769a25c2c</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a7551e01aa9c6d038325c2eee08ba9bb8</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollUp</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>ac10461c91080deb948e65cadeea99c5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollDown</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>aa4d6ebac79e9422339ec4d453edf188c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeExecuted</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a546b24a2be99e12148487aac67a93490</anchor>
      <arglist>(CardViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeSelected</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a220de71266489ccda83674800155e933</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rmbClicked</name>
      <anchorfile>classKAddressBookCardView.html</anchorfile>
      <anchor>a9fb19a635966e0388ded15e9f1406868</anchor>
      <arglist>(CardViewItem *, const TQPoint &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookIconView</name>
    <filename>classKAddressBookIconView.html</filename>
    <base>KAddressBookView</base>
    <member kind="slot">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a86deac0dba42777c3e80e9d05ee7f6ee</anchor>
      <arglist>(const TQString &amp;uid=TQString())</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a7111d85ebfe29a3c95a5bffeb0f0400b</anchor>
      <arglist>(const TQString &amp;uid=TQString(), bool selected=true)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setFirstSelected</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>aee247538deec4b4fbe1188d10563ffb5</anchor>
      <arglist>(bool selected=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookIconView</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>ac0ad569a8f88932605aac81c670e05fc</anchor>
      <arglist>(KAB::Core *core, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a39ccc27c9ae75eb9ca4edcd6ac2d674f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>type</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>ad3f529afcd554f2f92022cfca0b55915</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TDEABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a20307ead7f08a0c949fa1f39ce430395</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a3644efd67dd38a91d314a6e22b147426</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollUp</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a96df48972a87dcc4d46d199c6e70430c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollDown</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a2953ac019b5e71a4a26c4b55cfb16a53</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeExecuted</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a605c5ee258a358e1df5e6bbfce1c990f</anchor>
      <arglist>(TQIconViewItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeSelected</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>a983e6dc0be7ee1ece40b61dea84cbdb1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rmbClicked</name>
      <anchorfile>classKAddressBookIconView.html</anchorfile>
      <anchor>adaac6ceb2f36b2984c9cdfc81d0e3eec</anchor>
      <arglist>(TQIconViewItem *, const TQPoint &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookMain</name>
    <filename>classKAddressBookMain.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>addEmail</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a7d43f5660096c7b0d654a083298e853b</anchor>
      <arglist>(TQString addr)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>importVCard</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>ad17ae2ab08aef6ec92232d233b1b3f45</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>importVCardFromData</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>ab341e64e2a8f8570674c8c05b6547cef</anchor>
      <arglist>(const TQString &amp;vCard)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>showContactEditor</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a83a47eff88fc0b0a726cce517e5db1b3</anchor>
      <arglist>(TQString uid)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>newContact</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a39142d0a24b30bd55531594ea428e307</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>newDistributionList</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a5a00412e5ddedcb305ae52f1a029d47b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual TQString</type>
      <name>getNameByPhone</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>aa287b9f7c27c9e14c25d82b285abb84d</anchor>
      <arglist>(TQString phone)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a7552066ded885dc0690684b7b5b055a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>exit</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a0007614115a51cdc27c2cfcbde5fef5c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>handleCommandLine</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>ad5e119305da756cd667846b969cdef1c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>syncAllResources</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a0d94da5c07d1fc6179943e26a0b0696e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookMain</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a5d01084b24b1c5899ba6d30fc7f72444</anchor>
      <arglist>(const TQString &amp;file=TQString())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initActions</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a999c180e4f928c1079a6eb00335fbcf0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveProperties</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a67664da9dde05882ad84b91a726f6bf1</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readProperties</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>ad9dcbd19587076a85547bdb2e7f628f5</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a7684406cf2fa005268fc2a2b624f048b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadProfile</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a5db96c953b74d7bc59beae12a2090a27</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveToProfile</name>
      <anchorfile>classKAddressBookMain.html</anchorfile>
      <anchor>a10f9179f1c303aebc5ad536d31ff2331</anchor>
      <arglist>(const TQString &amp;path) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookTableView</name>
    <filename>classKAddressBookTableView.html</filename>
    <base>KAddressBookView</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>reconstructListView</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a42d1ddb62f32e833306d970968b28965</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookTableView</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a50367a4f6a980c950289dcfd17062b7d</anchor>
      <arglist>(KAB::Core *core, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a128ebfb768674b0b07a5034788b5be6b</anchor>
      <arglist>(const TQString &amp;uid=TQString())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>ac9981c4b173c1aac939bf20d1f4ba3ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a1f6dd490bef35738ba0e629272fffd76</anchor>
      <arglist>(const TQString &amp;uid=TQString(), bool selected=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setFirstSelected</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>aa750500426f894e3049175e5b1637035</anchor>
      <arglist>(bool selected=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TDEABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>af6db9db856cf061d05be556673f6e649</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a01386bdcfb4536e429d0e7a7172ca181</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>ab72214d895a87374d1d5abc2ebdcbafe</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>type</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>ad27b27b1143b0d76175bcf248666289a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollUp</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>aa44b6e8db12bfa0cca05910241237b5d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scrollDown</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>aeb4a5709e40a89d22703f2fa2cfb0d13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeSelected</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a8cdc9550b1f11971beb2df2bf86d254b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addresseeExecuted</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a998258d071a7afe226d5678e6011847e</anchor>
      <arglist>(TQListViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rmbClicked</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>a41a4f4e27bbea78d9d9be161c57fde16</anchor>
      <arglist>(TDEListView *, TQListViewItem *, const TQPoint &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updatePresence</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>af5f6ef4124d64f84f6a590327306f016</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ContactListView</name>
      <anchorfile>classKAddressBookTableView.html</anchorfile>
      <anchor>aa13303974c67411aa3adff8dd94e795e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressBookView</name>
    <filename>classKAddressBookView.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>refresh</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a89f56fb95efa17815bfe7a9c8d58da74</anchor>
      <arglist>(const TQString &amp;uid=TQString())=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setSelected</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>aa6ea62ff579ccfe8dd7033f7443ea52b</anchor>
      <arglist>(const TQString &amp;uid=TQString(), bool selected=true)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>setFirstSelected</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>ac2269e27bb8c8ff06dfe2b9e3b3357c8</anchor>
      <arglist>(bool selected=true)=0</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>popup</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a5a9f235ff5db8c01b598f60a22df5cc4</anchor>
      <arglist>(const TQPoint &amp;point)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>acfcf83a3ca367f3a5422f2005853c063</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selected</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a8c4477c5f6216746e1c2adb7546f6b6c</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>executed</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>ab836ab35ff2812692a0d597bf2a649e9</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>startDrag</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a0fb13d9787ab314956d67143ff37ea01</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dropped</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a3de0501cb64674d66401f1774d753710</anchor>
      <arglist>(TQDropEvent *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sortFieldChanged</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>adafe34db1b0d156f7b15e91b5aa70b8d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>viewFieldsChanged</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a2b7ea3e442d78408cfe9adfafeb5fc66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAddressBookView</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a98d48e7c3c2b62f9c301bfcaa80e119c</anchor>
      <arglist>(KAB::Core *core, TQWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>selectedUids</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a0ce29407748d59ff1b70bce60aed2bd7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>ad36a3a57178da8d5b002f962b664453c</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>aad22232b7134b186d2a4c7edd07d49d5</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>selectedEmails</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a916d941ffa16a5c0ce16622796c0ba0b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>type</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a1046abcc7903754c5d093fd2c0571e2c</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>TDEABC::Field::List</type>
      <name>fields</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a4ace68c0708353227eab353088a69ced</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a3c79e2e2fecbef5ceb6479b494740d74</anchor>
      <arglist>(const Filter &amp;)</arglist>
    </member>
    <member kind="function">
      <type>DefaultFilterType</type>
      <name>defaultFilterType</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a8096d78bec403feaa38bc7f8b23a746f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>defaultFilterName</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a7bb8522b2c1bc44d9943f7a3337518ad</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAB::Core *</type>
      <name>core</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a244299d36e01633853f3b47c6eab8957</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TDEABC::Field *</type>
      <name>sortField</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>adc32d81143c60674edc6889a463ee8fd</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>scrollUp</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>adec384d3e38e3a9fdca0d336680fc6fb</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>scrollDown</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>ab237b767f8b4efa118f44a26f4a4c0d0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TDEABC::Addressee::List</type>
      <name>addressees</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>abb4fdfbd79073b161f8205fa10a22d7b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQWidget *</type>
      <name>viewWidget</name>
      <anchorfile>classKAddressBookView.html</anchorfile>
      <anchor>a30d1f58d5f960972db9940d91ec20238</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LookAndFeelPage</name>
    <filename>classLookAndFeelPage.html</filename>
    <member kind="function">
      <type></type>
      <name>LookAndFeelPage</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>a6aa461c161ca7ea93fd73b85bbed6661</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreSettings</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>a5611f7f60a076664bc0d3d6e2ebae232</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>a83316e0f0e115df1391b80a69be054ad</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>enableBackgroundToggled</name>
      <anchorfile>classLookAndFeelPage.html</anchorfile>
      <anchor>a311a7bc820917924bfc9f1c00f1eab6d</anchor>
      <arglist>(bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NameEditDialog</name>
    <filename>classNameEditDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>NameEditDialog</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a56a251cc7a1d9a19fb467b49793413d6</anchor>
      <arglist>(const TDEABC::Addressee &amp;addr, int type, bool readOnly, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>familyName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a0fbd62d8a3a2e5d4849a3e8971ff2edc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>givenName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>aaba1dd072390441f10ef8d6025f88e8f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>prefix</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a5d1f29c2578a07a50b58602c307f283d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>suffix</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a94b083178353180f302e93e04491cc5d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>additionalName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>ad991c4b7824a0c49f8e765bb974017ce</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>customFormattedName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a91a47f50e378bfe62a5d781589588dca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>formattedNameType</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>ad16e8975c1ac86e1a7b1881b76da0cf0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>a0748577da8fa657a7305df47b2c87a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>formattedName</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>aff0ac34cd908ae94863b947c1220bd9e</anchor>
      <arglist>(const TDEABC::Addressee &amp;addr, int type)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotHelp</name>
      <anchorfile>classNameEditDialog.html</anchorfile>
      <anchor>ac739ea7a864729441f485042336197cf</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneEditWidget</name>
    <filename>classPhoneEditWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>ae344ee0d3fb3416de53d3606f7caf929</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PhoneEditWidget</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a3a73810389ebb2fbbab4bc0e673ee2a1</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPhoneNumbers</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a2bc39949b0dbf4f8a33a4fa7470ba7ee</anchor>
      <arglist>(const TDEABC::PhoneNumber::List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>TDEABC::PhoneNumber::List</type>
      <name>phoneNumbers</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a8683d1b1c896dab8416601cd65628634</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a81c3e3ef60bcfa1fb8308da405380d53</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>add</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a71a298d5299da4aa722b011c5b885f70</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>aa4675225cb554d5e7568576ee4a8ce73</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>ac555b148dfc160210c9327aabdd47e66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classPhoneEditWidget.html</anchorfile>
      <anchor>a3f8fbe13dbf2c9c892308b7a503f6a4d</anchor>
      <arglist>(int pos)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PhoneTypeDialog</name>
    <filename>classPhoneTypeDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>PhoneTypeDialog</name>
      <anchorfile>classPhoneTypeDialog.html</anchorfile>
      <anchor>a1730d9b4777adec95b8469697a9680a0</anchor>
      <arglist>(int type, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>type</name>
      <anchorfile>classPhoneTypeDialog.html</anchorfile>
      <anchor>a99d9d5a1ef0138b10f865d9858134790</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TypeCombo</name>
    <filename>classTypeCombo.html</filename>
    <templarg>T</templarg>
    <member kind="typedef">
      <type>T::List</type>
      <name>List</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>abac42ea073049246babdc91cc269c1a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>T::List::Iterator</type>
      <name>Iterator</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>adbc8635eb251d1fad429e2d7b95924ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TypeCombo</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>adde6e8b0554a974733adeecc181c088e</anchor>
      <arglist>(List &amp;list, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLineEdit</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>adfde72e2c45df2aadf802fcd2df645e9</anchor>
      <arglist>(TQLineEdit *edit)</arglist>
    </member>
    <member kind="function">
      <type>TQLineEdit *</type>
      <name>lineEdit</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>ad47c1a7740023b8ff3c609b6ef4f09b6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateTypes</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>aede7315d3db29cda551cb7a9002adaf2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>selectType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a91b46004a93c7a95273ccd1189cb1b33</anchor>
      <arglist>(int type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>selectedType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a24c9b5d67de26ca47756412ce6ea57c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>selectedElement</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a7af8615738b8351f497add3946b085b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a60078f6b5d994babab603cc16eb04a05</anchor>
      <arglist>(const List &amp;list, int type, const T &amp;defaultObject)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertTypeList</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>abd5284f3aeff525cc0dbb570060d1f11</anchor>
      <arglist>(const List &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasType</name>
      <anchorfile>classTypeCombo.html</anchorfile>
      <anchor>a82394ad76be0aad22124762595e9329e</anchor>
      <arglist>(int type)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ViewConfigureWidget</name>
    <filename>classViewConfigureWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>ViewConfigureWidget</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>aa9601494483883589521f5239ec778cd</anchor>
      <arglist>(TDEABC::AddressBook *ab, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreSettings</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>a10b7ca20ece5889befc1626ddcc299f1</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>a439efe85eeab18f22dcefc6c4c216e24</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>TQVBox *</type>
      <name>addPage</name>
      <anchorfile>classViewConfigureWidget.html</anchorfile>
      <anchor>aeaaaae20b56ceee2154769f6647e0f2c</anchor>
      <arglist>(const TQString &amp;item, const TQString &amp;header=TQString(), const TQPixmap &amp;pixmap=TQPixmap())</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ViewManager</name>
    <filename>classViewManager.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setSelected</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a835841cdd9bbb4818b220285365570bb</anchor>
      <arglist>(const TQString &amp;uid=TQString(), bool selected=true)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setFirstSelected</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>acf981baaed62db287365010785b09019</anchor>
      <arglist>(bool selected=true)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>refreshView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a1f9e56086ee1250c1e8ec46dfc380966</anchor>
      <arglist>(const TQString &amp;uid=TQString())</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a0e57a398ddcee220f356509f63588c97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a8d58ebc9a5880adbb2280df8d4781f00</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addView</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a7add0398401bbf8619615f8d43c99479</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>scrollUp</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>aff4ab6b0e8f8bb56b16a111ad6873501</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>scrollDown</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a534954bb420dfe2b9574641ddc6bf6be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selected</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>aa8fef0950b1b5f28531ce3591464a09d</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>executed</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>aff8e8ef0bd11bf3a56e01ae096fd2e3a</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>modified</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a98f2d3f16deb7dbec008bc2745687c7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>urlDropped</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a7a4961938ef73b2295fc3e51363f9b35</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sortFieldChanged</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>ae0511b561555336acbe43ea2f371fed9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>viewFieldsChanged</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a05e84d1c07c8f2e83d980be2e91582b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ViewManager</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a71176d8a90a9d9bc18b94eebe864f98a</anchor>
      <arglist>(KAB::Core *core, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreSettings</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>ae790ac3d1614773620b6550ef3e44bf9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a020466cf952f9659d8a270c30ec90ab1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unloadViews</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a3770c6215f34d6f2923466913702d0df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>selectedUids</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>aa88cd9f7012495b174b21c0476b7ae68</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>selectedEmails</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>ac4d5aeb8a563a3e9fb60f13f6918df6d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TDEABC::Addressee::List</type>
      <name>selectedAddressees</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a49f2e7e38d409bbb6ce53298ea8f885c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilterSelectionWidget</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a12885a30b106746495ac8d4f8ae7bbf8</anchor>
      <arglist>(FilterSelectionWidget *wdg)</arglist>
    </member>
    <member kind="function">
      <type>TDEABC::Field *</type>
      <name>currentSortField</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a341545af0a8185ba00ed5c37d079352c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TDEABC::Field::List</type>
      <name>viewFields</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a37d0e7e74cab24b71cc0c9d4bdd1675a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>dropped</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a7ce48c7ecb4f47d4b351f0eed9f608af</anchor>
      <arglist>(TQDropEvent *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>startDrag</name>
      <anchorfile>classViewManager.html</anchorfile>
      <anchor>a5692590c641a473bc8443d81b60eaa9a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintingWizard</name>
    <filename>classKABPrinting_1_1PrintingWizard.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintingWizard</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>ab2849a4797abdc0e833ee91429864a80</anchor>
      <arglist>(KPrinter *printer, TDEABC::AddressBook *ab, const TQStringList &amp;selection, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerStyles</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a7c792f4ae266eda6a8fdf8ae55576e3b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>print</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a273661f3785cfd50a112cf61f80c4b8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TDEABC::AddressBook *</type>
      <name>addressBook</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a100b737125e97f590a5a2bd67096a008</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPrinter *</type>
      <name>printer</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a7dd26842ddbd25f87182f41927200807</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStyleSelected</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>adfe2be48be8bfe2a1a8110e376368eca</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>accept</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a33999ce58c271a4bf8aa0c5acbe76900</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; PrintStyleFactory &gt;</type>
      <name>mStyleFactories</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a72f6921de2c5d9227b784b49d894a084</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; PrintStyle &gt;</type>
      <name>mStyleList</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>adcf511a99679b4c1533121784254c7ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Filter::List</type>
      <name>mFilters</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a61223fabecb611ce83c38135a91898bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KPrinter *</type>
      <name>mPrinter</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>ae4d24dab3d45052ffd1fc4c4dd8f065f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TDEABC::AddressBook *</type>
      <name>mAddressBook</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>ac31ac52bcbe5aff65d303b172af7d00f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQStringList</type>
      <name>mSelection</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>ade76cc1e37314fd1fbf8c054b70e863a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PrintStyle *</type>
      <name>mStyle</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a6ca7de4bd189c50633e4a5b35ba06816</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>StylePage *</type>
      <name>mStylePage</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>a8bc11a129bdb90e38d5122b3e59f8044</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SelectionPage *</type>
      <name>mSelectionPage</name>
      <anchorfile>classKABPrinting_1_1PrintingWizard.html</anchorfile>
      <anchor>aca3093dfb49f82a489915b5f2df17a49</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintProgress</name>
    <filename>classKABPrinting_1_1PrintProgress.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintProgress</name>
      <anchorfile>classKABPrinting_1_1PrintProgress.html</anchorfile>
      <anchor>a719d3e9f27f11e282b2ab50012068a86</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addMessage</name>
      <anchorfile>classKABPrinting_1_1PrintProgress.html</anchorfile>
      <anchor>a46e3ae1602c8431aec4049e483c403c0</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProgress</name>
      <anchorfile>classKABPrinting_1_1PrintProgress.html</anchorfile>
      <anchor>a47b67038060f6742ad596c7aece7c2b2</anchor>
      <arglist>(int)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintStyle</name>
    <filename>classKABPrinting_1_1PrintStyle.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintStyle</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>aef5a5c8c7e6181bd90709bb8f1d84365</anchor>
      <arglist>(PrintingWizard *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>print</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>ace52594a18ce7dae988adc0f0511e8a6</anchor>
      <arglist>(const TDEABC::Addressee::List &amp;contacts, PrintProgress *)=0</arglist>
    </member>
    <member kind="function">
      <type>const TQPixmap &amp;</type>
      <name>preview</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a9d7584987e34ee935c7d8672ec58fcd6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>hidePages</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>ac49d6f5e8863c5c82093d1cfca2e2f61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showPages</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>aacd9cba19ec236ce10260cf7bbdb5c2e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TDEABC::Field *</type>
      <name>preferredSortField</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a249110a74a62ec5070702340d521fb58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>preferredSortType</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a057b5f7f3153101f6777977d50bc3acf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>setPreview</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a0c36d04b2b97286e67716ba3e1abc59e</anchor>
      <arglist>(const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPreview</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>adb4d256851334ce528f66e6b4f594c65</anchor>
      <arglist>(const TQPixmap &amp;image)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPreferredSortOptions</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>adad0ac4138b28a3f0fd997a2e80fa5ab</anchor>
      <arglist>(TDEABC::Field *field, bool ascending=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>PrintingWizard *</type>
      <name>wizard</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a690d65f311f5273ab6dea150731d89e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addPage</name>
      <anchorfile>classKABPrinting_1_1PrintStyle.html</anchorfile>
      <anchor>a4128611de8af9c37fede9193146c9c69</anchor>
      <arglist>(TQWidget *page, const TQString &amp;title)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABPrinting::PrintStyleFactory</name>
    <filename>classKABPrinting_1_1PrintStyleFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintStyleFactory</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>a536c0cff9c30fc914f51422bc3161f07</anchor>
      <arglist>(PrintingWizard *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual PrintStyle *</type>
      <name>create</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>a937a534a4f0f946b096411d78c59ff41</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>description</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>a56dbc0ddce73e3fbf8af87758a9ee4e1</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PrintingWizard *</type>
      <name>mParent</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>a58e1cac2265cadda8e44ddeb8936dbba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const char *</type>
      <name>mName</name>
      <anchorfile>classKABPrinting_1_1PrintStyleFactory.html</anchorfile>
      <anchor>a382446ca3e2e0f1505bbd478ff637798</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
