<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>alarmevent.h</name>
    <path>/build/buildd/tdepim-trinity-14.0.6/kalarm/</path>
    <filename>alarmevent_8h</filename>
    <class kind="class">KAEvent</class>
    <member kind="typedef">
      <type>KCal::Person</type>
      <name>EmailAddress</name>
      <anchorfile>alarmevent_8h.html</anchorfile>
      <anchor>a747c1f3db72ea1b282598ad484c62277</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>functions.h</name>
    <path>/build/buildd/tdepim-trinity-14.0.6/kalarm/</path>
    <filename>functions_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <member kind="function">
      <type>MainWindow *</type>
      <name>displayMainWindowSelected</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a3162883cbf66ac0dd6a8b7ef26b94459</anchor>
      <arglist>(const TQString &amp;eventID=TQString())</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readConfigWindowSize</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a967f054ede4aaec415d3a4d86b0af8fe</anchor>
      <arglist>(const char *window, TQSize &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfigWindowSize</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a2f17cec8196a51ae185a804da1b23192</anchor>
      <arglist>(const char *window, const TQSize &amp;size)</arglist>
    </member>
    <member kind="function">
      <type>FileType</type>
      <name>fileType</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>aed87a4a669607d244dc8a29b778815fd</anchor>
      <arglist>(const TQString &amp;mimetype)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>Version</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a1b67d46ce3ded6b371e8cd71e2c1881b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>Version</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a4d5ce580ddb4a2f365a2cfb467beb718</anchor>
      <arglist>(int major, int minor, int rev)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getVersionNumber</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a9cce8f7c8f984d16ef8e52de1e6ce84f</anchor>
      <arglist>(const TQString &amp;version, TQString *subVersion)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentCalendarVersion</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a58ada652d3c2fb844e4ed447006f73f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>currentCalendarVersionString</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>adb1d169a94f0b828c321ec8fe42651a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>browseFile</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>ad51c8349c1fab7a63eebe8236d7c509b</anchor>
      <arglist>(const TQString &amp;caption, TQString &amp;defaultDir, const TQString &amp;initialFile, const TQString &amp;filter, int mode, TQWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>edit</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a062be5f785af3f897dc4eb5f5bb02c16</anchor>
      <arglist>(const TQString &amp;eventID)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>editNew</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a8a06f18baa670cbb50e3b08d778e07e5</anchor>
      <arglist>(const TQString &amp;templateName)</arglist>
    </member>
    <member kind="function">
      <type>TDEAction *</type>
      <name>createNewAlarmAction</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>ad5f09e37d96ca2a2e462a91187cdcd42</anchor>
      <arglist>(const TQString &amp;label, TQObject *receiver, const char *slot, TDEActionCollection *, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>TemplateMenuAction *</type>
      <name>createNewFromTemplateAction</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>acd35dd3855d9bd93ce9f9019b03bf9ea</anchor>
      <arglist>(const TQString &amp;label, TQObject *receiver, const char *slot, TDEActionCollection *, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; KAEvent &gt;</type>
      <name>templateList</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a8854a25b17e803376f25ca5cf9bf09c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>outputAlarmWarnings</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a3241e33013138187048b36a46ee17853</anchor>
      <arglist>(TQWidget *parent, const KAEvent *event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetDaemon</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a40e15fbc77cd0a8033baae957ef03e5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetDaemonIfQueued</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a8038831e7cf12552d73a5851f0e9e275</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>runKMail</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a762977c89343ccf4968a6c133c1a5cb3</anchor>
      <arglist>(bool minimise)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>runProgram</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a500a44b3726c15f75f5a702a52d9efac</anchor>
      <arglist>(const TQCString &amp;program, const TQCString &amp;windowName, TQCString &amp;dcopName, TQString &amp;errorMessage)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>addEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a5504fc2f303f56b5edda66e24a7f8d37</anchor>
      <arglist>(KAEvent &amp;event, AlarmListView *selectionView, TQWidget *errmsgParent, bool useEventID, bool allowKOrgUpdate)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addExpiredEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a14244698bbcd50ddf3fd67a5206e56d7</anchor>
      <arglist>(KAEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>addTemplate</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>aae14364c09885edefbd7eaa0dd675573</anchor>
      <arglist>(KAEvent &amp;event, TemplateListView *selectionView, TQWidget *errmsgParent)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>modifyEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a696455bee9691ac44cc8d0ccb2aed1ef</anchor>
      <arglist>(KAEvent &amp;oldEvent, const KAEvent &amp;newEvent, AlarmListView *selectionView, TQWidget *errmsgParent)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>updateEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a797b54c1b0d18ac8e2ff2b8e6d577dae</anchor>
      <arglist>(KAEvent &amp;event, AlarmListView *selectionView, TQWidget *errmsgParent, bool archiveOnDelete, bool incRevision)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>updateTemplate</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>ac1b3b4d5a64a6953d969bc05276aad9d</anchor>
      <arglist>(const KAEvent &amp;event, TemplateListView *selectionView, TQWidget *errmsgParent)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>deleteEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a0c51cbebebd75602cd7415677c309903</anchor>
      <arglist>(KAEvent &amp;event, bool archive, TQWidget *errmsgParent)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>deleteTemplate</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a1d8bd6b498434fbee927acf5b30932c9</anchor>
      <arglist>(const KAEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteDisplayEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>aaffe7e41727ceaef8d3f8e8b67666fd8</anchor>
      <arglist>(const TQString &amp;eventID)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>reactivateEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a95ec644ed75f6528490d21b9d6923df0</anchor>
      <arglist>(KAEvent &amp;event, AlarmListView *selectionView, bool useEventID)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>enableEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a25e2c14ad99ff59ae05424703d3b6439</anchor>
      <arglist>(KAEvent &amp;event, AlarmListView *selectionView, bool enable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>displayUpdateError</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>ab1d11de6831432c59fab8df38c8c0834</anchor>
      <arglist>(TQWidget *parent, UpdateStatus, UpdateError code, int nAlarms)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>displayKOrgUpdateError</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>a3f20d6a0c53ecadaf1ba333d7feb3b27</anchor>
      <arglist>(TQWidget *parent, KOrgUpdateError code, int nAlarms)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>stripAccel</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>ac90e885f1c66e032e5142f50243b9824</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>localeFirstDayOfWeek</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>abf6505bb0087bc1e6ac89301bcb93a97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weekDay_to_localeDayInWeek</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>acd5bd84228f52043d2742c4606e3d867</anchor>
      <arglist>(int weekDay)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>localeDayInWeek_to_weekDay</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>abfaceb23d99407a1e9e032d61187340f</anchor>
      <arglist>(int index)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kalarmapp.h</name>
    <path>/build/buildd/tdepim-trinity-14.0.6/kalarm/</path>
    <filename>kalarmapp_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <member kind="function">
      <type>KAlarmApp *</type>
      <name>theApp</name>
      <anchorfile>kalarmapp_8h.html</anchorfile>
      <anchor>abb518097b9f67b9b28e4cf54e8836cca</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kalarmiface.h</name>
    <path>/build/buildd/tdepim-trinity-14.0.6/kalarm/</path>
    <filename>kalarmiface_8h</filename>
    <class kind="class">KAlarmIface</class>
  </compound>
  <compound kind="file">
    <name>mainwindow.h</name>
    <path>/build/buildd/tdepim-trinity-14.0.6/kalarm/</path>
    <filename>mainwindow_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <includes id="undo_8h" name="undo.h" local="yes" imported="no">undo.h</includes>
  </compound>
  <compound kind="file">
    <name>messagewin.h</name>
    <path>/build/buildd/tdepim-trinity-14.0.6/kalarm/</path>
    <filename>messagewin_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <class kind="class">MessageWin</class>
  </compound>
  <compound kind="file">
    <name>pickfileradio.h</name>
    <path>/build/buildd/tdepim-trinity-14.0.6/kalarm/</path>
    <filename>pickfileradio_8h</filename>
    <class kind="class">PickFileRadio</class>
  </compound>
  <compound kind="file">
    <name>undo.h</name>
    <path>/build/buildd/tdepim-trinity-14.0.6/kalarm/</path>
    <filename>undo_8h</filename>
  </compound>
  <compound kind="class">
    <name>AlarmCalendar</name>
    <filename>classAlarmCalendar.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>calendarSaved</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a1466ff641bd237c6a9367f5c044268e2</anchor>
      <arglist>(AlarmCalendar *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>purged</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>acd4a224f1103ac1d7fee438ed67b147e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>emptyStatus</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>af611c5148d1737df3ee6bb0fd053191c</anchor>
      <arglist>(bool empty)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a6c8f81e85b212877c6329249db60ab9c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAEvent::Status</type>
      <name>type</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a8f0ad70959da8ff27d76dcc7bf7cd2fb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>abd21208209bcdc5f80feaecedf894695</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>load</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a70e876462682e0a42a203baa7f5dc2cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reload</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a689106168028cfa601c30eb11242a007</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a9bf82a952565e01aebd4f2b22e4c8449</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a7f6304665ab515842edf6a53cbb73f60</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startUpdate</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>aaa7e5fb3890731c96ef5f14badacbc31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>endUpdate</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>ac39c6610d7273353b044c829839471c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event *</type>
      <name>event</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>ad0869194ac4d5295fbe5c7da190e0481</anchor>
      <arglist>(const TQString &amp;uniqueID)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event::List</type>
      <name>events</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a37b71fc12e2394339156aabbb802946c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event::List</type>
      <name>eventsWithAlarms</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a4dc8bd50f7b6022051c94e83e6f0fc5e</anchor>
      <arglist>(const TQDateTime &amp;from, const TQDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event *</type>
      <name>addEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>ac7c9d1afb14e4718e02dbe8a1462da54</anchor>
      <arglist>(KAEvent &amp;, bool useEventID=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a80c023134e4c00a86bd96a1af286aba0</anchor>
      <arglist>(const KAEvent &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deleteEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a1f00f5d874ce58e2273cabd4f57649d0</anchor>
      <arglist>(const TQString &amp;eventID, bool save=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitEmptyStatus</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a5da327c5c709caa3b116db888f5c5638</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>purgeAll</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a0b04b6242bd1913ced298094fbc5d65c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPurgeDays</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>abe59ff6d3248a94eb3130ce8f8ce5f5b</anchor>
      <arglist>(int days)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>purgeIfQueued</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>ac4b1048735efd17b5fd262b5cff55cd5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a021bd79d94b5f0f5d26af2ab15a11776</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>path</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>ae3a00dfcd2379cb620337acc1015bdd5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>urlString</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a32a8da4d0aaebe8b6d25cd03aa11800d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>icalProductId</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>aade335896d36b48dc4eaafd14ff5adc4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>initialiseCalendars</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a5d110075b697ed077c5ce1f414f0989b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>terminateCalendars</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a6ed3e6c428137564e6e81853e65795ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>activeCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a46256e755c4b09c4032a2916793bbd56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>expiredCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a1779e02dc9a3936cc5403756b250a348</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>displayCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>ae4ce9cd87398e38336e22e9beceaad63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>templateCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a8ba876fd69d2d62d6c735e873e9d14f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>activeCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a86bf6b8d77b32383df9ce54db5266c92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>expiredCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a9d868a8c67338352e92152e77d0d048a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>displayCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a647385e43045a62329adf6b20a7456b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>templateCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>ac50272db2700623903a7b13aea561c14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>importAlarms</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>a0c59d64ee16bdc0008ac62a35a128c7e</anchor>
      <arglist>(TQWidget *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const KCal::Event *</type>
      <name>getEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>ad6d2389ac2d2d593c72bf051d3d30898</anchor>
      <arglist>(const TQString &amp;uniqueID)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAEvent</name>
    <filename>classKAEvent.html</filename>
    <member kind="enumeration">
      <name>Status</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a6699b6a06aa2aec3f59ea0ca29f7365c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a25c2faa4fee17f4791072ef8c725ea57</anchor>
      <arglist>(const TQDateTime &amp;dt, const TQString &amp;message, const TQColor &amp;bg, const TQColor &amp;fg, const TQFont &amp;f, Action action, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>aea077dab5fc8d68814192955618b5d99</anchor>
      <arglist>(const KCal::Event &amp;e)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a3b1fba0a4d6eae86046a42535f160f64</anchor>
      <arglist>(const KAEvent &amp;e)</arglist>
    </member>
    <member kind="function">
      <type>KAEvent &amp;</type>
      <name>operator=</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ad42c18a735f91336906f2ba9a7248f44</anchor>
      <arglist>(const KAEvent &amp;e)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a4c15fa1902de9f954d965aba07acf7f2</anchor>
      <arglist>(const KCal::Event &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ac1455081b8b9372b273fa0c977518b41</anchor>
      <arglist>(const TQDateTime &amp;, const TQString &amp;message, const TQColor &amp;bg, const TQColor &amp;fg, const TQFont &amp;, Action, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmail</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ace49d7ce65f55bc2cc798300e3f2b7bd</anchor>
      <arglist>(uint from, const EmailAddressList &amp;, const TQString &amp;subject, const TQStringList &amp;attachments)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAudioFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a73a31d452bc4f7e702162e59b8a873d5</anchor>
      <arglist>(const TQString &amp;filename, float volume, float fadeVolume, int fadeSeconds)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTemplate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a2517c627621ae7fcc009294645f42e7c</anchor>
      <arglist>(const TQString &amp;name, int afterTime=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActions</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>abd5c7a1d7dedde7cecb4db38893c0e2d</anchor>
      <arglist>(const TQString &amp;pre, const TQString &amp;post)</arglist>
    </member>
    <member kind="function">
      <type>OccurType</type>
      <name>setNextOccurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a4a860ff75f69b0b103cced305856ac5f</anchor>
      <arglist>(const TQDateTime &amp;preDateTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFirstRecurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ab8218767c8b803355b6dddac01822be8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEventID</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a005f73b07bb041b02de0ab6a63c770ee</anchor>
      <arglist>(const TQString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a0e26d227596f48888bf1e9c434963a93</anchor>
      <arglist>(const TQDate &amp;d)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>adaac5ce14934086070a72ae44ca0f41c</anchor>
      <arglist>(const TQDateTime &amp;dt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaveDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a0b1a52ca0010915add501f4f00714f5e</anchor>
      <arglist>(const TQDateTime &amp;dt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLateCancel</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a04b8d3107ec200fbd38ef2449068a30f</anchor>
      <arglist>(int lc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoClose</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ac4e4e8433ea791c13dbb97d3729d3359</anchor>
      <arglist>(bool ac)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRepeatAtLogin</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a06f0a21bb94b9dd368bb2d66e3d790c5</anchor>
      <arglist>(bool rl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ac2cbfef7acbbc23217f35dd61b0c1cf8</anchor>
      <arglist>(Status s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKMailSerialNumber</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>aa4cc4a41ec16c9aac99348c70731e529</anchor>
      <arglist>(unsigned long n)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLogFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a0ffbf6e00f6640fb686c9b5ecb1b07a0</anchor>
      <arglist>(const TQString &amp;logfile)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReminder</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ad41a7d20b60437bc013f4f329b101fda</anchor>
      <arglist>(int minutes, bool onceOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>defer</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a16ea90d9012d9b6e859f0a224b74edd5</anchor>
      <arglist>(const DateTime &amp;, bool reminder, bool adjustRecurrence=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancelDefer</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a48f406c7764083a1f0b19a8ec443cf51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancelCancelledDeferral</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ab532e1db88034caef5f0e00d7cd34691</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDeferDefaultMinutes</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a98bac3a991699ab790145d25bf4508ea</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setDisplaying</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a9aa1bac7b161c373d2d3a611f4ba37e9</anchor>
      <arglist>(const KAEvent &amp;, KAAlarm::Type, const TQDateTime &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reinstateFromDisplaying</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>aa59771e397424dab8fd13915e7d141cd</anchor>
      <arglist>(const KAEvent &amp;dispEvent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setArchive</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a6181a3beaf5e8e5c015a0c4fecaa87c5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnabled</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a916aafc6deb0fa6931e5a4799a3f580b</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUpdated</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>afb555c9127e269d137e205d95e6478b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearUpdated</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a442e73f92561d43b98b9d84bd6fd2cdb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeExpiredAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a104989e1b5320812defd4910c0b77ad9</anchor>
      <arglist>(KAAlarm::Type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>incrementRevision</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a70030fdf05e5271687a8e470bf4b4fdf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event *</type>
      <name>event</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a94e1992b3021f81e2039988427bd6fe7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTemplate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a42ead0c9c3fa7e7c6858ac0c40b08a2e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>templateName</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>af6bcd6c37182558d4d1ae72f69866e6e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>usingDefaultTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a0126acd516bba8bf003bf22dcb307d7c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>templateAfterTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ab3f309756ff4efbc4b5f4c52f2cde439</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>alarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a761bd00edcf153fec51cdf61481547e7</anchor>
      <arglist>(KAAlarm::Type) const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>firstAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a28ac0494781cdd0365a07e0338b1140d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>nextAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>abc114a86dfd2aac1a17f5fa2f64d8ca2</anchor>
      <arglist>(const KAAlarm &amp;al) const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>nextAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>adb1d231b652d1654b27dd414a906bf9c</anchor>
      <arglist>(KAAlarm::Type) const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>convertDisplayingAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a75226e699fc2839eda74af1dd82470ea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>updateKCalEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a1b9d0f573f2ee9435d043793a07d80c6</anchor>
      <arglist>(KCal::Event &amp;, bool checkUid=true, bool original=false, bool cancelCancelledDefer=false) const </arglist>
    </member>
    <member kind="function">
      <type>Action</type>
      <name>action</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a14d0add60175142a6cb3a8e30777f9d0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>displayAction</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a5d39883f81f48763b90a001be3cd729a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>id</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a122bb33d10e4d11478a9b09698f9b667</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a18719348ebf5e9cc43207eceecd80156</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>alarmCount</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a3e7b48890fe89d59302ae124ebd2e9c0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const DateTime &amp;</type>
      <name>startDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a50333e65793945135483bbca84160806</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>mainDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a1eebd03634399359828bf87a5d6a2381</anchor>
      <arglist>(bool withRepeats=false) const </arglist>
    </member>
    <member kind="function">
      <type>TQDate</type>
      <name>mainDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ae683e6e7dd044b128868cf71ffce5f01</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQTime</type>
      <name>mainTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a7c2c2e5058b58ba82b39efe97b0d4f08</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>mainEndRepeatTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a0401c8c2108a6556402fe630a8d531b5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reminder</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>aa5cdd94ca31687d51dfc478e9c76b2c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reminderOnceOnly</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ab24aa0e7aa2ec184eea151dc2b11be5c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reminderDeferral</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a97152504f875e9e0024cc1570455cfa3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reminderArchived</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>add058a095cf88cba433eed9a8adab4d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>deferDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a8051f6312998c534a5642234fe521b2c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>deferralLimit</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ab58e912a812f6f6b3843fb3844e876c7</anchor>
      <arglist>(DeferLimitType *=0) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>deferDefaultMinutes</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a8c780438415dbc4c4f1e19383de8bd71</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>displayDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ae903c213489f72463804eca272e2c66b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>messageFileOrCommand</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a9d085c53e5a84d481c042a5a92575e65</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>logFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a2a91f6b15fd284516bf4ed8843b34765</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>commandXterm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a7c24a27511a6bfe6d416ea215a7a935d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>kmailSerialNumber</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a8dea5e9349eedb7279706f2f8e6b447b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>copyToKOrganizer</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ae88241e1e7c0fa61aa7b39c2d26ecf1e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>audioFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a738c005225ddfda39b8defce5ba3cb32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>soundVolume</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a0f8d47168c0e6e662df71401cdafe18c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>fadeVolume</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a4784ff7426ad61a042a0926daf9976fc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fadeSeconds</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>af805ffc7cb6028d34a9873b7a75e64b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>repeatSound</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a4e83dd5d45ba2be6991b3649d05d488e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>preAction</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ab5566250fdedff5a11127c6f9ef5426d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>postAction</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a0a84df1deb6f222c4c990614bcf366e3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>recurs</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a45dda2bb317d6baa30c839004e5f9ece</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KARecurrence::Type</type>
      <name>recurType</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a471b8a33843a64603a855f330393cd77</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KARecurrence *</type>
      <name>recurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a34dcb443a90dc0efbe85aa4552212ee0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recurInterval</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>aae10c33c96f736595a155733f6e899d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>longestRecurrenceInterval</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a72a4fdc5a6e172c26716a966637e376f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>recurrenceText</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ad9ec80899aa1001916906a0f1c97349f</anchor>
      <arglist>(bool brief=false) const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>repetitionText</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ae5bcfacba90f8d8c0ab0adcd89163b66</anchor>
      <arglist>(bool brief=false) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>occursAfter</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>af8d7e0924f1ba7c4dceaba17d5e3a492</anchor>
      <arglist>(const TQDateTime &amp;preDateTime, bool includeRepetitions) const </arglist>
    </member>
    <member kind="function">
      <type>OccurType</type>
      <name>nextOccurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>aa3da649864049d80349cea98c0b8a9dd</anchor>
      <arglist>(const TQDateTime &amp;preDateTime, DateTime &amp;result, OccurOption=IGNORE_REPETITION) const </arglist>
    </member>
    <member kind="function">
      <type>OccurType</type>
      <name>previousOccurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>af9d64e1746a7aee6819360403c608295</anchor>
      <arglist>(const TQDateTime &amp;afterDateTime, DateTime &amp;result, bool includeRepetitions=false) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>flags</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>acc9516710d3554e04e66ecf6fbdd4568</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deferred</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>af115c56e32273686f3ec496dff1690c0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toBeArchived</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a2ee48199cc9f4651530a091fe5b70b7d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>enabled</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a616d29c62c650e9e8c7dc63e1811f26b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>updated</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a194b9b70766aa3bf9e9364aa02fb9967</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mainExpired</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a1cca7421d012d08a98c2b814ce4a2825</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>af53423ad9769a30dd226e1df6ba8b27e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>uidStatus</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>abf0b6b7ef51c6429428a956210a8a7e4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRepetition</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>afde8b6e9ad2989cf064c05c3cd258e01</anchor>
      <arglist>(int interval, int count)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoRecur</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a460a4bfe9263ec050301cbd4472df945</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRecurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a705f390b6cefb9c0a9f49e8c5fe1d049</anchor>
      <arglist>(const KARecurrence &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurMinutely</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ad79e6189ec0569e2e0d3b1fce61dc05b</anchor>
      <arglist>(int freq, int count, const TQDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurDaily</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>afed68d09670e375a20e3122e82d146f5</anchor>
      <arglist>(int freq, const TQBitArray &amp;days, int count, const TQDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurWeekly</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a293edfa6f2bdf1423e3d11a5160908d0</anchor>
      <arglist>(int freq, const TQBitArray &amp;days, int count, const TQDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurMonthlyByDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ad31daacd86404b49ea19bf8f18058710</anchor>
      <arglist>(int freq, const TQValueList&lt; int &gt; &amp;days, int count, const TQDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurMonthlyByPos</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a86a07185a165927dcb7cd39c9c92f154</anchor>
      <arglist>(int freq, const TQValueList&lt; MonthPos &gt; &amp;pos, int count, const TQDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurAnnualByDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a76ac60be0c0e524aa87f10466cf46329</anchor>
      <arglist>(int freq, const TQValueList&lt; int &gt; &amp;months, int day, KARecurrence::Feb29Type, int count, const TQDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurAnnualByPos</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ab9001583b6d3100a1733293c48e1137b</anchor>
      <arglist>(int freq, const TQValueList&lt; MonthPos &gt; &amp;pos, const TQValueList&lt; int &gt; &amp;months, int count, const TQDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dumpDebug</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>aee80895b7babedf2956a24835109ba9b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Status</type>
      <name>uidStatus</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a8224782a36b91dc60fc50e0270415699</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>uid</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>af5235bce0923bec548fe1b6b17433436</anchor>
      <arglist>(const TQString &amp;id, Status)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAEvent</type>
      <name>findTemplateName</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ac0e03b93df9e4253899a590fb28f8d38</anchor>
      <arglist>(AlarmCalendar &amp;, const TQString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>calVersion</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a92a06a0bbc0c4718b8bfdaccc1f8a964</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>calVersionString</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a85c778f75e6bf09f413916f8794416be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>adjustStartOfDay</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a00465dc642a6f0320d6b6e297dad971c</anchor>
      <arglist>(const KCal::Event::List &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>convertKCalEvents</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a4d796a8c23049f5009b70a7a5de88ab8</anchor>
      <arglist>(KCal::Calendar &amp;, int version, bool adjustSummerTime)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>convertRepetitions</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a93e92ac28e6f7ec89447a039335f2938</anchor>
      <arglist>(KCal::CalendarLocal &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAlarmIface</name>
    <filename>classKAlarmIface.html</filename>
    <member kind="enumeration">
      <name>Flags</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>a2a1509214a35f503d6a6b0992e3671cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>RecurType</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>a5591e353e630ea7ad085e12da2b5be46</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainWindowBase</name>
    <filename>classMainWindowBase.html</filename>
    <member kind="function">
      <type></type>
      <name>MainWindowBase</name>
      <anchorfile>classMainWindowBase.html</anchorfile>
      <anchor>af8a139950d68c77e28b146928ea6fb07</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, WFlags f=WType_TopLevel|WDestructiveClose)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>closeEvent</name>
      <anchorfile>classMainWindowBase.html</anchorfile>
      <anchor>aa4a9253bbd986ef60dd626b03073be6e</anchor>
      <arglist>(TQCloseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryExit</name>
      <anchorfile>classMainWindowBase.html</anchorfile>
      <anchor>a3b04b98900d47100c365243feb306cb8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MessageWin</name>
    <filename>classMessageWin.html</filename>
    <base>MainWindowBase</base>
    <member kind="function">
      <type></type>
      <name>MessageWin</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a8e1a0ccf93336480ca102f7229072fab</anchor>
      <arglist>(const KAEvent &amp;, const KAAlarm &amp;, bool reschedule_event=true, bool allowDefer=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MessageWin</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a67278ffdb3604b59093c683910a6dcf3</anchor>
      <arglist>(const KAEvent &amp;, const DateTime &amp;alarmDateTime, const TQStringList &amp;errmsgs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>repeat</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a873efbf50eeee4badfe1d4f6291c5436</anchor>
      <arglist>(const KAAlarm &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRecreating</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>ad3a277f40799062266fb2fbdcc374a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const DateTime &amp;</type>
      <name>dateTime</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a92160486ad8a33721f5cca6f8a84ba8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KAAlarm::Type</type>
      <name>alarmType</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a8d1be4a0218eed7600c37570ff5debba</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasDefer</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>aae021a55d4effcbbc2821b09ef6c8716</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a1518f452d0a166f49f5f67e35e395c6b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>show</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a12069e9a5323d35bcfe8b2c2fef9a224</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQSize</type>
      <name>sizeHint</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>afa31d56cf8346ba6284cb6a9cb7b0b19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>instanceCount</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a7de254ffed7b31200b88795ed855f1cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static MessageWin *</type>
      <name>findEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a40f0f1e4b8a4a4dc7c8c66cff170310a</anchor>
      <arglist>(const TQString &amp;eventID)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a752b7fe8445fc8a9583f9211ef288669</anchor>
      <arglist>(TQShowEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>moveEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>af1bb3c748f487b49d435d0bfbd2e6489</anchor>
      <arglist>(TQMoveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>af6bbd6fa69b04bb2ae90a7f4c6ac7fc8</anchor>
      <arglist>(TQResizeEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>closeEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>ad75bfc009d329c2b6f25f74d93fc27b7</anchor>
      <arglist>(TQCloseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a69032b0939d13a5ff81487380b37bca7</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>a3b56d5995ad38589b1380d26ae7a58ba</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PickFileRadio</name>
    <filename>classPickFileRadio.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setEnabled</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a74f5694d68df36aa7f12cca3cdaef48b</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PickFileRadio</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a674c93d913012748eb70db9434ac788d</anchor>
      <arglist>(TQPushButton *button, LineEdit *edit, const TQString &amp;text, TQButtonGroup *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PickFileRadio</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a2a33febb2736816eba9c7fa96648389c</anchor>
      <arglist>(const TQString &amp;text, TQButtonGroup *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a4121fbc3965c2fb5f5e34bee31e837ab</anchor>
      <arglist>(TQPushButton *button, LineEdit *edit=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>af8fd97eefba74449244b11125003246a</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>pickFile</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>ab34987e9d9c0b64ca4bdc99da2f63132</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFile</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>aa1ca613492c66724a31b9762d9eeba16</anchor>
      <arglist>(const TQString &amp;file)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>file</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a7df0d433df3bb477a8db5cbb4b7998ea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>LineEdit *</type>
      <name>fileEdit</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>a49a7f855c031e28c6a7e687af63fa30d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQPushButton *</type>
      <name>pushButton</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>ad9f1b770df7dd1876874f33e7409189a</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>StartOfDayTimer</name>
    <filename>classStartOfDayTimer.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>connect</name>
      <anchorfile>classStartOfDayTimer.html</anchorfile>
      <anchor>acc645ea685b64e620f04c65bcd5de714</anchor>
      <arglist>(TQObject *receiver, const char *member)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>disconnect</name>
      <anchorfile>classStartOfDayTimer.html</anchorfile>
      <anchor>a230d13fdc7782b0c8b14545848772175</anchor>
      <arglist>(TQObject *receiver, const char *member=0)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static StartOfDayTimer *</type>
      <name>instance</name>
      <anchorfile>classStartOfDayTimer.html</anchorfile>
      <anchor>a10f6cce90a30abeeeae469e41e349138</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
