<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>MBoxFile</name>
    <filename>classMBoxFile.html</filename>
    <member kind="function">
      <type></type>
      <name>MBoxFile</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>ac6193fb5a732c3aef8f1624f7ccf84f0</anchor>
      <arglist>(const UrlInfo *info, MBoxProtocol *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MBoxFile</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>abd1d8788fb7bfe88de49ce463a4b8dcf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>lock</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>aa1f7e0a81ef83f7970c5b8a735ca4f1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unlock</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>a1da7dbc86509f4345743560c5591adcd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>const UrlInfo *const</type>
      <name>m_info</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>aa04cff696c2aa36bfaabbe1b7f6de39d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>MBoxProtocol *const</type>
      <name>m_mbox</name>
      <anchorfile>classMBoxFile.html</anchorfile>
      <anchor>aa6f62c9cf19f0b270f2914c9348e83dd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MBoxProtocol</name>
    <filename>classMBoxProtocol.html</filename>
    <member kind="function">
      <type></type>
      <name>MBoxProtocol</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>aa36c2b2ca50a08f4e8abc3be0e4cca0f</anchor>
      <arglist>(const TQCString &amp;, const TQCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MBoxProtocol</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>ac999d765adb026b72c1c8ed7dbdec300</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>get</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>a767180091f3d54ccad44c2a04023b8f5</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>listDir</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>af367f1d4091e4c395e415d96180300f5</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stat</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>a09fc88ffff4429aadf994cc81718d05f</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mimetype</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>ad8bb310fdab4ff0c2d6ed5c4ece3b64d</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitError</name>
      <anchorfile>classMBoxProtocol.html</anchorfile>
      <anchor>ada42ec5ea415f33cd6b19cb69daaef2b</anchor>
      <arglist>(int errno, const TQString &amp;arg)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ReadMBox</name>
    <filename>classReadMBox.html</filename>
    <base>MBoxFile</base>
    <member kind="function">
      <type></type>
      <name>ReadMBox</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a45755b85b32d9f18d67fac0777edd8b1</anchor>
      <arglist>(const UrlInfo *info, MBoxProtocol *parent, bool onlynew=false, bool savetime=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ReadMBox</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a18288c0958e189e8aac86626bcc04f4b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>currentLine</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a8cf02b931e512b8e70178c294fb51aa1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>currentID</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a9d1c81066788fafae1c1b0e53db50506</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>nextLine</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a2000d3acc7be6ee6ff25eb9bebb8a01b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>searchMessage</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>ad4b49d164a12b4775501dcd338af6262</anchor>
      <arglist>(const TQString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>skipMessage</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>aba324496f8bd3c91675f88da96e00eaf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rewind</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a6b55627c16f8932be876434e68e62133</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atEnd</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>aee453d4ca757175279fc58c3c1d3bd4e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inListing</name>
      <anchorfile>classReadMBox.html</anchorfile>
      <anchor>a5926fb769e1f39b029faecbfff7cf1ac</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Stat</name>
    <filename>classStat.html</filename>
    <member kind="function">
      <type></type>
      <name>Stat</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>ae928e5dc2e02aa907902d4f3b369ab4a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Stat</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>a13facc867ac63d702ec5af846886b3b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDEIO::UDSEntry</type>
      <name>stat</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>aeb78297c74aef96d3b54f090f65fe7b2</anchor>
      <arglist>(const UrlInfo &amp;info)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDEIO::UDSEntry</type>
      <name>stat</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>a9240ad39da7d8d59c20ca5419b09f37a</anchor>
      <arglist>(ReadMBox &amp;mbox, const UrlInfo &amp;info)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDEIO::UDSEntry</type>
      <name>statDirectory</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>a5c8386186dc8fc51df9e06a6ffcaccd1</anchor>
      <arglist>(const UrlInfo &amp;info)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDEIO::UDSEntry</type>
      <name>statMessage</name>
      <anchorfile>classStat.html</anchorfile>
      <anchor>ad0e862a6e78b702452ed5d75d93e5132</anchor>
      <arglist>(const UrlInfo &amp;info)</arglist>
    </member>
  </compound>
</tagfile>
