<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>Akregator::AboutData</name>
    <filename>classAkregator_1_1AboutData.html</filename>
  </compound>
  <compound kind="class">
    <name>Akregator::ActionManager</name>
    <filename>classAkregator_1_1ActionManager.html</filename>
    <member kind="function">
      <type></type>
      <name>ActionManager</name>
      <anchorfile>classAkregator_1_1ActionManager.html</anchorfile>
      <anchor>a9fce9d383b7d9f440717902a0af0ca12</anchor>
      <arglist>(TQObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TDEAction *</type>
      <name>action</name>
      <anchorfile>classAkregator_1_1ActionManager.html</anchorfile>
      <anchor>ab8a3e9814c61a642dafbc2ea032a93a3</anchor>
      <arglist>(const char *name, const char *classname=0)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQWidget *</type>
      <name>container</name>
      <anchorfile>classAkregator_1_1ActionManager.html</anchorfile>
      <anchor>a6c7eed7b68342323f044071b9ce09036</anchor>
      <arglist>(const char *name)=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ActionManager *</type>
      <name>getInstance</name>
      <anchorfile>classAkregator_1_1ActionManager.html</anchorfile>
      <anchor>a7e15c17562051e45504b0f126c393178</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setInstance</name>
      <anchorfile>classAkregator_1_1ActionManager.html</anchorfile>
      <anchor>ad7150d80bc2adcad499ba6eb098644e2</anchor>
      <arglist>(ActionManager *manager)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ActionManagerImpl</name>
    <filename>classAkregator_1_1ActionManagerImpl.html</filename>
    <base>Akregator::ActionManager</base>
    <member kind="slot">
      <type>void</type>
      <name>slotUpdateTagActions</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>ac6ff0aa79668c2265ca66711da3fbbd1</anchor>
      <arglist>(bool enabled, const TQStringList &amp;tagIds)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNodeSelected</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>a877378e286310b25b3f9f961437c35d6</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTagAdded</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>a6572cbf406ef4b10160928a61eac419b</anchor>
      <arglist>(const Tag &amp;tag)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTagRemoved</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>a54ee64bd426db805e66f64d118bb1e6a</anchor>
      <arglist>(const Tag &amp;tag)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ActionManagerImpl</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>a9f8d84c8a4574157230498b6be012716</anchor>
      <arglist>(Part *part, TQObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TDEAction *</type>
      <name>action</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>a1fcdfe1195f63e7b091cd7d90710401d</anchor>
      <arglist>(const char *name, const char *classname=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQWidget *</type>
      <name>container</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>af5bbf33b5ebcdf4383d94afb085f7417</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initView</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>a64ab5bf30189c83deb3355d93bf214c9</anchor>
      <arglist>(View *view)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initTrayIcon</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>ab12df7b786712b0ca48bb59d2f8ce29a</anchor>
      <arglist>(TrayIcon *trayIcon)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initArticleViewer</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>a0a0dcea028a2a4dd5efa0ad377b1c668</anchor>
      <arglist>(ArticleViewer *articleViewer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initArticleListView</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>a1c497f0eeb19a2c539ebf612b421f1c5</anchor>
      <arglist>(ArticleListView *articleList)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initListTabWidget</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>a9bfea92c417c727ec7833024c06bb7fc</anchor>
      <arglist>(ListTabWidget *listTabWidget)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initTabWidget</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>ac6a8bcf9c6c147a763ea684aa99fea9e</anchor>
      <arglist>(TabWidget *tabWidget)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTagSet</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>a02cc2cd45fd9d95d05f934fd2ba7a164</anchor>
      <arglist>(TagSet *tagSet)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TDEActionCollection *</type>
      <name>actionCollection</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>a25766794c52533bc114530f772172f80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>NodeSelectVisitor</name>
      <anchorfile>classAkregator_1_1ActionManagerImpl.html</anchorfile>
      <anchor>ae32fb704e26638b7d4ecceb149ba58c7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Part</name>
    <filename>classAkregator_1_1Part.html</filename>
    <member kind="typedef">
      <type>MyBasePart</type>
      <name>inherited</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a8a5b1b0f922f82d8e0f2016cba2f64c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>saveSettings</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>aeb07f8478cba4a18a921594548616c61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSaveFeedList</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a3f9a8b27fc285314474e499e0756fe5d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>fileImport</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a0feffb77d891a84be55c9653e8057323</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>fileExport</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a5076a754b77cfbbb829ad2e07bf3234d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>fileGetFeeds</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>afa4fbc4ce8eb24f033e8450404176289</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>fileSendLink</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a1cc428a83658dc6ee59b43050a237db1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>fileSendFile</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>afb5249bdc011691c85421a0318b1ea55</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>fileSendArticle</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a4477ded3c5bf4cba28f730fb7b1488d4</anchor>
      <arglist>(bool attach=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showOptions</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>af20b9c0c9bea013612130769eedf06d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showKNotifyOptions</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a22b70845b10f682a2e7dbfa337ea12dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showPart</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a3cc10702741202e7f9848e96d7c8626f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalSettingsChanged</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a8fca04b8734ea26887c14d2484828cfe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Part</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a6c8d25c47afa875fae52a75b30a87fd7</anchor>
      <arglist>(TQWidget *parentWidget, const char *widgetName, TQObject *parent, const char *name, const TQStringList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Part</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>ab3ca60608631ee479132ed2413c19c3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>openURL</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a43a1641a42836ccb31bb92dbd0692fc6</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openStandardFeedList</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a923a4d42cca7cd990d48979df6978dc5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fetchFeedUrl</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>ab7a915682a7564087b357176f9e958f7</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fetchAllFeeds</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a2b02987a8ddd628acf27c86ce5cd94ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addFeedsToGroup</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>aafa63bf162c6cb7139de6406f69c1094</anchor>
      <arglist>(const TQStringList &amp;urls, const TQString &amp;group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addFeed</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a4443503f7aa6b73b37331e558248165a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>ae3ee4a85781e06e3410286a470336d93</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a35c78a44cd899d0b77a7445436006337</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>mergePart</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a28339e454f049229ae862f9b62f77b4b</anchor>
      <arglist>(KParts::Part *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadTagSet</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a8da64ab662188d41ab5ea1efd7785fb4</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveTagSet</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a322999e923590322a3deadec8cf4008f</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDEAboutData *</type>
      <name>createAboutData</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a204dfbab58659b5c73f6284475ef39ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOnShutdown</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a6129fcd3e540eb20596d4f8868e04ae2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSettingsChanged</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a173046b784835bf62e3e1a497f11ac36</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>isTrayIconEnabled</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a36b5c36254f6a862abcda07fa960b1d3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadPlugins</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a94633a3f2fa84af900d04ad2315da38d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a0512cca60c2994722f5f230b158a9b9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>importFile</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>ada0b3d8829422977ec4af3c9e3bc5541</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>exportFile</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>accd466979407eeff1a493c987dd57768</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQWidget *</type>
      <name>getMainWindow</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a09ee150ae9901f3459e4dc1aa4cd9aa2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::Part *</type>
      <name>hitTest</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a5da84241a385e4a24a6a0af192e7a6e4</anchor>
      <arglist>(TQWidget *widget, const TQPoint &amp;globalPos)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partActivateEvent</name>
      <anchorfile>classAkregator_1_1Part.html</anchorfile>
      <anchor>a13411f82fda0c59de3a9fc608ec747b6</anchor>
      <arglist>(KParts::PartActivateEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::View</name>
    <filename>classAkregator_1_1View.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotOnShutdown</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aeccae36e202581ba65bed296b693ef98</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNodeSelected</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a5771f647c0fd90c828857da74f97841f</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotArticleSelected</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>adcb8e0575e52f966299ca82dbb3ac9c3</anchor>
      <arglist>(const Article &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedTreeContextMenu</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a50771eaeab157efeaf5fcbfd1d862790</anchor>
      <arglist>(TDEListView *, TreeNode *, const TQPoint &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetTotalUnread</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ac5fe5db32bff5ce54c2f44e4acc787ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMouseButtonPressed</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a02d4e693866283dbd2c7f24cea696852</anchor>
      <arglist>(int button, const Article &amp;article, const TQPoint &amp;pos, int c)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenArticleExternal</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a56573fa18da3768413c0671c432dafca</anchor>
      <arglist>(const Article &amp;article, const TQPoint &amp;, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenCurrentArticleExternal</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a35ca324744aa17a5d93addf2a9e4568c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenCurrentArticleBackgroundTab</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a8b874b9677a9234e46ab57565b398bab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenCurrentArticle</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a2d97c49a7eb4fc1a80d1b5f36ad956e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCopyLinkAddress</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a8cd6c15284c6dbf9367dba32ed79222d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenNewTab</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aa5a99328351f0b1d1564d57808ddf711</anchor>
      <arglist>(const KURL &amp;url, bool background=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFrameChanged</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ab9fd8ba6990cd75b7537e758392c68ac</anchor>
      <arglist>(Frame *f)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCaptionChanged</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a9ca8955b13e48c4db61c7a4e89242a72</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedURLDropped</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a0aa903f500d4d01e41d1ee8ab8d12440</anchor>
      <arglist>(KURL::List &amp;urls, TreeNode *after, Folder *parent)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMouseOverInfo</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a355b13d86ee9a7a735f4c4dda569b03a</anchor>
      <arglist>(const KFileItem *kifi)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotStatusText</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aca53023c4d7e1bca115fb9c2f0a63c7f</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotStarted</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aacff2c5c97d3c24dab24f7ffbe2551c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCanceled</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a1e41a09a6039cd408c4505d4005aecf2</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCompleted</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aec6983b2ac686ae74aa976d908b50ad6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotLoadingProgress</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a5f082e037e3d9b11bbc8eea316fc1f90</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFetchingStarted</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a23cf14ebb88437fb4c1710a4c78b0092</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFetchingStopped</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a5a678373444c9d6f268fc9b18709363d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedFetched</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>adf813d0f4e22a9b57dc118d7b64340b7</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedAdd</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a0f44b28e758854b61266a5ff94203196</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedAddGroup</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>af59c8cc5fc786f20667e15aadd466c17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedRemove</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aaae936ed3a74371b715693a3ab916e84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFeedModify</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aceeb16397cb1b6a90e7551039a3625b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFetchCurrentFeed</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a249c67a8f9ccf69558a73f52e1ae09f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFetchAllFeeds</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ad9ecc39ee3204193d8d082b6fdbffa46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMarkAllRead</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ab7c02dc7794f947294c4f7a193f43bf2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMarkAllFeedsRead</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>af4e3d512d568bee3f2d76c758318e325</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotOpenHomepage</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ad3ef562b937096f5f0ac08f118e06d64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotArticleToggleKeepFlag</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a7a365bb7cf00c459a7241b7b4eaf0091</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotArticleDelete</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a98698cc96d4f83996a096017e1d91558</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetSelectedArticleRead</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a217e6e7bb8cb8c4ec572b7f0f9a76dc2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetSelectedArticleUnread</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a708a18a25f40cb134ac2991df0ea3176</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetSelectedArticleNew</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a96122e757ac81f522f1daef4c4ba3ab8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetCurrentArticleReadDelayed</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a39d8c21551313de06b5bb41b486bfd29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTextToSpeechRequest</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ada9f2ebeb3787d4e45e80fa550f6b79a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotAssignTag</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ac0fd405235e46688725324dab5532754</anchor>
      <arglist>(const Tag &amp;tag, bool assign)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewTag</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ae6018168033ff9be9b8409a0622245e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTagCreated</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>af9eac91bf27e2970cc0a5467ee63b7d2</anchor>
      <arglist>(const Tag &amp;tag)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTagRemoved</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a2839eb0b2c6f7c9c402ac85d3208a64e</anchor>
      <arglist>(const Tag &amp;tag)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNormalView</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a9f4253a801a0c06e567b6f5b9b94ab8e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotWidescreenView</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ada047ed192ab73a7837f265f3987d9d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCombinedView</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ac11073c7a4be7a84f489614df24d9dbe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotToggleShowQuickFilter</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>acbf8fcbd768cb14ebf906fac81f45bcb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPrevUnreadArticle</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a4ee861cf7ba6fef373da06cc662b0dfb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNextUnreadArticle</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>af6dc7cdaddc5ea21a47b305c70182143</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMoveCurrentNodeUp</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>afe2d634273cc82b05ceed7a5ef2b63f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMoveCurrentNodeDown</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a8e5cd7cbd345aae73afb13d8e38b8c60</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMoveCurrentNodeLeft</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>afc58d0da8ede90cbfa666a817441a5e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotMoveCurrentNodeRight</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a25379be9c7e2eeff92969def602faa80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalUnreadCountChanged</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aa34ea7e09848d509005e80efe74b25b8</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setWindowCaption</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a41b9f270350edd0b50d220098112ceae</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setStatusBarText</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aa83a5dacc1709a412200fc55f2e02c3b</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setProgress</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ab6fe16ba35f150bc525b7c57c8f48266</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalStarted</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a0507224feea92468baa770262acddddd</anchor>
      <arglist>(TDEIO::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalCompleted</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a87990f932d2a21b7d816cfac1c9ee32c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalCanceled</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ad2199c17a90c709b350d41b377fea89e</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a80d60aa7d1f8e10464876518372a72d4</anchor>
      <arglist>(Akregator::Part *part, TQWidget *parent, ActionManagerImpl *actionManager, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~View</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aae8d67a27612bcd066315995315a76e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a524fa260be510a1de14612f9b76d8f2c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>slotSettingsChanged</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a4862d40989b88fc7c526193985d071be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>importFeeds</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a1f33532d6c845f74990af085dde53167</anchor>
      <arglist>(const TQDomDocument &amp;doc)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadFeeds</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ae0aed391ca62b71aa56ac40cf013b218</anchor>
      <arglist>(const TQDomDocument &amp;doc, Folder *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>TQDomDocument</type>
      <name>feedListToOPML</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a34162993b05ff9b137e7a5a7ebe1ed90</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addFeedToGroup</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ab7363196b8815b374a85a8c991c70a14</anchor>
      <arglist>(const TQString &amp;url, const TQString &amp;group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a4c02eda6140b7faff3e59c6d44e03bd3</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a377c890a2b2684dbb5dd54a12140356b</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>Frame *</type>
      <name>currentFrame</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>af6236cdb071cfeb871fdbd0ed54e8305</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>FeedList *</type>
      <name>m_feedList</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a98697b680f3e16b7565c78f5f45184ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TagNodeList *</type>
      <name>m_tagNodeList</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a5290516cb1af272341b3441862383eab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>NodeListView *</type>
      <name>m_feedListView</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a41999c5a135eb44b8618a694544890df</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>NodeListView *</type>
      <name>m_tagNodeListView</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ade2ba763cd200a6863ac1ad1c3559f36</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ArticleListView *</type>
      <name>m_articleList</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a5ac087ff2e546dc8e16547027acfb39f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ArticleViewer *</type>
      <name>m_articleViewer</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a5371f7d6333616c520e2f614bdc226e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TabWidget *</type>
      <name>m_tabs</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ad868e956b0d38fc9c80ca4ac0adc8e4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQWidget *</type>
      <name>m_mainTab</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a825dad73fcc808a5ae2df8b970b2b876</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Frame *</type>
      <name>m_mainFrame</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ad1c2f380fce8be37466cb789e8f8fc1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Frame *</type>
      <name>m_currentFrame</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a22b43499e86fbe462c935b1978f70271</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SearchBar *</type>
      <name>m_searchBar</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a3cdd4e3d12488228f7aea1ff686ff0df</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQSplitter *</type>
      <name>m_articleSplitter</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>af0a30164ef95b707f5e702a645560854</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQSplitter *</type>
      <name>m_horizontalSplitter</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a39793084dbade4225437d3a208d1ddb6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ListTabWidget *</type>
      <name>m_listTabWidget</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a0b84b92bdeca319806ddab1d8a9f7991</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Akregator::Part *</type>
      <name>m_part</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ac63279a6d850b02f3e9f6a91531025ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ViewMode</type>
      <name>m_viewMode</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a862c92c2faff45e0738eac494680f447</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQTimer *</type>
      <name>m_fetchTimer</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a13da23d941aafca0b3f4307b74080519</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQTimer *</type>
      <name>m_expiryTimer</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a85b02e024c512f4ad88ac722e00699c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQTimer *</type>
      <name>m_markReadTimer</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aa5b3aa6462786172977d52335c5338b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>m_shuttingDown</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a4355b62ea73b8ebef908ca13674cb3bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>m_displayingAboutPage</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a07caf24659a8d7c539410e08cdfe48e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ActionManagerImpl *</type>
      <name>m_actionManager</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ad2f7588ef338ba0e70324d2087763e8d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQPixmap</type>
      <name>m_keepFlagIcon</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a2e17dac47e8b82784424a3cd4c308f2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>EditNodePropertiesVisitor *</type>
      <name>m_editNodePropertiesVisitor</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a36f893e60a233989c20dea548d7419b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DeleteNodeVisitor *</type>
      <name>m_deleteNodeVisitor</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a03f0d5ee36f5d69545ba4fa77f6eb396</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>connectFrame</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a713e28e934c17502899663268e31874f</anchor>
      <arglist>(Frame *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setTabIcon</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>af82225716882f4c170069808c86d1de0</anchor>
      <arglist>(const TQPixmap &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDoIntervalFetches</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a1aacdea4d315b9da08887d8f684f31a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDeleteExpiredArticles</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a1d3fb8a265822bc3e2c6d0202ac11959</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOpenURLReply</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ab6406b763f64f7230eba9c11c9c91fc7</anchor>
      <arglist>(const KURL &amp;url, Akregator::Viewer *currentViewer, Akregator::BrowserRun::OpeningMode mode)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUrlClickedInViewer</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a1fb6d84f9339585dcd275f55905ffa3e</anchor>
      <arglist>(const KURL &amp;url, Viewer *viewer, bool newTab, bool background)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOpenURL</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>ab64592b315a9080e23872b4747767cf5</anchor>
      <arglist>(const KURL &amp;url, Akregator::Viewer *currentViewer, Akregator::BrowserRun::OpeningMode mode)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addFeed</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aa8b36c50f0d9e7a2524d3fcb41890d1d</anchor>
      <arglist>(const TQString &amp;url, TreeNode *after, Folder *parent, bool autoExec=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>connectToFeedList</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a65bc0b400141b387568ac0e6ae39ba37</anchor>
      <arglist>(FeedList *feedList)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>disconnectFromFeedList</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>aa1498fb30cf936e2a4598d17dcc7f505</anchor>
      <arglist>(FeedList *feedList)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateTagActions</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a6450d0ac0cc823d992b05458f785a614</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>EditNodePropertiesVisitor</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a611b781c528256681afa5d9b7ed8ce2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>DeleteNodeVisitor</name>
      <anchorfile>classAkregator_1_1View.html</anchorfile>
      <anchor>a95781b8c48e523cfb0d0eb29038e1c3d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Article</name>
    <filename>classAkregator_1_1Article.html</filename>
    <member kind="typedef">
      <type>TQValueList&lt; Article &gt;</type>
      <name>List</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a52b9895ca24e0c0bb7410cda04b270cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Article</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a519d24c7cefd48b03fb4f0fdb30db54f</anchor>
      <arglist>(const TQString &amp;guid, Feed *feed)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Article</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>ae33e743b0277500beefbe77fdbb4c580</anchor>
      <arglist>(RSS::Article article, Feed *feed)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Article</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>ad54ac82acc2f82bd4440bbd4417ac41d</anchor>
      <arglist>(RSS::Article article, Backend::FeedStorage *archive)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Article</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>afec231327749a9bf42222b2c34cec50f</anchor>
      <arglist>(const Article &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>Article &amp;</type>
      <name>operator=</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a043aad18f18e0108bf59a94439e3969f</anchor>
      <arglist>(const Article &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>aae8e1ba894a3004830184e253a64fc74</anchor>
      <arglist>(const Article &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>af5d70ae84f5c7c72df647b54302b3603</anchor>
      <arglist>(const Article &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>abbc089d0e0c6dc49318327adc2a414b4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>status</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a88f8693097a22779f8b13b7fa6a11c32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a41467ad4c3587ee18884622df7d59776</anchor>
      <arglist>(int s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>offsetPubDate</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>aecb54ee88b17de885dbd25271830ba2f</anchor>
      <arglist>(int secs)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>title</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>abfa27bfbf8e6ec2a3cb661e12881e135</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>link</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a1ebcbb8d1fc7c89f6936eeb319cfbee0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>author</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>ab809c9581d63bb1ad138dbd65f2279d7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>description</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>adb2556b386f2e11a65ec8bb470534bbb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>guid</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>add411c3d1560645aa4776fcefa19dcf6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>keep</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a78d28aa4fe17bcc75a09a2718ffb97ac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeep</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a23ff1c297baf5353a5473cfadf010544</anchor>
      <arglist>(bool keep)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDeleted</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>acf5a9c6614fda4563d8b223c8ef83450</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>RSS::Enclosure</type>
      <name>enclosure</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>ab40ece2909f39a62ddb66856fa0e0923</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDeleted</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a44d43922f93f24ced80e83830f01a2e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Feed *</type>
      <name>feed</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a503fda89de687ac7c8625b6a74844b9c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>hash</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a04d5a71e7fb69df6cdb72a24b2e5be32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>guidIsHash</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a139c62193416ea449de0fe1c177ce575</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>guidIsPermaLink</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a20fc99ae341f6d83c6603290e026ace3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQDateTime &amp;</type>
      <name>pubDate</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>ac629bf812b104b5bfaf5fe9cfd183834</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>commentsLink</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a596aefe59a94fc99c870335adf47c682</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>comments</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>ae9f0742259cf4dde2fdd46b8a0b53cde</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addTag</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>ae33e452b307eef16546c1318aa9de0a4</anchor>
      <arglist>(const TQString &amp;tag)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeTag</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a95cbe853563ba64651cd650f6d0b615e</anchor>
      <arglist>(const TQString &amp;tag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasTag</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a02f0197c760a20c2ad552af84683c6b5</anchor>
      <arglist>(const TQString &amp;tag) const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>tags</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a66ce457219b6c846e6ab7fe1c07cea83</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>ad86b46c94bf3f49110aefc86fce21630</anchor>
      <arglist>(const Article &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;=</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>afe9d90a8a8e629ef062c5041261ed6a4</anchor>
      <arglist>(const Article &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a002691e121f298fe8bc55d305fb02c91</anchor>
      <arglist>(const Article &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;=</name>
      <anchorfile>classAkregator_1_1Article.html</anchorfile>
      <anchor>a6a394278d4d79d22c23d2f0473fd8cf2</anchor>
      <arglist>(const Article &amp;other) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ArticleInterceptor</name>
    <filename>classAkregator_1_1ArticleInterceptor.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>processArticle</name>
      <anchorfile>classAkregator_1_1ArticleInterceptor.html</anchorfile>
      <anchor>a1699558b561a2ffa2e43fb2ab608024a</anchor>
      <arglist>(Article &amp;article)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ArticleInterceptorManager</name>
    <filename>classAkregator_1_1ArticleInterceptorManager.html</filename>
    <member kind="function">
      <type>void</type>
      <name>addInterceptor</name>
      <anchorfile>classAkregator_1_1ArticleInterceptorManager.html</anchorfile>
      <anchor>a88f61247e0e1870dcfe0887f99ba78ca</anchor>
      <arglist>(ArticleInterceptor *interceptor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeInterceptor</name>
      <anchorfile>classAkregator_1_1ArticleInterceptorManager.html</anchorfile>
      <anchor>ab87cce607466b56314195f0de7d83e3b</anchor>
      <arglist>(ArticleInterceptor *interceptor)</arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; ArticleInterceptor * &gt;</type>
      <name>interceptors</name>
      <anchorfile>classAkregator_1_1ArticleInterceptorManager.html</anchorfile>
      <anchor>a7bde2c6ca2acd536c9d1993793aa8fff</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ArticleInterceptorManager *</type>
      <name>self</name>
      <anchorfile>classAkregator_1_1ArticleInterceptorManager.html</anchorfile>
      <anchor>ac8d7ad4a5040eb90986bca750c7578c5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ArticleViewer</name>
    <filename>classAkregator_1_1ArticleViewer.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotShowArticle</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a967a33bb28464b72aa17af69984e3ca0</anchor>
      <arglist>(const Article &amp;article)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotShowNode</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>ac9e6764936e8cbdc4d1b0bc7aa0d4b25</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetFilter</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>ac1dff1f4641a6b688aeed5ee96ed3381</anchor>
      <arglist>(const Akregator::Filters::ArticleMatcher &amp;textFilter, const Akregator::Filters::ArticleMatcher &amp;statusFilter)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotUpdateCombinedView</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a31cdf576ecda144b5eb52de83fd2d9b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotClear</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a19f55c9f9a27d122f9003adc35230c84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotShowSummary</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a0771aee544c1d035b64722cadf1e26f9</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotPaletteOrFontChanged</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>abc9ed23dd766b96f9ea4da35a7cc7ca7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ArticleViewer</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a421c99bf05fdbbdc2fbbcde703ecb07e</anchor>
      <arglist>(TQWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>openURL</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a672fb453301e01396203168c359da8b9</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reload</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a5a20e254af6b0b9ccedfe10be1108d80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>displayAboutPage</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a6e0540bb1504deb481c60ac4627d0165</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>renderContent</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a912f346ceb80790fcddee27faeb51c3f</anchor>
      <arglist>(const TQString &amp;body)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>formatArticleNormalMode</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a744dc143256aa08d64cb104679aa0784</anchor>
      <arglist>(Feed *feed, const Article &amp;article)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>formatArticleCombinedMode</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>abe205acf8a4c83a6e3ba68e85778bde5</anchor>
      <arglist>(Feed *feed, const Article &amp;article)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>beginWriting</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a8a80a4f0f5c0f88893dd1d9142dc77b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endWriting</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>ab2f2b641b3fbc10866a2d7a9db232462</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>generateNormalModeCSS</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a301b2df69e71470ea2fbd9c6eabae30f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>generateCombinedModeCSS</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a87575fa0f6125b721296c6a64ae8c8c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectToNode</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a30455e6a0be2ced5231ffffff6ad4917</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disconnectFromNode</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>ad27b90178f88363af78eeaf14a289d6b</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="variable">
      <type>ShowSummaryVisitor *</type>
      <name>m_showSummaryVisitor</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a47c54b8f5feab44f85ad95ee5dcc4854</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>m_normalModeCSS</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>add0fa69734ccf606e94ccda6a82452b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>m_combinedModeCSS</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a85a4e92345430210f92fc7b00606cf8f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>m_htmlFooter</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>acf39d64a190e68af085e9c4d3c8cb837</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>m_currentText</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a8885670742461bca43c3561c4209f3c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURL</type>
      <name>m_imageDir</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a1911f95c5ea507dff40d7b9536e1ae36</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TreeNode *</type>
      <name>m_node</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a96c169383c2e1377977b66230d5ad704</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Article</type>
      <name>m_article</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a1e4d922cdff361c54f27a3699699e557</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURL</type>
      <name>m_link</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>ac32bac0917cf1a02a5efb3a671c87fd7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Akregator::Filters::ArticleMatcher</type>
      <name>m_textFilter</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>ad8a4abd5f8464d536ffcfa3d770ce300</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Akregator::Filters::ArticleMatcher</type>
      <name>m_statusFilter</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a6c7fa135f30c6f03182cc34f5332c3ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ViewMode</type>
      <name>m_viewMode</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>aa3760742aedde9468ea9ccbabbc054e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotArticlesUpdated</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a0990c2b301e62090ca35d55d45d8b364</anchor>
      <arglist>(TreeNode *node, const TQValueList&lt; Article &gt; &amp;list)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotArticlesAdded</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>af6cee7bc70c5e28b6ffbd28b0396f3a5</anchor>
      <arglist>(TreeNode *node, const TQValueList&lt; Article &gt; &amp;list)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotArticlesRemoved</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a044b740ae055e901b9568edf7d8b996f</anchor>
      <arglist>(TreeNode *node, const TQValueList&lt; Article &gt; &amp;list)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressEvent</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>aea83200f2ee1a7869bd2558458e23e82</anchor>
      <arglist>(TQKeyEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>urlSelected</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a8b848416b41d87104307a5e8a69e4c4e</anchor>
      <arglist>(const TQString &amp;url, int button, int state, const TQString &amp;_target, KParts::URLArgs args)</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>ShowNodeSummaryVisitor</name>
      <anchorfile>classAkregator_1_1ArticleViewer.html</anchorfile>
      <anchor>a2b8a58608d0d2622e1a4d2cde7b3423c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Feed</name>
    <filename>classAkregator_1_1Feed.html</filename>
    <base>Akregator::TreeNode</base>
    <member kind="enumeration">
      <name>ArchiveMode</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a1e2084c9a8fc27085c3e222cc4eae266</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>fetch</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>acdbc92bb133c4b89e452c8761a523a60</anchor>
      <arglist>(bool followDiscovery=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotAbortFetch</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a14d49583474aa0078fdb30884f2d0b16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDeleteExpiredArticles</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>acd929f8dbc98ab96d713b327028b8ab7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotMarkAllArticlesAsRead</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>acfe353c7f7253b44f6b4ea2207088b12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotAddToFetchQueue</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a7110feeddf0ef0794fcee721081552b1</anchor>
      <arglist>(FetchQueue *queue, bool intervalFetchOnly=false)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fetchStarted</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a4ed986878d3279618a667da203214443</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fetched</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ac60516c4fc551fa97aa8402b9adf876c</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fetchError</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a1c3ccb13bb37629d85da21428cd04d6f</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fetchDiscovery</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a4ed9bdfe72f6ced696cb7c5c9e3bd09f</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fetchAborted</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>abc47ad5682065f55da4487af9130040b</anchor>
      <arglist>(Feed *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Feed</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a84851953810b8330701abfd7015e8ff4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a8827cdadb1af25563d8fafb900941570</anchor>
      <arglist>(TreeNodeVisitor *visitor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQDomElement</type>
      <name>toOPML</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a101bf58f60c88f338fc7ed19474d5969</anchor>
      <arglist>(TQDomElement parent, TQDomDocument document) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useCustomFetchInterval</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a58a29d83e93ca419895ecbc402139863</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCustomFetchIntervalEnabled</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>aef61d122226d17d6538e3ed6971378a0</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fetchInterval</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>aba63e23c542c69872446d72de8e5e099</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFetchInterval</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ab4dad6b5558a5ee85e46df05eeb39b9d</anchor>
      <arglist>(int interval)</arglist>
    </member>
    <member kind="function">
      <type>ArchiveMode</type>
      <name>archiveMode</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a1274dfeb091094f67188378bffcc8d2a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setArchiveMode</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a15bc4f9a4116e30027520da3ec5b8e79</anchor>
      <arglist>(ArchiveMode archiveMode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxArticleAge</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a635c582be7068c922213d36243d37c33</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxArticleAge</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a58b948b3c46a5ed82568d4ca03d0c99f</anchor>
      <arglist>(int maxArticleAge)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxArticleNumber</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ac45502678dc5d273564e5565bcb30bd5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxArticleNumber</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a72cd66e5c6733c5537c47b86049e4690</anchor>
      <arglist>(int maxArticleNumber)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>markImmediatelyAsRead</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ad9956bd60c546ceb990a69adf72346b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMarkImmediatelyAsRead</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a59c65e85d2303c73e6287220d3696798</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUseNotification</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ae186bd69dcfa9e12b4b58f5ea960d0ab</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useNotification</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>acbb61109541d56a15896d93d7122c98f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLoadLinkedWebsite</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a4844240fc1c798499400d8320345511f</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadLinkedWebsite</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a56c4d5b99e9c47fb482db62f3e2cbc56</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQPixmap &amp;</type>
      <name>favicon</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a49e82ccb41c3dace22205a2c5973f136</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFavicon</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ae03f02bea612cff2d23b65031d624447</anchor>
      <arglist>(const TQPixmap &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>const TQPixmap &amp;</type>
      <name>image</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a2a2964db5f73a47581c6e2e54b1fb412</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>xmlUrl</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a8502cd2f6ddfe3da3df40e8194d6130c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setXmlUrl</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a98bf505cd16e23dfc0ca6b086373f62c</anchor>
      <arglist>(const TQString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>htmlUrl</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a56212f7feb5359960e07e94953cb87d3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHtmlUrl</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ae5d12947c7ca0cbf5c2be50dd40c24f0</anchor>
      <arglist>(const TQString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>description</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a5bf82ca6bc2d0f05039c75317def5147</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDescription</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a299dcdce0723abce6e765f1723df7dec</anchor>
      <arglist>(const TQString &amp;s)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQValueList&lt; Article &gt;</type>
      <name>articles</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a1c1950324b1a822c3d008615d38bd19a</anchor>
      <arglist>(const TQString &amp;tag=TQString())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Article</type>
      <name>findArticle</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a142edf364c8c66f9872b8c5fb0698950</anchor>
      <arglist>(const TQString &amp;guid) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>tags</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ab1d5df5c96b9f9d907dbf5faa02a794e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>fetchErrorOccurred</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a315c76238ba84be515939fe8018e45a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>unread</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a9344d01bacfbead1486c979dbb1fa11b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>totalCount</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a53e0529c8b49880323ccdf84c5d6dfe1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isArticlesLoaded</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a4d1120aba19036279635f5d903d66fd6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isGroup</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a2d0962c47f0dcd674f11bdb0fa68bf22</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>next</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a35657fc80aa2d8f3813ab50d413148fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadFavicon</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a3606fdc4983e50c5a801a348593dc73e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadImage</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a0d6ea71ddef097e05190bee88eca0038</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ArchiveMode</type>
      <name>stringToArchiveMode</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>ad67cf281d9d5f6bbba5a3778aa66f59f</anchor>
      <arglist>(const TQString &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>archiveModeToString</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a78c1f2603dab918922a018750e3059f2</anchor>
      <arglist>(ArchiveMode mode)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Feed *</type>
      <name>fromOPML</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a8515969ae38e69a1e7616bdb7377ea07</anchor>
      <arglist>(TQDomElement e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadArticles</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a3ce4853cecbc9ec8cffc8975c45d8966</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>recalcUnreadCount</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a259bc4adb7eaecdf5961d272cc817efe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doArticleNotification</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a66449ace3fe53c225430ed8be93113d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setUnread</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>aa1a1749a24adef281d8b58603085e869</anchor>
      <arglist>(int unread)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Article</name>
      <anchorfile>classAkregator_1_1Feed.html</anchorfile>
      <anchor>a8f13a95776635835a1bab32c5812648e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::FeedItem</name>
    <filename>classAkregator_1_1FeedItem.html</filename>
    <base>Akregator::TreeNodeItem</base>
    <member kind="function">
      <type></type>
      <name>FeedItem</name>
      <anchorfile>classAkregator_1_1FeedItem.html</anchorfile>
      <anchor>a65edc4c50042eaf8e802be618d3dfdcf</anchor>
      <arglist>(FolderItem *parent, Feed *node)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FeedItem</name>
      <anchorfile>classAkregator_1_1FeedItem.html</anchorfile>
      <anchor>a0f622871e8a0fc634bc104ad4a291685</anchor>
      <arglist>(FolderItem *parent, TreeNodeItem *after, Feed *node)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FeedItem</name>
      <anchorfile>classAkregator_1_1FeedItem.html</anchorfile>
      <anchor>a13e6c1e6feeef0c942581a20b466b4ca</anchor>
      <arglist>(TDEListView *parent, Feed *node)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FeedItem</name>
      <anchorfile>classAkregator_1_1FeedItem.html</anchorfile>
      <anchor>aea739336c23532fe8d6382ba7b9ebaa3</anchor>
      <arglist>(TDEListView *parent, TreeNodeItem *after, Feed *node)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Feed *</type>
      <name>node</name>
      <anchorfile>classAkregator_1_1FeedItem.html</anchorfile>
      <anchor>a72fce487c702ac0cce8ef9514302cb6a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>nodeChanged</name>
      <anchorfile>classAkregator_1_1FeedItem.html</anchorfile>
      <anchor>ad5284348d56411c211cc00622d65042e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>showContextMenu</name>
      <anchorfile>classAkregator_1_1FeedItem.html</anchorfile>
      <anchor>afe7de3a0d39fa639694bbe53af2a3804</anchor>
      <arglist>(const TQPoint &amp;p)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQPixmap</type>
      <name>errorPixmap</name>
      <anchorfile>classAkregator_1_1FeedItem.html</anchorfile>
      <anchor>ab6f16a63c4a67def1004b02cdf1fa5ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQPixmap</type>
      <name>defaultPixmap</name>
      <anchorfile>classAkregator_1_1FeedItem.html</anchorfile>
      <anchor>ab741dfcd66e09128c1ba0bacfdcbf4c1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::FeedList</name>
    <filename>classAkregator_1_1FeedList.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>signalDestroyed</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a571805c367f2b29c4e52566c2ed1a0c3</anchor>
      <arglist>(FeedList *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FeedList</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>aa42329404b95a2df8f603c1da3f7ba62</anchor>
      <arglist>(TQObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~FeedList</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>abe93a6038561d5d1ff0c419691b6f046</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>abb859a2c58a78ef7a498c87dba354cd3</anchor>
      <arglist>(FeedList *list, Folder *parent=0, TreeNode *after=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>readFromXML</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a272b7adc66c10147879d0ca1412751c0</anchor>
      <arglist>(const TQDomDocument &amp;doc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQDomDocument</type>
      <name>toXML</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>aea9eee0bfe08d5455c2a2946a0828185</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Feed *</type>
      <name>findByURL</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a61f650973933a95cfad971171a7d0c0c</anchor>
      <arglist>(const TQString &amp;feedURL) const </arglist>
    </member>
    <member kind="function">
      <type>Article</type>
      <name>findArticle</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a362bddec117f4e3993078231160350f3</anchor>
      <arglist>(const TQString &amp;feedURL, const TQString &amp;guid) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseChildNodes</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a1f7852f73d7e8eb2c0718b0116d2b910</anchor>
      <arglist>(TQDomNode &amp;node, Folder *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FeedList</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>ac9dc97bc3298cb4d81eefa93444b3599</anchor>
      <arglist>(const FeedList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>FeedList &amp;</type>
      <name>operator=</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>ab7ae4951f747f686871c4d4a76ac5571</anchor>
      <arglist>(const FeedList &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>FeedListPrivate *</type>
      <name>d</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a3b0c0c8b10c4cf5406dc8b778e16ed74</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>addNode</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>aa0e9c176a9490772c21fc8ebfe152125</anchor>
      <arglist>(TreeNode *node, bool preserveID)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>removeNode</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a83eecc39c505754221b581e0b6d3ac47</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>AddNodeVisitor</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a5cf64cc363672cc8e6c82ee2da6e34c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>RemoveNodeVisitor</name>
      <anchorfile>classAkregator_1_1FeedList.html</anchorfile>
      <anchor>a7320e7df9110c2237b960c00479bf8d5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Folder</name>
    <filename>classAkregator_1_1Folder.html</filename>
    <base>Akregator::TreeNode</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDeleteExpiredArticles</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a2976171985835804e1fec51f70d1fce9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotMarkAllArticlesAsRead</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a39a47bea1608c48fdcb124d650c26f35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotChildChanged</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>ad6e2f61c6918d9ad1105bc5485cfa7d3</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotChildDestroyed</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>afc933ffe2f6ba8193ea65eccfa1a4327</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotAddToFetchQueue</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a9249f3a87241aa38b7f4e822fb603720</anchor>
      <arglist>(FetchQueue *queue, bool intervalFetchesOnly=false)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>next</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a32f7c5053c96f3dc854642a2bf7e50e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalChildAdded</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>af89ed9909feecaf00766623fe61cd1d3</anchor>
      <arglist>(TreeNode *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalChildRemoved</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a7dd12d54570a0573f2f10014e518f255</anchor>
      <arglist>(Folder *, TreeNode *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Folder</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a0de62f99d5e1e8b2654180a88280d61c</anchor>
      <arglist>(const TQString &amp;title=TQString())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>ad4a2f2bfaa233f5cc4888ab54eca6d7d</anchor>
      <arglist>(TreeNodeVisitor *visitor)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQValueList&lt; Article &gt;</type>
      <name>articles</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a164e1b6ab0e8c854b13174fde1780da1</anchor>
      <arglist>(const TQString &amp;tag=TQString())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>tags</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>abfe5f74774484ca9a1e99805d5c1acf4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>unread</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>afd363af91174d91116b58ceb605c2ef4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>totalCount</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a37c0b80954b05545d17bd0f79291cb17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isGroup</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a9c96f94d0019dbe9d043fd395e273d00</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQDomElement</type>
      <name>toOPML</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>ab65ec4b88e8c397842398eb197c90a07</anchor>
      <arglist>(TQDomElement parent, TQDomDocument document) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQValueList&lt; TreeNode * &gt;</type>
      <name>children</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>aadeecf747709aae7a52674dfb8375441</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insertChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a24e0997c19feed2e4581e7b226fbbed5</anchor>
      <arglist>(TreeNode *node, TreeNode *after)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>prependChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a2e132b5ca9863947801bfb0fd301fa23</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>appendChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>acb5dc675084a9afc5aacd23b7a625eed</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removeChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a71dac3a74e4f4b5a144d493ca92fcbd8</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>firstChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a4b9b86971079f4f54b549d2b11a7cd55</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>lastChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>ad5d6ab225c3d74c1914c66517d0202a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isOpen</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a0f92c522add63d162c67bb49dca11768</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOpen</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>ae2e1f62bef4974ac0a5db1a4c8ce0973</anchor>
      <arglist>(bool open)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Folder *</type>
      <name>fromOPML</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a077d6bc7c85651d66f3ef7f7d95c95ee</anchor>
      <arglist>(TQDomElement e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>insertChild</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a50d640a87e7bb87f4a53018ed033561e</anchor>
      <arglist>(uint index, TreeNode *node)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doArticleNotification</name>
      <anchorfile>classAkregator_1_1Folder.html</anchorfile>
      <anchor>a2087b0e88448d1802c45d4e0fee04d0d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::KCursorSaver</name>
    <filename>classAkregator_1_1KCursorSaver.html</filename>
    <member kind="function">
      <type></type>
      <name>KCursorSaver</name>
      <anchorfile>classAkregator_1_1KCursorSaver.html</anchorfile>
      <anchor>a4194f742967ace62c4c64b63e50b992e</anchor>
      <arglist>(TQt::CursorShape shape)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCursorSaver</name>
      <anchorfile>classAkregator_1_1KCursorSaver.html</anchorfile>
      <anchor>a55ed257142151919fe6052d88697314e</anchor>
      <arglist>(const KCursorSaver &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCursorSaver</name>
      <anchorfile>classAkregator_1_1KCursorSaver.html</anchorfile>
      <anchor>a1338ae4b0ea894f24a0a46abd1d39a43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreCursor</name>
      <anchorfile>classAkregator_1_1KCursorSaver.html</anchorfile>
      <anchor>a970751900d8e259cd52e0043550ac781</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>operator=</name>
      <anchorfile>classAkregator_1_1KCursorSaver.html</anchorfile>
      <anchor>a4b0f3a17a95fb120a2fda7b7d0f2aaa8</anchor>
      <arglist>(const KCursorSaver &amp;rhs)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ListTabWidget</name>
    <filename>classAkregator_1_1ListTabWidget.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotItemUp</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a289339c67e0e7a4858b176614267ae29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotItemDown</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a653bf68fcc246b08d87fbbc42371e739</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotItemBegin</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a67ee5f0e6fc1b680401cba3aebb2a0be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotItemEnd</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>ad58bdbe51973eb7c1922120a1a486cba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotItemLeft</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a3747e7a20c506f83a4d19733e761048d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotItemRight</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a88504eab50f22c0925ddc2a4e2475980</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPrevFeed</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a53159343960a7e97ce1fc6d23f060285</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNextFeed</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>aad64c5ca5c80ee5e5a9fb4d77b525f98</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotPrevUnreadFeed</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>ac336d39c8a500ceeb33d2f502889a5d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNextUnreadFeed</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a3d8f95b13b5205f1d3a4ef320756d4f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalNodeSelected</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>ae7b63e8526e3efabc7d03d6bf4179d07</anchor>
      <arglist>(TreeNode *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ListTabWidget</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>aca5f95b241f0727065f6b468a4cc83e8</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setViewMode</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a3619d2c9dcb98106a8c13c35153a4341</anchor>
      <arglist>(ViewMode mode)</arglist>
    </member>
    <member kind="function">
      <type>ViewMode</type>
      <name>viewMode</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>aaf3737f6f3d16a2d12cf55f1b1639b9b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addView</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a0482378c5850d4ffcade082b002a8a87</anchor>
      <arglist>(NodeListView *view, const TQString &amp;caption, const TQPixmap &amp;icon)</arglist>
    </member>
    <member kind="function">
      <type>NodeListView *</type>
      <name>activeView</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a4f6c0a11fc9ed703136d28cc8b76364f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRootNodeChanged</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a90056fe4153f2e5c29f289a77a146771</anchor>
      <arglist>(NodeListView *, TreeNode *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotTabClicked</name>
      <anchorfile>classAkregator_1_1ListTabWidget.html</anchorfile>
      <anchor>a3c33987126246801e155eb5970fc03f4</anchor>
      <arglist>(int id)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::MainWindow</name>
    <filename>classAkregator_1_1MainWindow.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotClearStatusText</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>aa7652989873760c5b36fb0f9d711a77e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSetStatusBarText</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>a18a95247ae65ffb5210e992aea89bb46</anchor>
      <arglist>(const TQString &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setupProgressWidgets</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>ad87be9473fdd7439506b9f2e7b6316da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCaption</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>aec6bd0f6c48ee3ec543067666d4166e6</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadPart</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>a99ab3741c0dda7c81cdfc203e0526863</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotQuit</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>a126deaa4e15460103751e210440b9463</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveProperties</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>a1472db48596634303d7312430979970e</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readProperties</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>a3cda0466b7a3b39d3a3a87183c099790</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryExit</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>ad4977adf00a9fac1868af47541aa71e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classAkregator_1_1MainWindow.html</anchorfile>
      <anchor>a2174671084a3dccbf624cff09e25fec3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::NotificationManager</name>
    <filename>classAkregator_1_1NotificationManager.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotNotifyArticle</name>
      <anchorfile>classAkregator_1_1NotificationManager.html</anchorfile>
      <anchor>a9a98652fc36c51db3697de12efe54728</anchor>
      <arglist>(const Article &amp;article)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNotifyFeeds</name>
      <anchorfile>classAkregator_1_1NotificationManager.html</anchorfile>
      <anchor>a0545fecf844424ba739ba32bb168204c</anchor>
      <arglist>(const TQStringList &amp;feeds)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWidget</name>
      <anchorfile>classAkregator_1_1NotificationManager.html</anchorfile>
      <anchor>a6091de8c441890441a0c454e0b3197a5</anchor>
      <arglist>(TQWidget *widget, TDEInstance *inst=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static NotificationManager *</type>
      <name>self</name>
      <anchorfile>classAkregator_1_1NotificationManager.html</anchorfile>
      <anchor>ace0606a2f69a9c64eca15707a706241c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotIntervalCheck</name>
      <anchorfile>classAkregator_1_1NotificationManager.html</anchorfile>
      <anchor>afa1f1608f7dd3d24340f2322cc18e136</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>doNotify</name>
      <anchorfile>classAkregator_1_1NotificationManager.html</anchorfile>
      <anchor>a80b06ca6e041ab90e29a8e87bfc4f65b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ProgressManager</name>
    <filename>classAkregator_1_1ProgressManager.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setFeedList</name>
      <anchorfile>classAkregator_1_1ProgressManager.html</anchorfile>
      <anchor>a6e5c93c795c06a847d0cb41e8e06612a</anchor>
      <arglist>(FeedList *feedList)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ProgressManager *</type>
      <name>self</name>
      <anchorfile>classAkregator_1_1ProgressManager.html</anchorfile>
      <anchor>adc95d78a19c06687ddba19b5fbab10c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNodeAdded</name>
      <anchorfile>classAkregator_1_1ProgressManager.html</anchorfile>
      <anchor>a14e95c81534cdf7ac01c9964203f06e7</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNodeRemoved</name>
      <anchorfile>classAkregator_1_1ProgressManager.html</anchorfile>
      <anchor>acfb5ed52447fd6dfda5287e10842a7d5</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNodeDestroyed</name>
      <anchorfile>classAkregator_1_1ProgressManager.html</anchorfile>
      <anchor>ab8ac128959f26b5db66c827e3aa07121</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::ProgressItemHandler</name>
    <filename>classAkregator_1_1ProgressItemHandler.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotFetchStarted</name>
      <anchorfile>classAkregator_1_1ProgressItemHandler.html</anchorfile>
      <anchor>aa796647bda8e6ca3565b6d84d957ddae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFetchCompleted</name>
      <anchorfile>classAkregator_1_1ProgressItemHandler.html</anchorfile>
      <anchor>a1d623ca2be0b95d6321cf82ee7e7ec43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFetchAborted</name>
      <anchorfile>classAkregator_1_1ProgressItemHandler.html</anchorfile>
      <anchor>a2d2ca86dca317b5227157d646cee7128</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotFetchError</name>
      <anchorfile>classAkregator_1_1ProgressItemHandler.html</anchorfile>
      <anchor>a0026162b6801605afc8fd4fb95340be1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProgressItemHandler</name>
      <anchorfile>classAkregator_1_1ProgressItemHandler.html</anchorfile>
      <anchor>abe3f152cb204d2d43138c91485ef53e3</anchor>
      <arglist>(Feed *feed)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::SelectNodeDialog</name>
    <filename>classAkregator_1_1SelectNodeDialog.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSelectNode</name>
      <anchorfile>classAkregator_1_1SelectNodeDialog.html</anchorfile>
      <anchor>a73d8c9e884ac85e905af730c58991f89</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SelectNodeDialog</name>
      <anchorfile>classAkregator_1_1SelectNodeDialog.html</anchorfile>
      <anchor>a8dda9ea8ebdc5c1fc0cc183f1142d420</anchor>
      <arglist>(FeedList *feedList, TQWidget *parent=0, char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>TreeNode *</type>
      <name>selectedNode</name>
      <anchorfile>classAkregator_1_1SelectNodeDialog.html</anchorfile>
      <anchor>af52f23e47473d50899ebd492781a6462</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotNodeSelected</name>
      <anchorfile>classAkregator_1_1SelectNodeDialog.html</anchorfile>
      <anchor>a57426a74afe5edfcc55f785acf494683</anchor>
      <arglist>(TreeNode *node)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::TagAction</name>
    <filename>classAkregator_1_1TagAction.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>toggled</name>
      <anchorfile>classAkregator_1_1TagAction.html</anchorfile>
      <anchor>af8b97035b0dac6374fe4ed299237a226</anchor>
      <arglist>(const Tag &amp;, bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TagAction</name>
      <anchorfile>classAkregator_1_1TagAction.html</anchorfile>
      <anchor>a445f630295061be0b963eb267d1c779d</anchor>
      <arglist>(const Tag &amp;tag, const TQObject *receiver, const char *slot, TQObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Tag</type>
      <name>tag</name>
      <anchorfile>classAkregator_1_1TagAction.html</anchorfile>
      <anchor>a8979ff249994bfcf564aef0c0c4bd9f4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotToggled</name>
      <anchorfile>classAkregator_1_1TagAction.html</anchorfile>
      <anchor>aca8173f3f669f8523dfdff762850da49</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::TagSet</name>
    <filename>classAkregator_1_1TagSet.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>signalTagAdded</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>ab03bccc9aec13fe13000446f5903a4d7</anchor>
      <arglist>(const Tag &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalTagRemoved</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a520b0a93b4c4633b9e002eae8553607c</anchor>
      <arglist>(const Tag &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalTagUpdated</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a345dcaef193b5b37bd7d1fc911a2e75a</anchor>
      <arglist>(const Tag &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TagSet</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>aee586760e92cde230aa97b425b6e0e96</anchor>
      <arglist>(TQObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a68e58316da63cfe3e2a85426bc7735ca</anchor>
      <arglist>(const Tag &amp;tag)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a70e8624a303c1522474dd5999f98dbe7</anchor>
      <arglist>(const Tag &amp;tag)</arglist>
    </member>
    <member kind="function">
      <type>TQMap&lt; TQString, Tag &gt;</type>
      <name>toMap</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a51ccd0279be166425e7bd345af8ada59</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>contains</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>aa63fad011ed823f222cfa257ef15f16a</anchor>
      <arglist>(const Tag &amp;tag) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>containsID</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a7bde761012693c6a07087a53e6c9d386</anchor>
      <arglist>(const TQString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>Tag</type>
      <name>findByID</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a84c57fa2f313787935d667c6a2f5a24f</anchor>
      <arglist>(const TQString &amp;id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readFromXML</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a99bf6b48f5de8e7f07eec519ffacbb9a</anchor>
      <arglist>(const TQDomDocument &amp;doc)</arglist>
    </member>
    <member kind="function">
      <type>TQDomDocument</type>
      <name>toXML</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a66ac6741574fda264156a9804ce6a91d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>tagUpdated</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>a765b3b4a37b3018a0b841980ff0f89a6</anchor>
      <arglist>(const Tag &amp;tag)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Tag</name>
      <anchorfile>classAkregator_1_1TagSet.html</anchorfile>
      <anchor>afc8c1b0e7f1fedf25715bd33b74eb56c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::TreeNode</name>
    <filename>classAkregator_1_1TreeNode.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotDeleteExpiredArticles</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>ae3c46f81d6dcdc2f47a9f4176fbd291f</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotMarkAllArticlesAsRead</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a467dd6c0d121ea594315473ea1f7ec99</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>slotAddToFetchQueue</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a56c3cac354d4a543a87d5201571a33a8</anchor>
      <arglist>(FetchQueue *queue, bool intervalFetchesOnly=false)=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalDestroyed</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>afcef33edac2cf72ebd015ed3f0ad42a0</anchor>
      <arglist>(TreeNode *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalChanged</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a6afab8bafcf0eacf23d59b299ed8c222</anchor>
      <arglist>(TreeNode *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalArticlesAdded</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a1bc9a860d9840ff6c2e326fc3bb969c4</anchor>
      <arglist>(TreeNode *node, const TQValueList&lt; Article &gt; &amp;guids)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalArticlesUpdated</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a533377586d50077173757fef0bc78769</anchor>
      <arglist>(TreeNode *, const TQValueList&lt; Article &gt; &amp;guids)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalArticlesRemoved</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a7558b78d60bfdc4d9a199f0ea3bc6c42</anchor>
      <arglist>(TreeNode *, const TQValueList&lt; Article &gt; &amp;guids)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TreeNode</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a4d50d114c306c99fc6a7bd6e56b59780</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TreeNode</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>aa96b69266f5ce127fe39edbfb9c30c49</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>accept</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>aa8535bcd51a0a9bb3c3e12e6cfe3fab5</anchor>
      <arglist>(TreeNodeVisitor *visitor)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>unread</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>ab7560da4f68b7b9a3ec9fb975090f58f</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>totalCount</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a16c7b02a24ac258217135262cf84734b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const TQString &amp;</type>
      <name>title</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a9247c63de3a6314015f32c4c3b5b67cb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setTitle</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a1a3f09e34966a01162ffae9b9cc417da</anchor>
      <arglist>(const TQString &amp;title)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>nextSibling</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a58928ac7850ce5b757458192ee15dbe2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>prevSibling</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a04a7bb9778165dfae373c71e645b3b56</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Folder *</type>
      <name>parent</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>abadc676b2769b5f3b245a5ba4f12faad</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setParent</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>abef15920bc377216a5d2cf909c9f69b7</anchor>
      <arglist>(Folder *parent)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQValueList&lt; Article &gt;</type>
      <name>articles</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a8613a36a15d4fd03aa1dff2e44dc4efb</anchor>
      <arglist>(const TQString &amp;tag=TQString())=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>tags</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a6f4c42506dfd6c4c058a8b93f427a26a</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isGroup</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a0f07a1ca8accba641e632ac89c279fa0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQDomElement</type>
      <name>toOPML</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>ae62dc4a33eda7b9cdba8580ef0e21f72</anchor>
      <arglist>(TQDomElement parent, TQDomDocument document) const =0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setNotificationMode</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a3a19ae67136daa08cdf3b077fef2a2b3</anchor>
      <arglist>(bool doNotify, bool notifyOccurredChanges=true)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TreeNode *</type>
      <name>next</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a20e34b993247ca1b4177c7970bf29e6f</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual uint</type>
      <name>id</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>aacfc6a524fccd34dfb63fc7afedc5035</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setId</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>aa9993448c688be0bc7b87dd8e5b122b7</anchor>
      <arglist>(uint id)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>nodeModified</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>ac08b470fea362396eb8986fe294f0950</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>articlesModified</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a62130ca69843af960e5acef37305a0dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doArticleNotification</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>a579bead48c6af330521ffbf24cfc56c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>emitSignalDestroyed</name>
      <anchorfile>classAkregator_1_1TreeNode.html</anchorfile>
      <anchor>af97b6d529424c76b0f9f8730aeb9add4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::TreeNodeItem</name>
    <filename>classAkregator_1_1TreeNodeItem.html</filename>
    <member kind="function">
      <type></type>
      <name>TreeNodeItem</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>adbe52f0d75ec54b45a43cb3df0daa5a6</anchor>
      <arglist>(FolderItem *parent, TreeNode *node)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TreeNodeItem</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>acf6c8179be426a2beff7b4a7c733ebdd</anchor>
      <arglist>(FolderItem *parent, TreeNodeItem *after, TreeNode *node)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TreeNodeItem</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>a6519f09f78c4521f6846dcdff502b287</anchor>
      <arglist>(TDEListView *parent, TreeNode *node)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TreeNodeItem</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>a64eefe7c1345490da612627b9854bf77</anchor>
      <arglist>(TDEListView *parent, TreeNodeItem *after, TreeNode *node)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNode *</type>
      <name>node</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>a23db0fe7d551caaee2753dcaec52689c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>nodeChanged</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>af2376a543874144f124da4d2753baeae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>toolTip</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>a8ff8ea72ea43021ec48c636346fadb56</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNodeItem *</type>
      <name>firstChild</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>ac2883d4c05d0aae9a38b51297fd4a3bc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TreeNodeItem *</type>
      <name>nextSibling</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>a5c34a37ebdedfa7a1023d315af6575c8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual FolderItem *</type>
      <name>parent</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>a329be1cd52062d54bfc91657426925b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showContextMenu</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>a2b7ebe6a547e6b7ad021e59814eac52d</anchor>
      <arglist>(const TQPoint &amp;p)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paintCell</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>af8699ddd7bc1fc0fb02ee773f42d8b90</anchor>
      <arglist>(TQPainter *p, const TQColorGroup &amp;cg, int column, int width, int align)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TreeNode *</type>
      <name>m_node</name>
      <anchorfile>classAkregator_1_1TreeNodeItem.html</anchorfile>
      <anchor>a105471599883cd17747ece75d33a9afd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Backend::Category</name>
    <filename>classAkregator_1_1Backend_1_1Category.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classAkregator_1_1Backend_1_1Category.html</anchorfile>
      <anchor>a2c72e7aa906ff2896128ad2edc9b1f9b</anchor>
      <arglist>(const Category &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classAkregator_1_1Backend_1_1Category.html</anchorfile>
      <anchor>a5135336ee53d81bd41b21f76eadb825d</anchor>
      <arglist>(const Category &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchorfile>classAkregator_1_1Backend_1_1Category.html</anchorfile>
      <anchor>a5551cc89db2e355d9c7d073426e19ca8</anchor>
      <arglist>(const Category &amp;other) const </arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>term</name>
      <anchorfile>classAkregator_1_1Backend_1_1Category.html</anchorfile>
      <anchor>a499b033383114054cc6090d19ba6239b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>scheme</name>
      <anchorfile>classAkregator_1_1Backend_1_1Category.html</anchorfile>
      <anchor>a4e49a1c71b053fd8dcf545f8012d4882</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classAkregator_1_1Backend_1_1Category.html</anchorfile>
      <anchor>a36d029f7ad9ea38e3907fa806b736120</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Backend::Storage</name>
    <filename>classAkregator_1_1Backend_1_1Storage.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>initialize</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>afab610993983b8ed8afa18a3f06f98e1</anchor>
      <arglist>(const TQStringList &amp;params)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>open</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a5a798c33904a577305cd775c85bb7712</anchor>
      <arglist>(bool autoCommit=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>commit</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a01f779d5cae6863cc2cce994ddb2a4e2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>rollback</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a9e441430894d7e51637ac9f64f5cc74a</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>close</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a9821421e17bfeb1fde445f38a5b6800c</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual FeedStorage *</type>
      <name>archiveFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a3d1aeba99df21dedc47a4261f9fc9042</anchor>
      <arglist>(const TQString &amp;url)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>autoCommit</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a01752d2eb063b5ac711972a6b5b24992</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>unreadFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a73099984086b82d90bcf7805f302343e</anchor>
      <arglist>(const TQString &amp;url)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setUnreadFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>abaf27966dfe412bd8319d345039c6680</anchor>
      <arglist>(const TQString &amp;url, int unread)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>totalCountFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a965f40e6ff4dd0f343e0f476f9b9dbdb</anchor>
      <arglist>(const TQString &amp;url)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setTotalCountFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>abdfd48616d490b16be824300e9b239d5</anchor>
      <arglist>(const TQString &amp;url, int total)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>lastFetchFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a46bfeed0e6ab0b34db4b8860ce33f584</anchor>
      <arglist>(const TQString &amp;url)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setLastFetchFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a5ae54e1c722817604d80a2823cb926fb</anchor>
      <arglist>(const TQString &amp;url, int lastFetch)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>storeFeedList</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a55a89949d6dfba075d251787c5e961bf</anchor>
      <arglist>(const TQString &amp;opmlStr)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>restoreFeedList</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a0009637ac1ec5aa39a0deb28017d3240</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>storeTagSet</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>ae7fbd0e155557bdba80126b743483840</anchor>
      <arglist>(const TQString &amp;xmlStr)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>restoreTagSet</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a4892c6afabd3eda84f3d97d448a276fa</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>feeds</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>afe1c14dd130cd6b479ebd8ce9b58f4b8</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>add</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>afd3e9c3db5b3243663e82c9be0749ed8</anchor>
      <arglist>(Storage *source)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a385edea89211d499ee078378b6895a7e</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Storage *</type>
      <name>getInstance</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a53c513bb41370868ea52cb3140658264</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setInstance</name>
      <anchorfile>classAkregator_1_1Backend_1_1Storage.html</anchorfile>
      <anchor>a7b546c61deaddcf55a84e192eed21117</anchor>
      <arglist>(Storage *instance)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Backend::StorageDummyImpl</name>
    <filename>classAkregator_1_1Backend_1_1StorageDummyImpl.html</filename>
    <base>Akregator::Backend::Storage</base>
    <member kind="function">
      <type></type>
      <name>StorageDummyImpl</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a721479ea6d709c8a2e6cf8151cb7b11b</anchor>
      <arglist>(const StorageDummyImpl &amp;)</arglist>
    </member>
    <member kind="function">
      <type>StorageDummyImpl &amp;</type>
      <name>operator=</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>ad9ac0e4f6d38020e2b35cabbca3b52be</anchor>
      <arglist>(const StorageDummyImpl &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initialize</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a3282bcef30eb8d27300f334d75e5586c</anchor>
      <arglist>(const TQStringList &amp;params)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>open</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a423eb4df0c7f0eb825eb28aed1c0b11d</anchor>
      <arglist>(bool autoCommit=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>commit</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a21d4cca91d3eb6feaf9c17b8dada89c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>rollback</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a80bc825789a8adedc2829492fba5f2ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>close</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a66f014fa2340af7c3835a2e2d3c54382</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual FeedStorage *</type>
      <name>archiveFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a3e280f833dcc61e8ad83b5fb9ae08c71</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>autoCommit</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>ac9191876e8768b8dce73be25132eb33f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>unreadFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a40ce87563ed921a0b4c3a87d1e429827</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setUnreadFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>ab61bf6975993789a2d79b402e28265fb</anchor>
      <arglist>(const TQString &amp;url, int unread)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>totalCountFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>acda7dafdb291f9e5de542a031e62482c</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setTotalCountFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a39901d0ff324eb5e0d5ae03905bdd51e</anchor>
      <arglist>(const TQString &amp;url, int total)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>lastFetchFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a333cfd3bff501c2e868d415f0d2237f6</anchor>
      <arglist>(const TQString &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setLastFetchFor</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>aa1e06b18629fc7872d3aeaab676a92f1</anchor>
      <arglist>(const TQString &amp;url, int lastFetch)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>feeds</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>aed7c69b1d5501e83a6f39189b2428847</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>storeFeedList</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a63ce0adf1cfb0a485191efe6a6cc6278</anchor>
      <arglist>(const TQString &amp;opmlStr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>restoreFeedList</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a4fca531a798dbe7b7d15dba2d78d739a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>storeTagSet</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>acf8742c7a1df5f3e7187886319e4635d</anchor>
      <arglist>(const TQString &amp;xmlStr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>restoreTagSet</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a7ac5a1a9bda63072f838cf3bf5ccd8f8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>add</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>a8effc6fa3b17f1a6ae5476b6bfc9044c</anchor>
      <arglist>(Storage *source)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>ab29a746217330f49759659817e0046ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCommit</name>
      <anchorfile>classAkregator_1_1Backend_1_1StorageDummyImpl.html</anchorfile>
      <anchor>ad0d2a31fe49193861f7112984f249778</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Filters::ArticleFilter</name>
    <filename>classAkregator_1_1Filters_1_1ArticleFilter.html</filename>
    <member kind="function">
      <type></type>
      <name>ArticleFilter</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>ae8dbafb523ca19a68af64f4c92857a23</anchor>
      <arglist>(const AbstractMatcher &amp;matcher, const AbstractAction &amp;action)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ArticleFilter</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>a3cb83e413fd7a5b85318a49c5d875080</anchor>
      <arglist>(const ArticleFilter &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>applyTo</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>a059ccb99e40500b331885d6607ad4f3e</anchor>
      <arglist>(Article &amp;article) const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>name</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>a30b88f86c283bc84815c7d79b499fd7a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>a76d5f0d38b04ab0a058ed2e6a929424e</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>id</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>ab381a53dcc01a622ef6599c7aa20919d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>AbstractMatcher *</type>
      <name>matcher</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>a3498535c0ea94b9adac0155c66a82808</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMatcher</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>ab5bb38300e8100706305b20c01ff67cf</anchor>
      <arglist>(const AbstractMatcher &amp;matcher)</arglist>
    </member>
    <member kind="function">
      <type>AbstractAction *</type>
      <name>action</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>aa9df1ab3dc217e2313de3897f5ff821e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAction</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>aae8b576e45acbd3f3db6a898b15cda43</anchor>
      <arglist>(const AbstractAction &amp;action)</arglist>
    </member>
    <member kind="function">
      <type>ArticleFilter &amp;</type>
      <name>operator=</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>aaaafa2c018a6962c746857eebc9fa6c6</anchor>
      <arglist>(const ArticleFilter &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>a1cf3c867587b5577da5171c365e60e23</anchor>
      <arglist>(const ArticleFilter &amp;other) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>ad1b6578a56ec00eb30bac9010b88b724</anchor>
      <arglist>(TDEConfig *config) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleFilter.html</anchorfile>
      <anchor>a08148f2aecd8b88249a28d90cb44cead</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Filters::AbstractMatcher</name>
    <filename>classAkregator_1_1Filters_1_1AbstractMatcher.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual AbstractMatcher *</type>
      <name>clone</name>
      <anchorfile>classAkregator_1_1Filters_1_1AbstractMatcher.html</anchorfile>
      <anchor>a8240eb019c953dcda1597e48e9e07f60</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>matches</name>
      <anchorfile>classAkregator_1_1Filters_1_1AbstractMatcher.html</anchorfile>
      <anchor>abafc70048b6747d81e6f4ff9853f98d8</anchor>
      <arglist>(const Article &amp;article) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classAkregator_1_1Filters_1_1AbstractMatcher.html</anchorfile>
      <anchor>a6d97d2527cd7b01e2852e0f8138a38e0</anchor>
      <arglist>(TDEConfig *config) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classAkregator_1_1Filters_1_1AbstractMatcher.html</anchorfile>
      <anchor>a1ee7cb3a9ca91f2307f487f82ac74361</anchor>
      <arglist>(TDEConfig *config)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>operator==</name>
      <anchorfile>classAkregator_1_1Filters_1_1AbstractMatcher.html</anchorfile>
      <anchor>a3297a5282d5371f0d51d650ba48a3514</anchor>
      <arglist>(const AbstractMatcher &amp;) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>operator!=</name>
      <anchorfile>classAkregator_1_1Filters_1_1AbstractMatcher.html</anchorfile>
      <anchor>ad85c2f4cde97fc669c65bd729e3735ed</anchor>
      <arglist>(const AbstractMatcher &amp;other) const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Filters::ArticleMatcher</name>
    <filename>classAkregator_1_1Filters_1_1ArticleMatcher.html</filename>
    <base>Akregator::Filters::AbstractMatcher</base>
    <member kind="function">
      <type></type>
      <name>ArticleMatcher</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>a61286aed066e5c1bda59c167bac4b448</anchor>
      <arglist>(const TQValueList&lt; Criterion &gt; &amp;criteria, Association assoc)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ArticleMatcher</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>aba73951990b29e5398a2f18179efce41</anchor>
      <arglist>(const ArticleMatcher &amp;other)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>matchesAll</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>a8537a9be5ecd3d6f93c9bbfddce68685</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>ArticleMatcher &amp;</type>
      <name>operator=</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>af86df2107e7789e77ca8f081dbaed8fd</anchor>
      <arglist>(const ArticleMatcher &amp;other)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ArticleMatcher *</type>
      <name>clone</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>a93ada5ffa6752b66edaa26b713744ce6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>matches</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>afec0745fe5f5d2380e5be1d8831179c8</anchor>
      <arglist>(const Article &amp;article) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>operator==</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>a09607158f49d8f134dd316652676abe9</anchor>
      <arglist>(const AbstractMatcher &amp;other) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>operator!=</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>ae60fb822f434304ee4e530b658f7e042</anchor>
      <arglist>(const AbstractMatcher &amp;other) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>a53be55fa3815b86d7e530228938c1784</anchor>
      <arglist>(TDEConfig *config) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classAkregator_1_1Filters_1_1ArticleMatcher.html</anchorfile>
      <anchor>ab325c956a9fa88020ec9d8c593213526</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Filters::Criterion</name>
    <filename>classAkregator_1_1Filters_1_1Criterion.html</filename>
    <member kind="function">
      <type></type>
      <name>Criterion</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>a5d7158362ea7fb124da6b9a84c1ab8c3</anchor>
      <arglist>(Subject subject, Predicate predicate, const TQVariant &amp;object)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>satisfiedBy</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>a823e5edb17668d1ee25ee95ffc8486a6</anchor>
      <arglist>(const Article &amp;article) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>ad16d6ba0928a9ef2040784af23550760</anchor>
      <arglist>(TDEConfig *config) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>aa685e200a1ec59961788ce6e2f924a08</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>Subject</type>
      <name>subject</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>afe80ca1a73a0d5df17cdd5a9d5e8c92a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Predicate</type>
      <name>predicate</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>aa9b8a4408aca746d64bf1b9d03dd82c9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQVariant</type>
      <name>object</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>a54869018b60bb9d080f87ed5d520773a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>a16adf1c1f7f9ea9752cd1440af35174e</anchor>
      <arglist>(const Criterion &amp;other) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>subjectToString</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>acb1f3ce6c66d53e179dff15a45f1936c</anchor>
      <arglist>(Subject subj)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Subject</type>
      <name>stringToSubject</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>a453cf12c517a4644ec14b42e824988ed</anchor>
      <arglist>(const TQString &amp;subjStr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>predicateToString</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>a14bbf456938c1a6e616f24d83caf42d1</anchor>
      <arglist>(Predicate pred)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Predicate</type>
      <name>stringToPredicate</name>
      <anchorfile>classAkregator_1_1Filters_1_1Criterion.html</anchorfile>
      <anchor>af7d7c771b0ad12e4c9dcb684fe2629a9</anchor>
      <arglist>(const TQString &amp;predStr)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Akregator::KBusyPtr</name>
    <filename>namespaceAkregator_1_1KBusyPtr.html</filename>
    <member kind="function">
      <type>KCursorSaver</type>
      <name>idle</name>
      <anchorfile>namespaceAkregator_1_1KBusyPtr.html</anchorfile>
      <anchor>a9340db10983f612ff35c210fd1121462</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCursorSaver</type>
      <name>busy</name>
      <anchorfile>namespaceAkregator_1_1KBusyPtr.html</anchorfile>
      <anchor>a6e8772d8e6d493872e51f17d76d5e6cd</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
