<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>Kontact::Core</name>
    <filename>classKontact_1_1Core.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>dayChanged</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>a46c4f8453cced9d43a2ae6fe0b1128c6</anchor>
      <arglist>(const TQDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>a5d7e779712ebfc26e511d617990cdc46</anchor>
      <arglist>(Kontact::Plugin *plugin)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>a64a1fb283b6c67933c7f2e0c023bc7aa</anchor>
      <arglist>(const TQString &amp;plugin)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQValueList&lt; Kontact::Plugin * &gt;</type>
      <name>pluginList</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>a8b6980136ff6f136c33c5a82a7907f80</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>a25de0fb95e8219cc94c1389f4e97a9a4</anchor>
      <arglist>(const char *libname)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>partLoaded</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>a71052da764906e556997e1050aa6315d</anchor>
      <arglist>(Plugin *plugin, KParts::ReadOnlyPart *part)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Core</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>ab401fa7c942b666daf2f095a0f182e81</anchor>
      <arglist>(TQWidget *parentWidget=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQString</type>
      <name>lastErrorMessage</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>a6676f31df9173a44d617298f597e7f17</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Plugin</name>
    <filename>classKontact_1_1Plugin.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotConfigUpdated</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a3147f4f5a38baeebd7c258d052127693</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a00b71c97b6598bec31a7603c5bfea795</anchor>
      <arglist>(Core *core, TQObject *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a64f3588dc14e097b0dd754e3aa798b93</anchor>
      <arglist>(const TQString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>identifier</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>ab3fe175058b5e35d3b8b9eb0691fb4f5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a4a4a4cf5caf587fb57c0d1a37836bfa9</anchor>
      <arglist>(const TQString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>title</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a6f1ab958c9f91bb2d1d6339253325f63</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a4d65c57cb559ac20911232f94cce28e2</anchor>
      <arglist>(const TQString &amp;icon)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>icon</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a0eaee8941b4e5322be2d95ece9d8cc68</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExecutableName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>aefa4bd55fd6787db3e14a1177711f8dd</anchor>
      <arglist>(const TQString &amp;bin)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>executableName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a4fbd9a3f63160a1c4e2868ee713b4392</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartLibraryName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a5d0b7b236ed3f6b7b6f6df010fdebc35</anchor>
      <arglist>(const TQCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a1f459533eb7ad37ccb2b89cb6a4f7537</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a1db12c027dab92bb37dd73b16f7556f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bringToForeground</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a50cf81b553bf5b1a13c4d09437f16ef4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const TDEAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a01cc6dab48b7a865ea9c2d1cc480836b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a0b9279ab6238e273de7e06ba91f8cb84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>tipFile</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>aa4fd6756727ead6ca5d6f4d872c3a059</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>select</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a9b1e9cc591c23c8c8bbb07a76ce5d43e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>configUpdated</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>acad83371e8a9a6e9ad52ada75ae4efa6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a0abf2da4771940f94d58c6632560a4fc</anchor>
      <arglist>(TQWidget *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>showInSideBar</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>ab0859419aae6ac875c98fc588e18d3b6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowInSideBar</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>ae1d2d8deeb0033958d1e2ab6faf41028</anchor>
      <arglist>(bool hasPart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>af44c45ae67dc82464e5f792f33f07483</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>addaddc7fea4ce6d39dc4fea2c731a1f7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>weight</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a74d18be0a202daf34ae8701561f7dc38</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertNewAction</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a3b2a643388cfbb02347dcbcfd320490f</anchor>
      <arglist>(TDEAction *action)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertSyncAction</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a88005c27f1b0f3b4c62464a42efc6bc9</anchor>
      <arglist>(TDEAction *action)</arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; TDEAction &gt; *</type>
      <name>newActions</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>ad52127a5136ec89ced34d6200cf97642</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; TDEAction &gt; *</type>
      <name>syncActions</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>abd2645ef60ead085bda2b1616b4bcbec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a5fffdc8492a0ad2de7dbad0912787c32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a212ca43b7b286c452c629c7ba2e9020a</anchor>
      <arglist>(TQMimeSource *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processDropEvent</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a95dbb7fc4602c10ec3eeaca624810a00</anchor>
      <arglist>(TQDropEvent *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadProfile</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a200cd9969fb75d5163574b6ee0477855</anchor>
      <arglist>(const TQString &amp;directoryPath)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveToProfile</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a6e1ea9710eec42ae3a63c2bc724f1605</anchor>
      <arglist>(const TQString &amp;directoryPath) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>ab730ef6ba33bdb7dd6454c2b9456af81</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>ab284b2f1ea286aac6a461c3bd8c70d3f</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function">
      <type>Core *</type>
      <name>core</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a2aa2d0ff920355fce5915a76525cc80f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>aad73ef0c1b5cd785eeb6e03f0e9d6dd7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a77f83768cebbd07d151bf3de9d06e801</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a26ab4bf95fbf403e161e1dd57f7dd8a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>loadPart</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a82221a604d622266435499abbc65f4d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>a5762664367c1dd67fd84863a25eb072c</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Summary</name>
    <filename>classKontact_1_1Summary.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>configChanged</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>a142e1ca56d6fb922099e90c3e3fce555</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateSummary</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>a98c1c55a8ad89c6af868cd079d3acf11</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>message</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>afa632616829ac483da00358f20646527</anchor>
      <arglist>(const TQString &amp;message)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>summaryWidgetDropped</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>a3bd89d7818e3de1c6ab688efc2970eee</anchor>
      <arglist>(TQWidget *target, TQWidget *widget, int alignment)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Summary</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>a56a0019295e12b532a953c864a7f1d1d</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>summaryHeight</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>a5f46c539e199406058235ec8e433e31b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>createHeader</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>a17a3c0fc19be1f399ed5c3b4d0c3e8d9</anchor>
      <arglist>(TQWidget *parent, const TQPixmap &amp;icon, const TQString &amp;heading)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>configModules</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>addd96a8d28e1d344c36962b4fea86a87</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>ac06c12bfcaa1882f8a62be18dcdb86c0</anchor>
      <arglist>(TQMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseMoveEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>a939713ca123594f745541007d4db37c4</anchor>
      <arglist>(TQMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>ae1489ad9e0c60c560afaf7905ffff7da</anchor>
      <arglist>(TQDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>a1723e1b092f3ab5b7e356b0e47adf65d</anchor>
      <arglist>(TQDropEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandler</name>
    <filename>classKontact_1_1UniqueAppHandler.html</filename>
    <member kind="function">
      <type></type>
      <name>UniqueAppHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>a9754c8eac8142a841ba5e9f211771ed7</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>a439e1a66d789f65885b3981df7cae8dc</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>af2591269a0223e19a4baddc1ac8a29c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>a4887ba8cb1587fb75dec7d0c2703671f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadKontactCommandLineOptions</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>ac5e3d9f1db536437fd954c3adb41ed0e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandlerFactoryBase</name>
    <filename>classKontact_1_1UniqueAppHandlerFactoryBase.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual UniqueAppHandler *</type>
      <name>createHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandlerFactoryBase.html</anchorfile>
      <anchor>a8c00498c441fb7ffea8c2f542388fc1d</anchor>
      <arglist>(Plugin *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandlerFactory</name>
    <filename>classKontact_1_1UniqueAppHandlerFactory.html</filename>
    <templarg></templarg>
    <base>Kontact::UniqueAppHandlerFactoryBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual UniqueAppHandler *</type>
      <name>createHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandlerFactory.html</anchorfile>
      <anchor>a4b1dab97e956ee769dc98980fbd8c7e9</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppWatcher</name>
    <filename>classKontact_1_1UniqueAppWatcher.html</filename>
    <member kind="function">
      <type></type>
      <name>UniqueAppWatcher</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>a6dc3acc56ffa85710166ab2aff21a4a4</anchor>
      <arglist>(UniqueAppHandlerFactoryBase *factory, Plugin *plugin)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>afa6ac980484d77a60805029aea0b88cc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>unregisteredFromDCOP</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>a7652a700d800c11525e71bd34971dd0e</anchor>
      <arglist>(const TQCString &amp;appId)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::EntryItem</name>
    <filename>classKontact_1_1EntryItem.html</filename>
    <member kind="function">
      <type></type>
      <name>EntryItem</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>a88db802cbc7145f157aeada1c2f8e709</anchor>
      <arglist>(Navigator *, Kontact::Plugin *)</arglist>
    </member>
    <member kind="function">
      <type>Kontact::Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>aac6193537611d5165806b98929d74a0e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQPixmap *</type>
      <name>pixmap</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>a5d44d4e74cd46eb26c0901f6fd352755</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Navigator *</type>
      <name>navigator</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>a4da29807e2a189b93345dfe5bdded0ad</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHover</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>ae990c6d23ec18926db743b38e0791bbb</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPaintActive</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>a71ca2fafed2197215d03c3d9ade36ff8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>paintActive</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>ae367cf04df47256c6f289e291f0f73d6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>width</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>a05b5b7fbadaa3ab566a13655943fd819</anchor>
      <arglist>(const TQListBox *) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>height</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>a8a97cc1fc9888be02fcbf425d50113b7</anchor>
      <arglist>(const TQListBox *) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadPixmap</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>abd77f45a112c46e62b4294a8a6ec0437</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paint</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>adb6070a6980411d1fc8bd4c429c35c62</anchor>
      <arglist>(TQPainter *p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::EntryItemToolTip</name>
    <filename>classKontact_1_1EntryItemToolTip.html</filename>
    <member kind="function">
      <type></type>
      <name>EntryItemToolTip</name>
      <anchorfile>classKontact_1_1EntryItemToolTip.html</anchorfile>
      <anchor>a71b66d8c69e520cb7530ad9e9eb6f14e</anchor>
      <arglist>(TQListBox *parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>maybeTip</name>
      <anchorfile>classKontact_1_1EntryItemToolTip.html</anchorfile>
      <anchor>a3972a54b81573b9f0fcf802255bbabfd</anchor>
      <arglist>(const TQPoint &amp;p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Navigator</name>
    <filename>classKontact_1_1Navigator.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>pluginActivated</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>a17eb903ae8455f3ea312e67611b310b6</anchor>
      <arglist>(Kontact::Plugin *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Navigator</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ab3363e12aa567c12708e97236801c3d6</anchor>
      <arglist>(IconSidePane *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelected</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ab922ae8907eee7b3c48f0d38999dcf69</anchor>
      <arglist>(TQListBoxItem *, bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updatePlugins</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>adf5f578fa01bf6af23778c71bb905c08</anchor>
      <arglist>(TQValueList&lt; Kontact::Plugin * &gt; plugins)</arglist>
    </member>
    <member kind="function">
      <type>TQSize</type>
      <name>sizeHint</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ae944b4f6df76315646e0f23a78394ffa</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>highlightItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ae9fa66050e1e452f03690b87066e98f6</anchor>
      <arglist>(EntryItem *item)</arglist>
    </member>
    <member kind="function">
      <type>IconViewMode</type>
      <name>viewMode</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>af846389d9834e6f4384657a4d7070dfb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IconViewMode</type>
      <name>sizeIntToEnum</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>a014eb0066f246f9d6b9eb78c9561b90c</anchor>
      <arglist>(int size) const </arglist>
    </member>
    <member kind="function">
      <type>const TQPtrList&lt; TDEAction &gt; &amp;</type>
      <name>actions</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>a3b07a5f9cb3dc9817dbe3c785ff7e3cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showIcons</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ade57ec617242a2e89a15d7ac7cd8eaed</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showText</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ae1df73560ce146bb685fdd18becdaddb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotExecuted</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ad7a1b5015f7500713c630e6374cea3ab</anchor>
      <arglist>(TQListBoxItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMouseOn</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>aa24585a2cdfc136d57cd1d745e097042</anchor>
      <arglist>(TQListBoxItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMouseOff</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>aecc71ac98c55754fb3d6adde45d46d06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShowRMBMenu</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>a5d42cb3caeb14ebb3138d6d28772df39</anchor>
      <arglist>(TQListBoxItem *, const TQPoint &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>shortCutSelected</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>a63f96c889a21254ad13e601e1a4b750b</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStopHighlight</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ac803c5f735d5bf8d07679c80a19205ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>a2d0c8a60af54675d24b8d44df1505cad</anchor>
      <arglist>(TQDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragMoveEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ac15331feec6288f052d13ba4c414c391</anchor>
      <arglist>(TQDragMoveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dropEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>afdf45bd318b05b6b4579e653b50b3026</anchor>
      <arglist>(TQDropEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>aae47b53012af373282d817373325727f</anchor>
      <arglist>(TQResizeEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>enterEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>a9cd1dbf6a07704d2a6d199166c89597e</anchor>
      <arglist>(TQEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>leaveEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>af16ab9d59ec9dc573fef9f77262118aa</anchor>
      <arglist>(TQEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHoverItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ae8fb05676d7f3ad88bd9cd9fd76f2ee8</anchor>
      <arglist>(TQListBoxItem *, bool)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPaintActiveItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>a771fa84e664239385348b91344b02cbf</anchor>
      <arglist>(TQListBoxItem *, bool)</arglist>
    </member>
  </compound>
</tagfile>
